#if VALA_0_30 && !VALA_0_32 && !VALA_0_34
/* Temporary g(u)intptr definition until vapigen-0.32 is common enough */
[SimpleType]
[GIR (name = "gulong")]
[CCode (cname = "guintptr", cheader_filename = "glib.h", type_id = "G_TYPE_ULONG", marshaller_type_name = "ULONG", get_value_function = "g_value_get_ulong", set_value_function = "g_value_set_ulong", default_value = "0UL")]
[IntegerType (rank = 9)]
public struct uintptr {
	[CCode (cname = "0UL")]
	public const ulong MIN;
	[CCode (cname = "G_MAXSIZE")]
	public const ulong MAX;

	[CCode (cname = "G_GUINTPTR_FORMAT")]
	public const string FORMAT;
	[CCode (cname = "G_GINTPTR_MODIFIER")]
	public const string FORMAT_MODIFIER;

	[CCode (cname = "g_strdup_printf", instance_pos = -1)]
	public string to_string (string format = "%" + FORMAT);

	[CCode (cname = "GSIZE_TO_POINTER")]
	public void* to_pointer ();

	[CCode (cname = "MIN")]
	public static uintptr min (uintptr a, uintptr b);
	[CCode (cname = "MAX")]
	public static uintptr max (uintptr a, uintptr b);
	[CCode (cname = "CLAMP")]
	public uintptr clamp (uintptr low, uintptr high);
}

[SimpleType]
[GIR (name = "glong")]
[CCode (cname = "gintptr", cheader_filename = "glib.h", type_id = "G_TYPE_LONG", marshaller_type_name = "LONG", get_value_function = "g_value_get_long", set_value_function = "g_value_set_long", default_value = "0L")]
[IntegerType (rank = 8)]
public struct intptr {
	[CCode (cname = "G_MINSSIZE")]
	public const long MIN;
	[CCode (cname = "G_MAXSSIZE")]
	public const long MAX;

	[CCode (cname = "G_GINTPTR_FORMAT")]
	public const string FORMAT;
	[CCode (cname = "G_GINTPTR_MODIFIER")]
	public const string FORMAT_MODIFIER;

	[CCode (cname = "g_strdup_printf", instance_pos = -1)]
	public string to_string (string format = "%" + FORMAT);

	[CCode (cname = "MIN")]
	public static intptr min (intptr a, intptr b);
	[CCode (cname = "MAX")]
	public static intptr max (intptr a, intptr b);
	[CCode (cname = "CLAMP")]
	public intptr clamp (intptr low, intptr high);
}

#endif
/* geany-scintilla-tmp-1.0.vapi generated by vapigen-0.34, do not modify. */

[CCode (cprefix = "GeanyScintilla", gir_namespace = "GeanyScintilla", gir_version = "1.0", lower_case_cprefix = "geany_scintilla_")]
namespace GeanyScintilla {
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCNotification", copy_function = "g_boxed_copy", free_function = "g_boxed_free", lower_case_csuffix = "scnotification", type_id = "scnotification_get_type ()")]
	[Compact]
	public class SCNotification {
		public GeanyScintilla.Sci_Position annotationLinesAdded;
		public int ch;
		public int foldLevelNow;
		public int foldLevelPrev;
		public intptr lParam;
		public GeanyScintilla.Sci_Position length;
		public GeanyScintilla.Sci_Position line;
		public GeanyScintilla.Sci_Position linesAdded;
		public int listCompletionMethod;
		public int listType;
		public int margin;
		public int message;
		public int modificationType;
		public int modifiers;
		public GeanyScintilla.Sci_NotifyHeader nmhdr;
		public GeanyScintilla.Sci_Position position;
		public weak string text;
		public int token;
		public int updated;
		public uintptr wParam;
		public int x;
		public int y;
	}
	[CCode (cheader_filename = "geanyplugin.h", cname = "ScintillaObject", type_id = "scintilla_object_get_type ()")]
	public class ScintillaObject : Gtk.Container, Atk.Implementor, Gtk.Buildable {
		public void* pscin;
		[CCode (cname = "scintilla_object_new", has_construct_function = false, type = "GtkWidget*")]
		public ScintillaObject ();
		[CCode (cname = "sci_delete_marker_at_line")]
		public void delete_marker_at_line (int line_number, int marker);
		[CCode (cname = "sci_end_undo_action")]
		public void end_undo_action ();
		[CCode (cname = "sci_ensure_line_is_visible")]
		public void ensure_line_is_visible (int line);
		[CCode (cname = "sci_find_matching_brace")]
		[Version (since = "0.15")]
		public int find_matching_brace (int pos);
		[CCode (cname = "sci_find_text")]
		public int find_text (int flags, void* ttf);
		[CCode (cname = "sci_get_char_at")]
		public char get_char_at (int pos);
		[CCode (cname = "sci_get_col_from_position")]
		public int get_col_from_position (int position);
		[CCode (cname = "sci_get_contents")]
		[Version (since = "1.23")]
		public string get_contents (int buffer_len);
		[CCode (cname = "sci_get_contents_range")]
		[Version (since = "0.17")]
		public string get_contents_range (int start, int end);
		[CCode (cname = "sci_get_current_line")]
		public int get_current_line ();
		[CCode (cname = "sci_get_current_position")]
		public int get_current_position ();
		[CCode (cname = "sci_get_length")]
		public int get_length ();
		[CCode (cname = "sci_get_lexer")]
		public int get_lexer ();
		[CCode (cname = "sci_get_line")]
		public string get_line (int line_num);
		[CCode (cname = "sci_get_line_count")]
		public int get_line_count ();
		[CCode (cname = "sci_get_line_end_position")]
		public int get_line_end_position (int line);
		[CCode (cname = "sci_get_line_from_position")]
		public int get_line_from_position (int position);
		[CCode (cname = "sci_get_line_indentation")]
		[Version (since = "0.19")]
		public int get_line_indentation (int line);
		[CCode (cname = "sci_get_line_is_visible")]
		public bool get_line_is_visible (int line);
		[CCode (cname = "sci_get_line_length")]
		public int get_line_length (int line);
		[CCode (cname = "sci_get_position_from_line")]
		public int get_position_from_line (int line);
		[CCode (cname = "sci_get_selected_text")]
		[Version (deprecated = true)]
		public void get_selected_text (string text);
		[CCode (cname = "sci_get_selected_text_length")]
		public int get_selected_text_length ();
		[CCode (cname = "sci_get_selection_contents")]
		[Version (since = "0.17")]
		public string get_selection_contents ();
		[CCode (cname = "sci_get_selection_end")]
		public int get_selection_end ();
		[CCode (cname = "sci_get_selection_mode")]
		public int get_selection_mode ();
		[CCode (cname = "sci_get_selection_start")]
		public int get_selection_start ();
		[CCode (cname = "sci_get_style_at")]
		public int get_style_at (int position);
		[CCode (cname = "sci_get_tab_width")]
		[Version (since = "0.15")]
		public int get_tab_width ();
		[CCode (cname = "sci_get_text")]
		[Version (deprecated = true)]
		public void get_text (int len, string text);
		[CCode (cname = "sci_get_text_range")]
		[Version (deprecated = true)]
		public void get_text_range (int start, int end, string text);
		[CCode (cname = "sci_goto_line")]
		public void goto_line (int line, bool unfold);
		[CCode (cname = "sci_has_selection")]
		[Version (since = "0.15")]
		public bool has_selection ();
		[CCode (cname = "sci_indicator_clear")]
		[Version (since = "0.16")]
		public void indicator_clear (int pos, int len);
		[CCode (cname = "sci_indicator_set")]
		[Version (since = "0.16")]
		public void indicator_set (int indic);
		[CCode (cname = "sci_insert_text")]
		public void insert_text (int pos, string text);
		[CCode (cname = "sci_is_marker_set_at_line")]
		public bool is_marker_set_at_line (int line, int marker);
		[NoWrapper]
		public virtual void notify (int id, GeanyScintilla.SCNotification scn);
		[CCode (cname = "sci_replace_sel")]
		public void replace_sel (string text);
		[CCode (cname = "sci_scroll_caret")]
		public void scroll_caret ();
		[CCode (cname = "sci_send_command")]
		[Version (since = "0.16")]
		public void send_command (int cmd);
		[CCode (cname = "scintilla_object_send_message")]
		public intptr send_message (uint iMessage, uintptr wParam, intptr lParam);
		[CCode (cname = "sci_set_current_position")]
		public void set_current_position (int position, bool scroll_to_caret);
		[CCode (cname = "sci_set_font")]
		public void set_font (int style, string font, int size);
		[CCode (cname = "sci_set_line_indentation")]
		[Version (since = "0.19")]
		public void set_line_indentation (int line, int indent);
		[CCode (cname = "sci_set_marker_at_line")]
		public void set_marker_at_line (int line_number, int marker);
		[CCode (cname = "sci_set_selection_end")]
		public void set_selection_end (int position);
		[CCode (cname = "sci_set_selection_mode")]
		public void set_selection_mode (int mode);
		[CCode (cname = "sci_set_selection_start")]
		public void set_selection_start (int position);
		[CCode (cname = "sci_set_text")]
		public void set_text (string text);
		[CCode (cname = "sci_start_undo_action")]
		public void start_undo_action ();
		public virtual signal void command (int cmd, Gtk.Widget window);
		public signal void sci_notify (int object, GeanyScintilla.SCNotification p0);
	}
	[CCode (cheader_filename = "geanyplugin.h", cname = "Sci_CharacterRange", has_type_id = false)]
	public struct Sci_CharacterRange {
		public GeanyScintilla.Sci_PositionCR cpMin;
		public GeanyScintilla.Sci_PositionCR cpMax;
	}
	[CCode (cheader_filename = "geanyplugin.h", cname = "Sci_NotifyHeader", has_type_id = false)]
	public struct Sci_NotifyHeader {
		public void* hwndFrom;
		public uintptr idFrom;
		public uint code;
	}
	[CCode (cheader_filename = "geanyplugin.h", cname = "Sci_Position")]
	[SimpleType]
	public struct Sci_Position : intptr {
	}
	[CCode (cheader_filename = "geanyplugin.h", cname = "Sci_PositionCR")]
	[SimpleType]
	public struct Sci_PositionCR : long {
	}
	[CCode (cheader_filename = "geanyplugin.h", cname = "Sci_PositionU")]
	[SimpleType]
	public struct Sci_PositionU : size_t {
	}
	[CCode (cheader_filename = "geanyplugin.h", cname = "Sci_RangeToFormat", has_type_id = false)]
	public struct Sci_RangeToFormat {
		public GeanyScintilla.Sci_SurfaceID hdc;
		public GeanyScintilla.Sci_SurfaceID hdcTarget;
		public void* rc;
		public void* rcPage;
		public void* chrg;
	}
	[CCode (cheader_filename = "geanyplugin.h", cname = "Sci_Rectangle", has_type_id = false)]
	public struct Sci_Rectangle {
		public int left;
		public int top;
		public int right;
		public int bottom;
	}
	[CCode (cheader_filename = "geanyplugin.h", cname = "Sci_SurfaceID")]
	[SimpleType]
	public struct Sci_SurfaceID {
	}
	[CCode (cheader_filename = "geanyplugin.h", cname = "Sci_TextRange", has_type_id = false)]
	public struct Sci_TextRange {
		public void* chrg;
		public weak string lpstrText;
	}
	[CCode (cheader_filename = "geanyplugin.h", cname = "Sci_TextToFind", has_type_id = false)]
	public struct Sci_TextToFind {
		public void* chrg;
		public weak string lpstrText;
		public void* chrgText;
	}
	[CCode (cheader_filename = "geanyplugin.h", has_target = false)]
	public delegate intptr SciFnDirect (intptr ptr, uint iMessage, uintptr wParam, intptr lParam);
	[CCode (cheader_filename = "geanyplugin.h", cname = "ANNOTATION_BOXED")]
	public const int ANNOTATION_BOXED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "ANNOTATION_HIDDEN")]
	public const int ANNOTATION_HIDDEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "ANNOTATION_INDENTED")]
	public const int ANNOTATION_INDENTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "ANNOTATION_STANDARD")]
	public const int ANNOTATION_STANDARD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "CARETSTYLE_BLOCK")]
	public const int CARETSTYLE_BLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "CARETSTYLE_INS_MASK")]
	public const int CARETSTYLE_INS_MASK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "CARETSTYLE_INVISIBLE")]
	public const int CARETSTYLE_INVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "CARETSTYLE_LINE")]
	public const int CARETSTYLE_LINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "CARETSTYLE_OVERSTRIKE_BAR")]
	public const int CARETSTYLE_OVERSTRIKE_BAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "CARETSTYLE_OVERSTRIKE_BLOCK")]
	public const int CARETSTYLE_OVERSTRIKE_BLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "CARET_EVEN")]
	public const int CARET_EVEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "CARET_JUMPS")]
	public const int CARET_JUMPS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "CARET_SLOP")]
	public const int CARET_SLOP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "CARET_STRICT")]
	public const int CARET_STRICT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "EDGE_BACKGROUND")]
	public const int EDGE_BACKGROUND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "EDGE_LINE")]
	public const int EDGE_LINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "EDGE_MULTILINE")]
	public const int EDGE_MULTILINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "EDGE_NONE")]
	public const int EDGE_NONE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC0_MASK")]
	public const int INDIC0_MASK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC1_MASK")]
	public const int INDIC1_MASK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC2_MASK")]
	public const int INDIC2_MASK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDICS_MASK")]
	public const int INDICS_MASK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_BOX")]
	public const int INDIC_BOX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_COMPOSITIONTHICK")]
	public const int INDIC_COMPOSITIONTHICK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_COMPOSITIONTHIN")]
	public const int INDIC_COMPOSITIONTHIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_CONTAINER")]
	public const int INDIC_CONTAINER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_DASH")]
	public const int INDIC_DASH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_DIAGONAL")]
	public const int INDIC_DIAGONAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_DOTBOX")]
	public const int INDIC_DOTBOX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_DOTS")]
	public const int INDIC_DOTS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_FULLBOX")]
	public const int INDIC_FULLBOX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_GRADIENT")]
	public const int INDIC_GRADIENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_GRADIENTCENTRE")]
	public const int INDIC_GRADIENTCENTRE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_HIDDEN")]
	public const int INDIC_HIDDEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_IME")]
	public const int INDIC_IME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_IME_MAX")]
	public const int INDIC_IME_MAX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_MAX")]
	public const int INDIC_MAX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_PLAIN")]
	public const int INDIC_PLAIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_POINT")]
	public const int INDIC_POINT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_POINTCHARACTER")]
	public const int INDIC_POINTCHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_ROUNDBOX")]
	public const int INDIC_ROUNDBOX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_SQUIGGLE")]
	public const int INDIC_SQUIGGLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_SQUIGGLELOW")]
	public const int INDIC_SQUIGGLELOW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_SQUIGGLEPIXMAP")]
	public const int INDIC_SQUIGGLEPIXMAP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_STRAIGHTBOX")]
	public const int INDIC_STRAIGHTBOX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_STRIKE")]
	public const int INDIC_STRIKE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_TEXTFORE")]
	public const int INDIC_TEXTFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INDIC_TT")]
	public const int INDIC_TT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "INVALID_POSITION")]
	public const int INVALID_POSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "KEYWORDSET_MAX")]
	public const int KEYWORDSET_MAX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "MARKER_MAX")]
	public const int MARKER_MAX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCEN_CHANGE")]
	public const int SCEN_CHANGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCEN_KILLFOCUS")]
	public const int SCEN_KILLFOCUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCEN_SETFOCUS")]
	public const int SCEN_SETFOCUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_COMMENT")]
	public const int SCE_A68K_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_COMMENT_DOXYGEN")]
	public const int SCE_A68K_COMMENT_DOXYGEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_COMMENT_SPECIAL")]
	public const int SCE_A68K_COMMENT_SPECIAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_COMMENT_WORD")]
	public const int SCE_A68K_COMMENT_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_CPUINSTRUCTION")]
	public const int SCE_A68K_CPUINSTRUCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_DEFAULT")]
	public const int SCE_A68K_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_DIRECTIVE")]
	public const int SCE_A68K_DIRECTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_EXTINSTRUCTION")]
	public const int SCE_A68K_EXTINSTRUCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_IDENTIFIER")]
	public const int SCE_A68K_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_LABEL")]
	public const int SCE_A68K_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_MACRO_ARG")]
	public const int SCE_A68K_MACRO_ARG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_MACRO_DECLARATION")]
	public const int SCE_A68K_MACRO_DECLARATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_NUMBER_BIN")]
	public const int SCE_A68K_NUMBER_BIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_NUMBER_DEC")]
	public const int SCE_A68K_NUMBER_DEC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_NUMBER_HEX")]
	public const int SCE_A68K_NUMBER_HEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_OPERATOR")]
	public const int SCE_A68K_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_REGISTER")]
	public const int SCE_A68K_REGISTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_STRING1")]
	public const int SCE_A68K_STRING1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_A68K_STRING2")]
	public const int SCE_A68K_STRING2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_ARGUMENT")]
	public const int SCE_ABAQUS_ARGUMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_COMMAND")]
	public const int SCE_ABAQUS_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_COMMENT")]
	public const int SCE_ABAQUS_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_COMMENTBLOCK")]
	public const int SCE_ABAQUS_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_DEFAULT")]
	public const int SCE_ABAQUS_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_FUNCTION")]
	public const int SCE_ABAQUS_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_NUMBER")]
	public const int SCE_ABAQUS_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_OPERATOR")]
	public const int SCE_ABAQUS_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_PROCESSOR")]
	public const int SCE_ABAQUS_PROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_SLASHCOMMAND")]
	public const int SCE_ABAQUS_SLASHCOMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_STARCOMMAND")]
	public const int SCE_ABAQUS_STARCOMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_STRING")]
	public const int SCE_ABAQUS_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABAQUS_WORD")]
	public const int SCE_ABAQUS_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_BLOCK")]
	public const int SCE_ABL_BLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_CHARACTER")]
	public const int SCE_ABL_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_COMMENT")]
	public const int SCE_ABL_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_DEFAULT")]
	public const int SCE_ABL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_END")]
	public const int SCE_ABL_END;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_IDENTIFIER")]
	public const int SCE_ABL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_LINECOMMENT")]
	public const int SCE_ABL_LINECOMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_NUMBER")]
	public const int SCE_ABL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_OPERATOR")]
	public const int SCE_ABL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_PREPROCESSOR")]
	public const int SCE_ABL_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_STRING")]
	public const int SCE_ABL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_TASKMARKER")]
	public const int SCE_ABL_TASKMARKER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ABL_WORD")]
	public const int SCE_ABL_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ADA_CHARACTER")]
	public const int SCE_ADA_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ADA_CHARACTEREOL")]
	public const int SCE_ADA_CHARACTEREOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ADA_COMMENTLINE")]
	public const int SCE_ADA_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ADA_DEFAULT")]
	public const int SCE_ADA_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ADA_DELIMITER")]
	public const int SCE_ADA_DELIMITER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ADA_IDENTIFIER")]
	public const int SCE_ADA_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ADA_ILLEGAL")]
	public const int SCE_ADA_ILLEGAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ADA_LABEL")]
	public const int SCE_ADA_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ADA_NUMBER")]
	public const int SCE_ADA_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ADA_STRING")]
	public const int SCE_ADA_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ADA_STRINGEOL")]
	public const int SCE_ADA_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ADA_WORD")]
	public const int SCE_ADA_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_ARGUMENT")]
	public const int SCE_APDL_ARGUMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_COMMAND")]
	public const int SCE_APDL_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_COMMENT")]
	public const int SCE_APDL_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_COMMENTBLOCK")]
	public const int SCE_APDL_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_DEFAULT")]
	public const int SCE_APDL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_FUNCTION")]
	public const int SCE_APDL_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_NUMBER")]
	public const int SCE_APDL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_OPERATOR")]
	public const int SCE_APDL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_PROCESSOR")]
	public const int SCE_APDL_PROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_SLASHCOMMAND")]
	public const int SCE_APDL_SLASHCOMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_STARCOMMAND")]
	public const int SCE_APDL_STARCOMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_STRING")]
	public const int SCE_APDL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_APDL_WORD")]
	public const int SCE_APDL_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_CHARACTER")]
	public const int SCE_ASM_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_COMMENT")]
	public const int SCE_ASM_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_COMMENTBLOCK")]
	public const int SCE_ASM_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_COMMENTDIRECTIVE")]
	public const int SCE_ASM_COMMENTDIRECTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_CPUINSTRUCTION")]
	public const int SCE_ASM_CPUINSTRUCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_DEFAULT")]
	public const int SCE_ASM_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_DIRECTIVE")]
	public const int SCE_ASM_DIRECTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_DIRECTIVEOPERAND")]
	public const int SCE_ASM_DIRECTIVEOPERAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_EXTINSTRUCTION")]
	public const int SCE_ASM_EXTINSTRUCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_IDENTIFIER")]
	public const int SCE_ASM_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_MATHINSTRUCTION")]
	public const int SCE_ASM_MATHINSTRUCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_NUMBER")]
	public const int SCE_ASM_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_OPERATOR")]
	public const int SCE_ASM_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_REGISTER")]
	public const int SCE_ASM_REGISTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_STRING")]
	public const int SCE_ASM_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASM_STRINGEOL")]
	public const int SCE_ASM_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASN1_ATTRIBUTE")]
	public const int SCE_ASN1_ATTRIBUTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASN1_COMMENT")]
	public const int SCE_ASN1_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASN1_DEFAULT")]
	public const int SCE_ASN1_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASN1_DESCRIPTOR")]
	public const int SCE_ASN1_DESCRIPTOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASN1_IDENTIFIER")]
	public const int SCE_ASN1_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASN1_KEYWORD")]
	public const int SCE_ASN1_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASN1_OID")]
	public const int SCE_ASN1_OID;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASN1_OPERATOR")]
	public const int SCE_ASN1_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASN1_SCALAR")]
	public const int SCE_ASN1_SCALAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASN1_STRING")]
	public const int SCE_ASN1_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASN1_TYPE")]
	public const int SCE_ASN1_TYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASY_CHARACTER")]
	public const int SCE_ASY_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASY_COMMENT")]
	public const int SCE_ASY_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASY_COMMENTLINE")]
	public const int SCE_ASY_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASY_COMMENTLINEDOC")]
	public const int SCE_ASY_COMMENTLINEDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASY_DEFAULT")]
	public const int SCE_ASY_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASY_IDENTIFIER")]
	public const int SCE_ASY_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASY_NUMBER")]
	public const int SCE_ASY_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASY_OPERATOR")]
	public const int SCE_ASY_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASY_STRING")]
	public const int SCE_ASY_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASY_STRINGEOL")]
	public const int SCE_ASY_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASY_WORD")]
	public const int SCE_ASY_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ASY_WORD2")]
	public const int SCE_ASY_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_COMMENT")]
	public const int SCE_AU3_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_COMMENTBLOCK")]
	public const int SCE_AU3_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_COMOBJ")]
	public const int SCE_AU3_COMOBJ;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_DEFAULT")]
	public const int SCE_AU3_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_EXPAND")]
	public const int SCE_AU3_EXPAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_FUNCTION")]
	public const int SCE_AU3_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_KEYWORD")]
	public const int SCE_AU3_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_MACRO")]
	public const int SCE_AU3_MACRO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_NUMBER")]
	public const int SCE_AU3_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_OPERATOR")]
	public const int SCE_AU3_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_PREPROCESSOR")]
	public const int SCE_AU3_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_SENT")]
	public const int SCE_AU3_SENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_SPECIAL")]
	public const int SCE_AU3_SPECIAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_STRING")]
	public const int SCE_AU3_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_UDF")]
	public const int SCE_AU3_UDF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AU3_VARIABLE")]
	public const int SCE_AU3_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_COMMENT")]
	public const int SCE_AVE_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_DEFAULT")]
	public const int SCE_AVE_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_ENUM")]
	public const int SCE_AVE_ENUM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_IDENTIFIER")]
	public const int SCE_AVE_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_NUMBER")]
	public const int SCE_AVE_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_OPERATOR")]
	public const int SCE_AVE_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_STRING")]
	public const int SCE_AVE_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_STRINGEOL")]
	public const int SCE_AVE_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_WORD")]
	public const int SCE_AVE_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_WORD1")]
	public const int SCE_AVE_WORD1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_WORD2")]
	public const int SCE_AVE_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_WORD3")]
	public const int SCE_AVE_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_WORD4")]
	public const int SCE_AVE_WORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_WORD5")]
	public const int SCE_AVE_WORD5;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVE_WORD6")]
	public const int SCE_AVE_WORD6;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_CLIPPROP")]
	public const int SCE_AVS_CLIPPROP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_COMMENTBLOCK")]
	public const int SCE_AVS_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_COMMENTBLOCKN")]
	public const int SCE_AVS_COMMENTBLOCKN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_COMMENTLINE")]
	public const int SCE_AVS_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_DEFAULT")]
	public const int SCE_AVS_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_FILTER")]
	public const int SCE_AVS_FILTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_FUNCTION")]
	public const int SCE_AVS_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_IDENTIFIER")]
	public const int SCE_AVS_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_KEYWORD")]
	public const int SCE_AVS_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_NUMBER")]
	public const int SCE_AVS_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_OPERATOR")]
	public const int SCE_AVS_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_PLUGIN")]
	public const int SCE_AVS_PLUGIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_STRING")]
	public const int SCE_AVS_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_TRIPLESTRING")]
	public const int SCE_AVS_TRIPLESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_AVS_USERDFN")]
	public const int SCE_AVS_USERDFN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_COMMENT")]
	public const int SCE_BAAN_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_COMMENTDOC")]
	public const int SCE_BAAN_COMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_DEFAULT")]
	public const int SCE_BAAN_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_DEFINEDEF")]
	public const int SCE_BAAN_DEFINEDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_DOMDEF")]
	public const int SCE_BAAN_DOMDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_FUNCDEF")]
	public const int SCE_BAAN_FUNCDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_FUNCTION")]
	public const int SCE_BAAN_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_IDENTIFIER")]
	public const int SCE_BAAN_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_NUMBER")]
	public const int SCE_BAAN_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_OBJECTDEF")]
	public const int SCE_BAAN_OBJECTDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_OPERATOR")]
	public const int SCE_BAAN_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_PREPROCESSOR")]
	public const int SCE_BAAN_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_STRING")]
	public const int SCE_BAAN_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_STRINGEOL")]
	public const int SCE_BAAN_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_TABLEDEF")]
	public const int SCE_BAAN_TABLEDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_TABLESQL")]
	public const int SCE_BAAN_TABLESQL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_WORD")]
	public const int SCE_BAAN_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_WORD2")]
	public const int SCE_BAAN_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_WORD3")]
	public const int SCE_BAAN_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_WORD4")]
	public const int SCE_BAAN_WORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_WORD5")]
	public const int SCE_BAAN_WORD5;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_WORD6")]
	public const int SCE_BAAN_WORD6;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_WORD7")]
	public const int SCE_BAAN_WORD7;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_WORD8")]
	public const int SCE_BAAN_WORD8;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAAN_WORD9")]
	public const int SCE_BAAN_WORD9;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAT_COMMAND")]
	public const int SCE_BAT_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAT_COMMENT")]
	public const int SCE_BAT_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAT_DEFAULT")]
	public const int SCE_BAT_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAT_HIDE")]
	public const int SCE_BAT_HIDE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAT_IDENTIFIER")]
	public const int SCE_BAT_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAT_LABEL")]
	public const int SCE_BAT_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAT_OPERATOR")]
	public const int SCE_BAT_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BAT_WORD")]
	public const int SCE_BAT_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BIBTEX_COMMENT")]
	public const int SCE_BIBTEX_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BIBTEX_DEFAULT")]
	public const int SCE_BIBTEX_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BIBTEX_ENTRY")]
	public const int SCE_BIBTEX_ENTRY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BIBTEX_KEY")]
	public const int SCE_BIBTEX_KEY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BIBTEX_PARAMETER")]
	public const int SCE_BIBTEX_PARAMETER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BIBTEX_UNKNOWN_ENTRY")]
	public const int SCE_BIBTEX_UNKNOWN_ENTRY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_BIBTEX_VALUE")]
	public const int SCE_BIBTEX_VALUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_ASM")]
	public const int SCE_B_ASM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_BINNUMBER")]
	public const int SCE_B_BINNUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_COMMENT")]
	public const int SCE_B_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_COMMENTBLOCK")]
	public const int SCE_B_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_CONSTANT")]
	public const int SCE_B_CONSTANT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_DATE")]
	public const int SCE_B_DATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_DEFAULT")]
	public const int SCE_B_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_DOCBLOCK")]
	public const int SCE_B_DOCBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_DOCKEYWORD")]
	public const int SCE_B_DOCKEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_DOCLINE")]
	public const int SCE_B_DOCLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_ERROR")]
	public const int SCE_B_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_HEXNUMBER")]
	public const int SCE_B_HEXNUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_IDENTIFIER")]
	public const int SCE_B_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_KEYWORD")]
	public const int SCE_B_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_KEYWORD2")]
	public const int SCE_B_KEYWORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_KEYWORD3")]
	public const int SCE_B_KEYWORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_KEYWORD4")]
	public const int SCE_B_KEYWORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_LABEL")]
	public const int SCE_B_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_NUMBER")]
	public const int SCE_B_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_OPERATOR")]
	public const int SCE_B_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_PREPROCESSOR")]
	public const int SCE_B_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_STRING")]
	public const int SCE_B_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_B_STRINGEOL")]
	public const int SCE_B_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_CHAR")]
	public const int SCE_CAML_CHAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_COMMENT")]
	public const int SCE_CAML_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_COMMENT1")]
	public const int SCE_CAML_COMMENT1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_COMMENT2")]
	public const int SCE_CAML_COMMENT2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_COMMENT3")]
	public const int SCE_CAML_COMMENT3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_DEFAULT")]
	public const int SCE_CAML_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_IDENTIFIER")]
	public const int SCE_CAML_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_KEYWORD")]
	public const int SCE_CAML_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_KEYWORD2")]
	public const int SCE_CAML_KEYWORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_KEYWORD3")]
	public const int SCE_CAML_KEYWORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_LINENUM")]
	public const int SCE_CAML_LINENUM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_NUMBER")]
	public const int SCE_CAML_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_OPERATOR")]
	public const int SCE_CAML_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_STRING")]
	public const int SCE_CAML_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_TAGNAME")]
	public const int SCE_CAML_TAGNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CAML_WHITE")]
	public const int SCE_CAML_WHITE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CIL_COMMENT")]
	public const int SCE_CIL_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CIL_COMMENTLINE")]
	public const int SCE_CIL_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CIL_DEFAULT")]
	public const int SCE_CIL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CIL_IDENTIFIER")]
	public const int SCE_CIL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CIL_LABEL")]
	public const int SCE_CIL_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CIL_OPERATOR")]
	public const int SCE_CIL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CIL_STRING")]
	public const int SCE_CIL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CIL_STRINGEOL")]
	public const int SCE_CIL_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CIL_WORD")]
	public const int SCE_CIL_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CIL_WORD2")]
	public const int SCE_CIL_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CIL_WORD3")]
	public const int SCE_CIL_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_ATTRIBUTE")]
	public const int SCE_CLW_ATTRIBUTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_BUILTIN_PROCEDURES_FUNCTION")]
	public const int SCE_CLW_BUILTIN_PROCEDURES_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_COMMENT")]
	public const int SCE_CLW_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_COMPILER_DIRECTIVE")]
	public const int SCE_CLW_COMPILER_DIRECTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_DEFAULT")]
	public const int SCE_CLW_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_DEPRECATED")]
	public const int SCE_CLW_DEPRECATED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_ERROR")]
	public const int SCE_CLW_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_INTEGER_CONSTANT")]
	public const int SCE_CLW_INTEGER_CONSTANT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_KEYWORD")]
	public const int SCE_CLW_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_LABEL")]
	public const int SCE_CLW_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_PICTURE_STRING")]
	public const int SCE_CLW_PICTURE_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_REAL_CONSTANT")]
	public const int SCE_CLW_REAL_CONSTANT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_RUNTIME_EXPRESSIONS")]
	public const int SCE_CLW_RUNTIME_EXPRESSIONS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_STANDARD_EQUATE")]
	public const int SCE_CLW_STANDARD_EQUATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_STRING")]
	public const int SCE_CLW_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_STRUCTURE_DATA_TYPE")]
	public const int SCE_CLW_STRUCTURE_DATA_TYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CLW_USER_IDENTIFIER")]
	public const int SCE_CLW_USER_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_COMMANDS")]
	public const int SCE_CMAKE_COMMANDS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_COMMENT")]
	public const int SCE_CMAKE_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_DEFAULT")]
	public const int SCE_CMAKE_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_FOREACHDEF")]
	public const int SCE_CMAKE_FOREACHDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_IFDEFINEDEF")]
	public const int SCE_CMAKE_IFDEFINEDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_MACRODEF")]
	public const int SCE_CMAKE_MACRODEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_NUMBER")]
	public const int SCE_CMAKE_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_PARAMETERS")]
	public const int SCE_CMAKE_PARAMETERS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_STRINGDQ")]
	public const int SCE_CMAKE_STRINGDQ;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_STRINGLQ")]
	public const int SCE_CMAKE_STRINGLQ;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_STRINGRQ")]
	public const int SCE_CMAKE_STRINGRQ;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_STRINGVAR")]
	public const int SCE_CMAKE_STRINGVAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_USERDEFINED")]
	public const int SCE_CMAKE_USERDEFINED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_VARIABLE")]
	public const int SCE_CMAKE_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CMAKE_WHILEDEF")]
	public const int SCE_CMAKE_WHILEDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_CHARACTER")]
	public const int SCE_COFFEESCRIPT_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_COMMENT")]
	public const int SCE_COFFEESCRIPT_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_COMMENTBLOCK")]
	public const int SCE_COFFEESCRIPT_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_COMMENTDOC")]
	public const int SCE_COFFEESCRIPT_COMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_COMMENTDOCKEYWORD")]
	public const int SCE_COFFEESCRIPT_COMMENTDOCKEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_COMMENTDOCKEYWORDERROR")]
	public const int SCE_COFFEESCRIPT_COMMENTDOCKEYWORDERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_COMMENTLINE")]
	public const int SCE_COFFEESCRIPT_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_COMMENTLINEDOC")]
	public const int SCE_COFFEESCRIPT_COMMENTLINEDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_DEFAULT")]
	public const int SCE_COFFEESCRIPT_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_GLOBALCLASS")]
	public const int SCE_COFFEESCRIPT_GLOBALCLASS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_IDENTIFIER")]
	public const int SCE_COFFEESCRIPT_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_INSTANCEPROPERTY")]
	public const int SCE_COFFEESCRIPT_INSTANCEPROPERTY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_NUMBER")]
	public const int SCE_COFFEESCRIPT_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_OPERATOR")]
	public const int SCE_COFFEESCRIPT_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_PREPROCESSOR")]
	public const int SCE_COFFEESCRIPT_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_REGEX")]
	public const int SCE_COFFEESCRIPT_REGEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_STRING")]
	public const int SCE_COFFEESCRIPT_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_STRINGEOL")]
	public const int SCE_COFFEESCRIPT_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_STRINGRAW")]
	public const int SCE_COFFEESCRIPT_STRINGRAW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_TRIPLEVERBATIM")]
	public const int SCE_COFFEESCRIPT_TRIPLEVERBATIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_UUID")]
	public const int SCE_COFFEESCRIPT_UUID;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_VERBATIM")]
	public const int SCE_COFFEESCRIPT_VERBATIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_VERBOSE_REGEX")]
	public const int SCE_COFFEESCRIPT_VERBOSE_REGEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_VERBOSE_REGEX_COMMENT")]
	public const int SCE_COFFEESCRIPT_VERBOSE_REGEX_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_WORD")]
	public const int SCE_COFFEESCRIPT_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_COFFEESCRIPT_WORD2")]
	public const int SCE_COFFEESCRIPT_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CONF_COMMENT")]
	public const int SCE_CONF_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CONF_DEFAULT")]
	public const int SCE_CONF_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CONF_DIRECTIVE")]
	public const int SCE_CONF_DIRECTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CONF_EXTENSION")]
	public const int SCE_CONF_EXTENSION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CONF_IDENTIFIER")]
	public const int SCE_CONF_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CONF_IP")]
	public const int SCE_CONF_IP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CONF_NUMBER")]
	public const int SCE_CONF_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CONF_OPERATOR")]
	public const int SCE_CONF_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CONF_PARAMETER")]
	public const int SCE_CONF_PARAMETER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CONF_STRING")]
	public const int SCE_CONF_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_ARATE_VAR")]
	public const int SCE_CSOUND_ARATE_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_COMMENT")]
	public const int SCE_CSOUND_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_COMMENTBLOCK")]
	public const int SCE_CSOUND_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_DEFAULT")]
	public const int SCE_CSOUND_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_GLOBAL_VAR")]
	public const int SCE_CSOUND_GLOBAL_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_HEADERSTMT")]
	public const int SCE_CSOUND_HEADERSTMT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_IDENTIFIER")]
	public const int SCE_CSOUND_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_INSTR")]
	public const int SCE_CSOUND_INSTR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_IRATE_VAR")]
	public const int SCE_CSOUND_IRATE_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_KRATE_VAR")]
	public const int SCE_CSOUND_KRATE_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_NUMBER")]
	public const int SCE_CSOUND_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_OPCODE")]
	public const int SCE_CSOUND_OPCODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_OPERATOR")]
	public const int SCE_CSOUND_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_PARAM")]
	public const int SCE_CSOUND_PARAM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_STRINGEOL")]
	public const int SCE_CSOUND_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSOUND_USERKEYWORD")]
	public const int SCE_CSOUND_USERKEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_ATTRIBUTE")]
	public const int SCE_CSS_ATTRIBUTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_CLASS")]
	public const int SCE_CSS_CLASS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_COMMENT")]
	public const int SCE_CSS_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_DEFAULT")]
	public const int SCE_CSS_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_DIRECTIVE")]
	public const int SCE_CSS_DIRECTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_DOUBLESTRING")]
	public const int SCE_CSS_DOUBLESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_EXTENDED_IDENTIFIER")]
	public const int SCE_CSS_EXTENDED_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_EXTENDED_PSEUDOCLASS")]
	public const int SCE_CSS_EXTENDED_PSEUDOCLASS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_EXTENDED_PSEUDOELEMENT")]
	public const int SCE_CSS_EXTENDED_PSEUDOELEMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_ID")]
	public const int SCE_CSS_ID;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_IDENTIFIER")]
	public const int SCE_CSS_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_IDENTIFIER2")]
	public const int SCE_CSS_IDENTIFIER2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_IDENTIFIER3")]
	public const int SCE_CSS_IDENTIFIER3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_IMPORTANT")]
	public const int SCE_CSS_IMPORTANT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_MEDIA")]
	public const int SCE_CSS_MEDIA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_OPERATOR")]
	public const int SCE_CSS_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_PSEUDOCLASS")]
	public const int SCE_CSS_PSEUDOCLASS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_PSEUDOELEMENT")]
	public const int SCE_CSS_PSEUDOELEMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_SINGLESTRING")]
	public const int SCE_CSS_SINGLESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_TAG")]
	public const int SCE_CSS_TAG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_UNKNOWN_IDENTIFIER")]
	public const int SCE_CSS_UNKNOWN_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_UNKNOWN_PSEUDOCLASS")]
	public const int SCE_CSS_UNKNOWN_PSEUDOCLASS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_VALUE")]
	public const int SCE_CSS_VALUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_CSS_VARIABLE")]
	public const int SCE_CSS_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_CHARACTER")]
	public const int SCE_C_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_COMMENT")]
	public const int SCE_C_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_COMMENTDOC")]
	public const int SCE_C_COMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_COMMENTDOCKEYWORD")]
	public const int SCE_C_COMMENTDOCKEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_COMMENTDOCKEYWORDERROR")]
	public const int SCE_C_COMMENTDOCKEYWORDERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_COMMENTLINE")]
	public const int SCE_C_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_COMMENTLINEDOC")]
	public const int SCE_C_COMMENTLINEDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_DEFAULT")]
	public const int SCE_C_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_ESCAPESEQUENCE")]
	public const int SCE_C_ESCAPESEQUENCE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_GLOBALCLASS")]
	public const int SCE_C_GLOBALCLASS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_HASHQUOTEDSTRING")]
	public const int SCE_C_HASHQUOTEDSTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_IDENTIFIER")]
	public const int SCE_C_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_NUMBER")]
	public const int SCE_C_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_OPERATOR")]
	public const int SCE_C_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_PREPROCESSOR")]
	public const int SCE_C_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_PREPROCESSORCOMMENT")]
	public const int SCE_C_PREPROCESSORCOMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_PREPROCESSORCOMMENTDOC")]
	public const int SCE_C_PREPROCESSORCOMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_REGEX")]
	public const int SCE_C_REGEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_STRING")]
	public const int SCE_C_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_STRINGEOL")]
	public const int SCE_C_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_STRINGRAW")]
	public const int SCE_C_STRINGRAW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_TASKMARKER")]
	public const int SCE_C_TASKMARKER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_TRIPLEVERBATIM")]
	public const int SCE_C_TRIPLEVERBATIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_USERLITERAL")]
	public const int SCE_C_USERLITERAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_UUID")]
	public const int SCE_C_UUID;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_VERBATIM")]
	public const int SCE_C_VERBATIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_WORD")]
	public const int SCE_C_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_C_WORD2")]
	public const int SCE_C_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DIFF_ADDED")]
	public const int SCE_DIFF_ADDED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DIFF_CHANGED")]
	public const int SCE_DIFF_CHANGED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DIFF_COMMAND")]
	public const int SCE_DIFF_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DIFF_COMMENT")]
	public const int SCE_DIFF_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DIFF_DEFAULT")]
	public const int SCE_DIFF_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DIFF_DELETED")]
	public const int SCE_DIFF_DELETED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DIFF_HEADER")]
	public const int SCE_DIFF_HEADER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DIFF_PATCH_ADD")]
	public const int SCE_DIFF_PATCH_ADD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DIFF_PATCH_DELETE")]
	public const int SCE_DIFF_PATCH_DELETE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DIFF_POSITION")]
	public const int SCE_DIFF_POSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DIFF_REMOVED_PATCH_ADD")]
	public const int SCE_DIFF_REMOVED_PATCH_ADD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DIFF_REMOVED_PATCH_DELETE")]
	public const int SCE_DIFF_REMOVED_PATCH_DELETE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMAP_COMMENT")]
	public const int SCE_DMAP_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMAP_DEFAULT")]
	public const int SCE_DMAP_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMAP_IDENTIFIER")]
	public const int SCE_DMAP_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMAP_NUMBER")]
	public const int SCE_DMAP_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMAP_OPERATOR")]
	public const int SCE_DMAP_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMAP_STRING1")]
	public const int SCE_DMAP_STRING1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMAP_STRING2")]
	public const int SCE_DMAP_STRING2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMAP_STRINGEOL")]
	public const int SCE_DMAP_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMAP_WORD")]
	public const int SCE_DMAP_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMAP_WORD2")]
	public const int SCE_DMAP_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMAP_WORD3")]
	public const int SCE_DMAP_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMIS_COMMENT")]
	public const int SCE_DMIS_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMIS_DEFAULT")]
	public const int SCE_DMIS_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMIS_KEYWORD")]
	public const int SCE_DMIS_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMIS_LABEL")]
	public const int SCE_DMIS_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMIS_MAJORWORD")]
	public const int SCE_DMIS_MAJORWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMIS_MINORWORD")]
	public const int SCE_DMIS_MINORWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMIS_NUMBER")]
	public const int SCE_DMIS_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMIS_STRING")]
	public const int SCE_DMIS_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMIS_UNSUPPORTED_MAJOR")]
	public const int SCE_DMIS_UNSUPPORTED_MAJOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_DMIS_UNSUPPORTED_MINOR")]
	public const int SCE_DMIS_UNSUPPORTED_MINOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_CHARACTER")]
	public const int SCE_D_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_COMMENT")]
	public const int SCE_D_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_COMMENTDOC")]
	public const int SCE_D_COMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_COMMENTDOCKEYWORD")]
	public const int SCE_D_COMMENTDOCKEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_COMMENTDOCKEYWORDERROR")]
	public const int SCE_D_COMMENTDOCKEYWORDERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_COMMENTLINE")]
	public const int SCE_D_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_COMMENTLINEDOC")]
	public const int SCE_D_COMMENTLINEDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_COMMENTNESTED")]
	public const int SCE_D_COMMENTNESTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_DEFAULT")]
	public const int SCE_D_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_IDENTIFIER")]
	public const int SCE_D_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_NUMBER")]
	public const int SCE_D_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_OPERATOR")]
	public const int SCE_D_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_STRING")]
	public const int SCE_D_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_STRINGB")]
	public const int SCE_D_STRINGB;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_STRINGEOL")]
	public const int SCE_D_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_STRINGR")]
	public const int SCE_D_STRINGR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_TYPEDEF")]
	public const int SCE_D_TYPEDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_WORD")]
	public const int SCE_D_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_WORD2")]
	public const int SCE_D_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_WORD3")]
	public const int SCE_D_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_WORD5")]
	public const int SCE_D_WORD5;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_WORD6")]
	public const int SCE_D_WORD6;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_D_WORD7")]
	public const int SCE_D_WORD7;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_ADDED")]
	public const int SCE_ECL_ADDED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_CHANGED")]
	public const int SCE_ECL_CHANGED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_CHARACTER")]
	public const int SCE_ECL_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_COMMENT")]
	public const int SCE_ECL_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_COMMENTDOC")]
	public const int SCE_ECL_COMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_COMMENTDOCKEYWORD")]
	public const int SCE_ECL_COMMENTDOCKEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_COMMENTDOCKEYWORDERROR")]
	public const int SCE_ECL_COMMENTDOCKEYWORDERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_COMMENTLINE")]
	public const int SCE_ECL_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_COMMENTLINEDOC")]
	public const int SCE_ECL_COMMENTLINEDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_DEFAULT")]
	public const int SCE_ECL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_DELETED")]
	public const int SCE_ECL_DELETED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_IDENTIFIER")]
	public const int SCE_ECL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_MOVED")]
	public const int SCE_ECL_MOVED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_NUMBER")]
	public const int SCE_ECL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_OPERATOR")]
	public const int SCE_ECL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_PREPROCESSOR")]
	public const int SCE_ECL_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_REGEX")]
	public const int SCE_ECL_REGEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_STRING")]
	public const int SCE_ECL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_STRINGEOL")]
	public const int SCE_ECL_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_UNKNOWN")]
	public const int SCE_ECL_UNKNOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_UUID")]
	public const int SCE_ECL_UUID;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_VERBATIM")]
	public const int SCE_ECL_VERBATIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_WORD0")]
	public const int SCE_ECL_WORD0;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_WORD1")]
	public const int SCE_ECL_WORD1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_WORD2")]
	public const int SCE_ECL_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_WORD3")]
	public const int SCE_ECL_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_WORD4")]
	public const int SCE_ECL_WORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ECL_WORD5")]
	public const int SCE_ECL_WORD5;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EDI_BADSEGMENT")]
	public const int SCE_EDI_BADSEGMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EDI_DEFAULT")]
	public const int SCE_EDI_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EDI_SEGMENTEND")]
	public const int SCE_EDI_SEGMENTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EDI_SEGMENTSTART")]
	public const int SCE_EDI_SEGMENTSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EDI_SEP_COMPOSITE")]
	public const int SCE_EDI_SEP_COMPOSITE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EDI_SEP_ELEMENT")]
	public const int SCE_EDI_SEP_ELEMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EDI_SEP_RELEASE")]
	public const int SCE_EDI_SEP_RELEASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EDI_UNA")]
	public const int SCE_EDI_UNA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EDI_UNH")]
	public const int SCE_EDI_UNH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EIFFEL_CHARACTER")]
	public const int SCE_EIFFEL_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EIFFEL_COMMENTLINE")]
	public const int SCE_EIFFEL_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EIFFEL_DEFAULT")]
	public const int SCE_EIFFEL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EIFFEL_IDENTIFIER")]
	public const int SCE_EIFFEL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EIFFEL_NUMBER")]
	public const int SCE_EIFFEL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EIFFEL_OPERATOR")]
	public const int SCE_EIFFEL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EIFFEL_STRING")]
	public const int SCE_EIFFEL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EIFFEL_STRINGEOL")]
	public const int SCE_EIFFEL_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_EIFFEL_WORD")]
	public const int SCE_EIFFEL_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_ATOM")]
	public const int SCE_ERLANG_ATOM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_ATOM_QUOTED")]
	public const int SCE_ERLANG_ATOM_QUOTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_BIFS")]
	public const int SCE_ERLANG_BIFS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_CHARACTER")]
	public const int SCE_ERLANG_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_COMMENT")]
	public const int SCE_ERLANG_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_COMMENT_DOC")]
	public const int SCE_ERLANG_COMMENT_DOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_COMMENT_DOC_MACRO")]
	public const int SCE_ERLANG_COMMENT_DOC_MACRO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_COMMENT_FUNCTION")]
	public const int SCE_ERLANG_COMMENT_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_COMMENT_MODULE")]
	public const int SCE_ERLANG_COMMENT_MODULE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_DEFAULT")]
	public const int SCE_ERLANG_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_FUNCTION_NAME")]
	public const int SCE_ERLANG_FUNCTION_NAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_KEYWORD")]
	public const int SCE_ERLANG_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_MACRO")]
	public const int SCE_ERLANG_MACRO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_MACRO_QUOTED")]
	public const int SCE_ERLANG_MACRO_QUOTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_MODULES")]
	public const int SCE_ERLANG_MODULES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_MODULES_ATT")]
	public const int SCE_ERLANG_MODULES_ATT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_NODE_NAME")]
	public const int SCE_ERLANG_NODE_NAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_NODE_NAME_QUOTED")]
	public const int SCE_ERLANG_NODE_NAME_QUOTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_NUMBER")]
	public const int SCE_ERLANG_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_OPERATOR")]
	public const int SCE_ERLANG_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_PREPROC")]
	public const int SCE_ERLANG_PREPROC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_RECORD")]
	public const int SCE_ERLANG_RECORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_RECORD_QUOTED")]
	public const int SCE_ERLANG_RECORD_QUOTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_STRING")]
	public const int SCE_ERLANG_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_UNKNOWN")]
	public const int SCE_ERLANG_UNKNOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERLANG_VARIABLE")]
	public const int SCE_ERLANG_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ABSF")]
	public const int SCE_ERR_ABSF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_BORLAND")]
	public const int SCE_ERR_BORLAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_CMD")]
	public const int SCE_ERR_CMD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_CTAG")]
	public const int SCE_ERR_CTAG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_DEFAULT")]
	public const int SCE_ERR_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_DIFF_ADDITION")]
	public const int SCE_ERR_DIFF_ADDITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_DIFF_CHANGED")]
	public const int SCE_ERR_DIFF_CHANGED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_DIFF_DELETION")]
	public const int SCE_ERR_DIFF_DELETION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_DIFF_MESSAGE")]
	public const int SCE_ERR_DIFF_MESSAGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ELF")]
	public const int SCE_ERR_ELF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ESCSEQ")]
	public const int SCE_ERR_ESCSEQ;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ESCSEQ_UNKNOWN")]
	public const int SCE_ERR_ESCSEQ_UNKNOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_BLACK")]
	public const int SCE_ERR_ES_BLACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_BLUE")]
	public const int SCE_ERR_ES_BLUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_BRIGHT_BLUE")]
	public const int SCE_ERR_ES_BRIGHT_BLUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_BRIGHT_CYAN")]
	public const int SCE_ERR_ES_BRIGHT_CYAN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_BRIGHT_GREEN")]
	public const int SCE_ERR_ES_BRIGHT_GREEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_BRIGHT_MAGENTA")]
	public const int SCE_ERR_ES_BRIGHT_MAGENTA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_BRIGHT_RED")]
	public const int SCE_ERR_ES_BRIGHT_RED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_BROWN")]
	public const int SCE_ERR_ES_BROWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_CYAN")]
	public const int SCE_ERR_ES_CYAN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_DARK_GRAY")]
	public const int SCE_ERR_ES_DARK_GRAY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_GRAY")]
	public const int SCE_ERR_ES_GRAY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_GREEN")]
	public const int SCE_ERR_ES_GREEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_MAGENTA")]
	public const int SCE_ERR_ES_MAGENTA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_RED")]
	public const int SCE_ERR_ES_RED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_WHITE")]
	public const int SCE_ERR_ES_WHITE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_ES_YELLOW")]
	public const int SCE_ERR_ES_YELLOW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_GCC")]
	public const int SCE_ERR_GCC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_GCC_INCLUDED_FROM")]
	public const int SCE_ERR_GCC_INCLUDED_FROM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_IFC")]
	public const int SCE_ERR_IFC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_IFORT")]
	public const int SCE_ERR_IFORT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_JAVA_STACK")]
	public const int SCE_ERR_JAVA_STACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_LUA")]
	public const int SCE_ERR_LUA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_MS")]
	public const int SCE_ERR_MS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_NET")]
	public const int SCE_ERR_NET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_PERL")]
	public const int SCE_ERR_PERL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_PHP")]
	public const int SCE_ERR_PHP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_PYTHON")]
	public const int SCE_ERR_PYTHON;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_TIDY")]
	public const int SCE_ERR_TIDY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ERR_VALUE")]
	public const int SCE_ERR_VALUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ESCRIPT_BRACE")]
	public const int SCE_ESCRIPT_BRACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ESCRIPT_COMMENT")]
	public const int SCE_ESCRIPT_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ESCRIPT_COMMENTDOC")]
	public const int SCE_ESCRIPT_COMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ESCRIPT_COMMENTLINE")]
	public const int SCE_ESCRIPT_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ESCRIPT_DEFAULT")]
	public const int SCE_ESCRIPT_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ESCRIPT_IDENTIFIER")]
	public const int SCE_ESCRIPT_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ESCRIPT_NUMBER")]
	public const int SCE_ESCRIPT_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ESCRIPT_OPERATOR")]
	public const int SCE_ESCRIPT_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ESCRIPT_STRING")]
	public const int SCE_ESCRIPT_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ESCRIPT_WORD")]
	public const int SCE_ESCRIPT_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ESCRIPT_WORD2")]
	public const int SCE_ESCRIPT_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ESCRIPT_WORD3")]
	public const int SCE_ESCRIPT_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FORTH_COMMENT")]
	public const int SCE_FORTH_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FORTH_COMMENT_ML")]
	public const int SCE_FORTH_COMMENT_ML;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FORTH_CONTROL")]
	public const int SCE_FORTH_CONTROL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FORTH_DEFAULT")]
	public const int SCE_FORTH_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FORTH_DEFWORD")]
	public const int SCE_FORTH_DEFWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FORTH_IDENTIFIER")]
	public const int SCE_FORTH_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FORTH_KEYWORD")]
	public const int SCE_FORTH_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FORTH_LOCALE")]
	public const int SCE_FORTH_LOCALE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FORTH_NUMBER")]
	public const int SCE_FORTH_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FORTH_PREWORD1")]
	public const int SCE_FORTH_PREWORD1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FORTH_PREWORD2")]
	public const int SCE_FORTH_PREWORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FORTH_STRING")]
	public const int SCE_FORTH_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_COMMENT")]
	public const int SCE_FS_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_COMMENTDOC")]
	public const int SCE_FS_COMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_COMMENTDOCKEYWORD")]
	public const int SCE_FS_COMMENTDOCKEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_COMMENTDOCKEYWORDERROR")]
	public const int SCE_FS_COMMENTDOCKEYWORDERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_COMMENTDOC_C")]
	public const int SCE_FS_COMMENTDOC_C;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_COMMENTLINE")]
	public const int SCE_FS_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_COMMENTLINEDOC")]
	public const int SCE_FS_COMMENTLINEDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_COMMENTLINEDOC_C")]
	public const int SCE_FS_COMMENTLINEDOC_C;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_CONSTANT")]
	public const int SCE_FS_CONSTANT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_DATE")]
	public const int SCE_FS_DATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_DEFAULT")]
	public const int SCE_FS_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_DEFAULT_C")]
	public const int SCE_FS_DEFAULT_C;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_DISABLEDCODE")]
	public const int SCE_FS_DISABLEDCODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_IDENTIFIER")]
	public const int SCE_FS_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_IDENTIFIER_C")]
	public const int SCE_FS_IDENTIFIER_C;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_KEYWORD")]
	public const int SCE_FS_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_KEYWORD2")]
	public const int SCE_FS_KEYWORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_KEYWORD2_C")]
	public const int SCE_FS_KEYWORD2_C;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_KEYWORD3")]
	public const int SCE_FS_KEYWORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_KEYWORD4")]
	public const int SCE_FS_KEYWORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_KEYWORD_C")]
	public const int SCE_FS_KEYWORD_C;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_NUMBER")]
	public const int SCE_FS_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_NUMBER_C")]
	public const int SCE_FS_NUMBER_C;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_OPERATOR")]
	public const int SCE_FS_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_OPERATOR_C")]
	public const int SCE_FS_OPERATOR_C;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_PREPROCESSOR")]
	public const int SCE_FS_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_PREPROCESSOR_C")]
	public const int SCE_FS_PREPROCESSOR_C;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_STRING")]
	public const int SCE_FS_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_STRINGEOL")]
	public const int SCE_FS_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_STRINGEOL_C")]
	public const int SCE_FS_STRINGEOL_C;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_STRING_C")]
	public const int SCE_FS_STRING_C;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_FS_WORDOPERATOR")]
	public const int SCE_FS_WORDOPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_COMMENT")]
	public const int SCE_F_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_CONTINUATION")]
	public const int SCE_F_CONTINUATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_DEFAULT")]
	public const int SCE_F_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_IDENTIFIER")]
	public const int SCE_F_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_LABEL")]
	public const int SCE_F_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_NUMBER")]
	public const int SCE_F_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_OPERATOR")]
	public const int SCE_F_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_OPERATOR2")]
	public const int SCE_F_OPERATOR2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_PREPROCESSOR")]
	public const int SCE_F_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_STRING1")]
	public const int SCE_F_STRING1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_STRING2")]
	public const int SCE_F_STRING2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_STRINGEOL")]
	public const int SCE_F_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_WORD")]
	public const int SCE_F_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_WORD2")]
	public const int SCE_F_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_F_WORD3")]
	public const int SCE_F_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GAP_CHAR")]
	public const int SCE_GAP_CHAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GAP_COMMENT")]
	public const int SCE_GAP_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GAP_DEFAULT")]
	public const int SCE_GAP_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GAP_IDENTIFIER")]
	public const int SCE_GAP_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GAP_KEYWORD")]
	public const int SCE_GAP_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GAP_KEYWORD2")]
	public const int SCE_GAP_KEYWORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GAP_KEYWORD3")]
	public const int SCE_GAP_KEYWORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GAP_KEYWORD4")]
	public const int SCE_GAP_KEYWORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GAP_NUMBER")]
	public const int SCE_GAP_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GAP_OPERATOR")]
	public const int SCE_GAP_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GAP_STRING")]
	public const int SCE_GAP_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GAP_STRINGEOL")]
	public const int SCE_GAP_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GC_ATTRIBUTE")]
	public const int SCE_GC_ATTRIBUTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GC_COMMAND")]
	public const int SCE_GC_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GC_COMMENTBLOCK")]
	public const int SCE_GC_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GC_COMMENTLINE")]
	public const int SCE_GC_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GC_CONTROL")]
	public const int SCE_GC_CONTROL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GC_DEFAULT")]
	public const int SCE_GC_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GC_EVENT")]
	public const int SCE_GC_EVENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GC_GLOBAL")]
	public const int SCE_GC_GLOBAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GC_OPERATOR")]
	public const int SCE_GC_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_GC_STRING")]
	public const int SCE_GC_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_CAPITAL")]
	public const int SCE_HA_CAPITAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_CHARACTER")]
	public const int SCE_HA_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_CLASS")]
	public const int SCE_HA_CLASS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_COMMENTBLOCK")]
	public const int SCE_HA_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_COMMENTBLOCK2")]
	public const int SCE_HA_COMMENTBLOCK2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_COMMENTBLOCK3")]
	public const int SCE_HA_COMMENTBLOCK3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_COMMENTLINE")]
	public const int SCE_HA_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_DATA")]
	public const int SCE_HA_DATA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_DEFAULT")]
	public const int SCE_HA_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_IDENTIFIER")]
	public const int SCE_HA_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_IMPORT")]
	public const int SCE_HA_IMPORT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_INSTANCE")]
	public const int SCE_HA_INSTANCE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_KEYWORD")]
	public const int SCE_HA_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_LITERATE_CODEDELIM")]
	public const int SCE_HA_LITERATE_CODEDELIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_LITERATE_COMMENT")]
	public const int SCE_HA_LITERATE_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_MODULE")]
	public const int SCE_HA_MODULE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_NUMBER")]
	public const int SCE_HA_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_OPERATOR")]
	public const int SCE_HA_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_PRAGMA")]
	public const int SCE_HA_PRAGMA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_PREPROCESSOR")]
	public const int SCE_HA_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_RESERVED_OPERATOR")]
	public const int SCE_HA_RESERVED_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_STRING")]
	public const int SCE_HA_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HA_STRINGEOL")]
	public const int SCE_HA_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HBA_COMMENTLINE")]
	public const int SCE_HBA_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HBA_DEFAULT")]
	public const int SCE_HBA_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HBA_IDENTIFIER")]
	public const int SCE_HBA_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HBA_NUMBER")]
	public const int SCE_HBA_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HBA_START")]
	public const int SCE_HBA_START;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HBA_STRING")]
	public const int SCE_HBA_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HBA_STRINGEOL")]
	public const int SCE_HBA_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HBA_WORD")]
	public const int SCE_HBA_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HB_COMMENTLINE")]
	public const int SCE_HB_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HB_DEFAULT")]
	public const int SCE_HB_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HB_IDENTIFIER")]
	public const int SCE_HB_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HB_NUMBER")]
	public const int SCE_HB_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HB_START")]
	public const int SCE_HB_START;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HB_STRING")]
	public const int SCE_HB_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HB_STRINGEOL")]
	public const int SCE_HB_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HB_WORD")]
	public const int SCE_HB_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_ADDRESSFIELD_UNKNOWN")]
	public const int SCE_HEX_ADDRESSFIELD_UNKNOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_BYTECOUNT")]
	public const int SCE_HEX_BYTECOUNT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_BYTECOUNT_WRONG")]
	public const int SCE_HEX_BYTECOUNT_WRONG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_CHECKSUM")]
	public const int SCE_HEX_CHECKSUM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_CHECKSUM_WRONG")]
	public const int SCE_HEX_CHECKSUM_WRONG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_DATAADDRESS")]
	public const int SCE_HEX_DATAADDRESS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_DATA_EMPTY")]
	public const int SCE_HEX_DATA_EMPTY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_DATA_EVEN")]
	public const int SCE_HEX_DATA_EVEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_DATA_ODD")]
	public const int SCE_HEX_DATA_ODD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_DATA_UNKNOWN")]
	public const int SCE_HEX_DATA_UNKNOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_DEFAULT")]
	public const int SCE_HEX_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_EXTENDEDADDRESS")]
	public const int SCE_HEX_EXTENDEDADDRESS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_GARBAGE")]
	public const int SCE_HEX_GARBAGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_NOADDRESS")]
	public const int SCE_HEX_NOADDRESS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_RECCOUNT")]
	public const int SCE_HEX_RECCOUNT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_RECSTART")]
	public const int SCE_HEX_RECSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_RECTYPE")]
	public const int SCE_HEX_RECTYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_RECTYPE_UNKNOWN")]
	public const int SCE_HEX_RECTYPE_UNKNOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HEX_STARTADDRESS")]
	public const int SCE_HEX_STARTADDRESS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_COMMENT")]
	public const int SCE_HJA_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_COMMENTDOC")]
	public const int SCE_HJA_COMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_COMMENTLINE")]
	public const int SCE_HJA_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_DEFAULT")]
	public const int SCE_HJA_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_DOUBLESTRING")]
	public const int SCE_HJA_DOUBLESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_KEYWORD")]
	public const int SCE_HJA_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_NUMBER")]
	public const int SCE_HJA_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_REGEX")]
	public const int SCE_HJA_REGEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_SINGLESTRING")]
	public const int SCE_HJA_SINGLESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_START")]
	public const int SCE_HJA_START;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_STRINGEOL")]
	public const int SCE_HJA_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_SYMBOLS")]
	public const int SCE_HJA_SYMBOLS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJA_WORD")]
	public const int SCE_HJA_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_COMMENT")]
	public const int SCE_HJ_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_COMMENTDOC")]
	public const int SCE_HJ_COMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_COMMENTLINE")]
	public const int SCE_HJ_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_DEFAULT")]
	public const int SCE_HJ_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_DOUBLESTRING")]
	public const int SCE_HJ_DOUBLESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_KEYWORD")]
	public const int SCE_HJ_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_NUMBER")]
	public const int SCE_HJ_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_REGEX")]
	public const int SCE_HJ_REGEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_SINGLESTRING")]
	public const int SCE_HJ_SINGLESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_START")]
	public const int SCE_HJ_START;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_STRINGEOL")]
	public const int SCE_HJ_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_SYMBOLS")]
	public const int SCE_HJ_SYMBOLS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HJ_WORD")]
	public const int SCE_HJ_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_CHARACTER")]
	public const int SCE_HPA_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_CLASSNAME")]
	public const int SCE_HPA_CLASSNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_COMMENTLINE")]
	public const int SCE_HPA_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_DEFAULT")]
	public const int SCE_HPA_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_DEFNAME")]
	public const int SCE_HPA_DEFNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_IDENTIFIER")]
	public const int SCE_HPA_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_NUMBER")]
	public const int SCE_HPA_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_OPERATOR")]
	public const int SCE_HPA_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_START")]
	public const int SCE_HPA_START;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_STRING")]
	public const int SCE_HPA_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_TRIPLE")]
	public const int SCE_HPA_TRIPLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_TRIPLEDOUBLE")]
	public const int SCE_HPA_TRIPLEDOUBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPA_WORD")]
	public const int SCE_HPA_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPHP_COMMENT")]
	public const int SCE_HPHP_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPHP_COMMENTLINE")]
	public const int SCE_HPHP_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPHP_COMPLEX_VARIABLE")]
	public const int SCE_HPHP_COMPLEX_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPHP_DEFAULT")]
	public const int SCE_HPHP_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPHP_HSTRING")]
	public const int SCE_HPHP_HSTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPHP_HSTRING_VARIABLE")]
	public const int SCE_HPHP_HSTRING_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPHP_NUMBER")]
	public const int SCE_HPHP_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPHP_OPERATOR")]
	public const int SCE_HPHP_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPHP_SIMPLESTRING")]
	public const int SCE_HPHP_SIMPLESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPHP_VARIABLE")]
	public const int SCE_HPHP_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HPHP_WORD")]
	public const int SCE_HPHP_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_CHARACTER")]
	public const int SCE_HP_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_CLASSNAME")]
	public const int SCE_HP_CLASSNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_COMMENTLINE")]
	public const int SCE_HP_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_DEFAULT")]
	public const int SCE_HP_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_DEFNAME")]
	public const int SCE_HP_DEFNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_IDENTIFIER")]
	public const int SCE_HP_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_NUMBER")]
	public const int SCE_HP_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_OPERATOR")]
	public const int SCE_HP_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_START")]
	public const int SCE_HP_START;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_STRING")]
	public const int SCE_HP_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_TRIPLE")]
	public const int SCE_HP_TRIPLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_TRIPLEDOUBLE")]
	public const int SCE_HP_TRIPLEDOUBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_HP_WORD")]
	public const int SCE_HP_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_ASP")]
	public const int SCE_H_ASP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_ASPAT")]
	public const int SCE_H_ASPAT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_ATTRIBUTE")]
	public const int SCE_H_ATTRIBUTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_ATTRIBUTEUNKNOWN")]
	public const int SCE_H_ATTRIBUTEUNKNOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_CDATA")]
	public const int SCE_H_CDATA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_COMMENT")]
	public const int SCE_H_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_DEFAULT")]
	public const int SCE_H_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_DOUBLESTRING")]
	public const int SCE_H_DOUBLESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_ENTITY")]
	public const int SCE_H_ENTITY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_NUMBER")]
	public const int SCE_H_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_OTHER")]
	public const int SCE_H_OTHER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_QUESTION")]
	public const int SCE_H_QUESTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SCRIPT")]
	public const int SCE_H_SCRIPT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SGML_1ST_PARAM")]
	public const int SCE_H_SGML_1ST_PARAM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SGML_1ST_PARAM_COMMENT")]
	public const int SCE_H_SGML_1ST_PARAM_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SGML_BLOCK_DEFAULT")]
	public const int SCE_H_SGML_BLOCK_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SGML_COMMAND")]
	public const int SCE_H_SGML_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SGML_COMMENT")]
	public const int SCE_H_SGML_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SGML_DEFAULT")]
	public const int SCE_H_SGML_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SGML_DOUBLESTRING")]
	public const int SCE_H_SGML_DOUBLESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SGML_ENTITY")]
	public const int SCE_H_SGML_ENTITY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SGML_ERROR")]
	public const int SCE_H_SGML_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SGML_SIMPLESTRING")]
	public const int SCE_H_SGML_SIMPLESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SGML_SPECIAL")]
	public const int SCE_H_SGML_SPECIAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_SINGLESTRING")]
	public const int SCE_H_SINGLESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_TAG")]
	public const int SCE_H_TAG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_TAGEND")]
	public const int SCE_H_TAGEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_TAGUNKNOWN")]
	public const int SCE_H_TAGUNKNOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_VALUE")]
	public const int SCE_H_VALUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_XCCOMMENT")]
	public const int SCE_H_XCCOMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_XMLEND")]
	public const int SCE_H_XMLEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_H_XMLSTART")]
	public const int SCE_H_XMLSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_COMMENT")]
	public const int SCE_INNO_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_COMMENT_PASCAL")]
	public const int SCE_INNO_COMMENT_PASCAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_DEFAULT")]
	public const int SCE_INNO_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_IDENTIFIER")]
	public const int SCE_INNO_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_INLINE_EXPANSION")]
	public const int SCE_INNO_INLINE_EXPANSION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_KEYWORD")]
	public const int SCE_INNO_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_KEYWORD_PASCAL")]
	public const int SCE_INNO_KEYWORD_PASCAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_KEYWORD_USER")]
	public const int SCE_INNO_KEYWORD_USER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_PARAMETER")]
	public const int SCE_INNO_PARAMETER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_PREPROC")]
	public const int SCE_INNO_PREPROC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_SECTION")]
	public const int SCE_INNO_SECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_STRING_DOUBLE")]
	public const int SCE_INNO_STRING_DOUBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_INNO_STRING_SINGLE")]
	public const int SCE_INNO_STRING_SINGLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_BLOCKCOMMENT")]
	public const int SCE_JSON_BLOCKCOMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_COMPACTIRI")]
	public const int SCE_JSON_COMPACTIRI;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_DEFAULT")]
	public const int SCE_JSON_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_ERROR")]
	public const int SCE_JSON_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_ESCAPESEQUENCE")]
	public const int SCE_JSON_ESCAPESEQUENCE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_KEYWORD")]
	public const int SCE_JSON_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_LDKEYWORD")]
	public const int SCE_JSON_LDKEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_LINECOMMENT")]
	public const int SCE_JSON_LINECOMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_NUMBER")]
	public const int SCE_JSON_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_OPERATOR")]
	public const int SCE_JSON_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_PROPERTYNAME")]
	public const int SCE_JSON_PROPERTYNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_STRING")]
	public const int SCE_JSON_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_STRINGEOL")]
	public const int SCE_JSON_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_JSON_URI")]
	public const int SCE_JSON_URI;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KIX_COMMENT")]
	public const int SCE_KIX_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KIX_COMMENTSTREAM")]
	public const int SCE_KIX_COMMENTSTREAM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KIX_DEFAULT")]
	public const int SCE_KIX_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KIX_FUNCTIONS")]
	public const int SCE_KIX_FUNCTIONS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KIX_IDENTIFIER")]
	public const int SCE_KIX_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KIX_KEYWORD")]
	public const int SCE_KIX_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KIX_MACRO")]
	public const int SCE_KIX_MACRO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KIX_NUMBER")]
	public const int SCE_KIX_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KIX_OPERATOR")]
	public const int SCE_KIX_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KIX_STRING1")]
	public const int SCE_KIX_STRING1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KIX_STRING2")]
	public const int SCE_KIX_STRING2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KIX_VAR")]
	public const int SCE_KIX_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_COMMENT")]
	public const int SCE_KVIRC_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_COMMENTBLOCK")]
	public const int SCE_KVIRC_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_DEFAULT")]
	public const int SCE_KVIRC_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_FUNCTION")]
	public const int SCE_KVIRC_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_FUNCTION_KEYWORD")]
	public const int SCE_KVIRC_FUNCTION_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_KEYWORD")]
	public const int SCE_KVIRC_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_NUMBER")]
	public const int SCE_KVIRC_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_OPERATOR")]
	public const int SCE_KVIRC_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_STRING")]
	public const int SCE_KVIRC_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_STRING_FUNCTION")]
	public const int SCE_KVIRC_STRING_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_STRING_VARIABLE")]
	public const int SCE_KVIRC_STRING_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_VARIABLE")]
	public const int SCE_KVIRC_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_KVIRC_WORD")]
	public const int SCE_KVIRC_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LISP_COMMENT")]
	public const int SCE_LISP_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LISP_DEFAULT")]
	public const int SCE_LISP_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LISP_IDENTIFIER")]
	public const int SCE_LISP_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LISP_KEYWORD")]
	public const int SCE_LISP_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LISP_KEYWORD_KW")]
	public const int SCE_LISP_KEYWORD_KW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LISP_MULTI_COMMENT")]
	public const int SCE_LISP_MULTI_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LISP_NUMBER")]
	public const int SCE_LISP_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LISP_OPERATOR")]
	public const int SCE_LISP_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LISP_SPECIAL")]
	public const int SCE_LISP_SPECIAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LISP_STRING")]
	public const int SCE_LISP_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LISP_STRINGEOL")]
	public const int SCE_LISP_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LISP_SYMBOL")]
	public const int SCE_LISP_SYMBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOT_ABORT")]
	public const int SCE_LOT_ABORT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOT_BREAK")]
	public const int SCE_LOT_BREAK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOT_DEFAULT")]
	public const int SCE_LOT_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOT_FAIL")]
	public const int SCE_LOT_FAIL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOT_HEADER")]
	public const int SCE_LOT_HEADER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOT_PASS")]
	public const int SCE_LOT_PASS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOT_SET")]
	public const int SCE_LOT_SET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOUT_COMMENT")]
	public const int SCE_LOUT_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOUT_DEFAULT")]
	public const int SCE_LOUT_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOUT_IDENTIFIER")]
	public const int SCE_LOUT_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOUT_NUMBER")]
	public const int SCE_LOUT_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOUT_OPERATOR")]
	public const int SCE_LOUT_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOUT_STRING")]
	public const int SCE_LOUT_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOUT_STRINGEOL")]
	public const int SCE_LOUT_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOUT_WORD")]
	public const int SCE_LOUT_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOUT_WORD2")]
	public const int SCE_LOUT_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOUT_WORD3")]
	public const int SCE_LOUT_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LOUT_WORD4")]
	public const int SCE_LOUT_WORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_CHARACTER")]
	public const int SCE_LUA_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_COMMENT")]
	public const int SCE_LUA_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_COMMENTDOC")]
	public const int SCE_LUA_COMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_COMMENTLINE")]
	public const int SCE_LUA_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_DEFAULT")]
	public const int SCE_LUA_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_IDENTIFIER")]
	public const int SCE_LUA_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_LABEL")]
	public const int SCE_LUA_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_LITERALSTRING")]
	public const int SCE_LUA_LITERALSTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_NUMBER")]
	public const int SCE_LUA_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_OPERATOR")]
	public const int SCE_LUA_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_PREPROCESSOR")]
	public const int SCE_LUA_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_STRING")]
	public const int SCE_LUA_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_STRINGEOL")]
	public const int SCE_LUA_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_WORD")]
	public const int SCE_LUA_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_WORD2")]
	public const int SCE_LUA_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_WORD3")]
	public const int SCE_LUA_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_WORD4")]
	public const int SCE_LUA_WORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_WORD5")]
	public const int SCE_LUA_WORD5;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_WORD6")]
	public const int SCE_LUA_WORD6;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_WORD7")]
	public const int SCE_LUA_WORD7;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_LUA_WORD8")]
	public const int SCE_LUA_WORD8;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_CMDOPT")]
	public const int SCE_L_CMDOPT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_COMMAND")]
	public const int SCE_L_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_COMMENT")]
	public const int SCE_L_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_COMMENT2")]
	public const int SCE_L_COMMENT2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_DEFAULT")]
	public const int SCE_L_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_ERROR")]
	public const int SCE_L_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_MATH")]
	public const int SCE_L_MATH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_MATH2")]
	public const int SCE_L_MATH2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_SHORTCMD")]
	public const int SCE_L_SHORTCMD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_SPECIAL")]
	public const int SCE_L_SPECIAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_TAG")]
	public const int SCE_L_TAG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_TAG2")]
	public const int SCE_L_TAG2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_L_VERBATIM")]
	public const int SCE_L_VERBATIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_BRACE_BLOCK")]
	public const int SCE_MAGIK_BRACE_BLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_BRACKET_BLOCK")]
	public const int SCE_MAGIK_BRACKET_BLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_CHARACTER")]
	public const int SCE_MAGIK_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_COMMENT")]
	public const int SCE_MAGIK_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_CONTAINER")]
	public const int SCE_MAGIK_CONTAINER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_DEFAULT")]
	public const int SCE_MAGIK_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_FLOW")]
	public const int SCE_MAGIK_FLOW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_HYPER_COMMENT")]
	public const int SCE_MAGIK_HYPER_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_IDENTIFIER")]
	public const int SCE_MAGIK_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_KEYWORD")]
	public const int SCE_MAGIK_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_NUMBER")]
	public const int SCE_MAGIK_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_OPERATOR")]
	public const int SCE_MAGIK_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_PRAGMA")]
	public const int SCE_MAGIK_PRAGMA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_SQBRACKET_BLOCK")]
	public const int SCE_MAGIK_SQBRACKET_BLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_STRING")]
	public const int SCE_MAGIK_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_SYMBOL")]
	public const int SCE_MAGIK_SYMBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAGIK_UNKNOWN_KEYWORD")]
	public const int SCE_MAGIK_UNKNOWN_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAKE_COMMENT")]
	public const int SCE_MAKE_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAKE_DEFAULT")]
	public const int SCE_MAKE_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAKE_IDENTIFIER")]
	public const int SCE_MAKE_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAKE_IDEOL")]
	public const int SCE_MAKE_IDEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAKE_OPERATOR")]
	public const int SCE_MAKE_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAKE_PREPROCESSOR")]
	public const int SCE_MAKE_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAKE_TARGET")]
	public const int SCE_MAKE_TARGET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_BLOCKQUOTE")]
	public const int SCE_MARKDOWN_BLOCKQUOTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_CODE")]
	public const int SCE_MARKDOWN_CODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_CODE2")]
	public const int SCE_MARKDOWN_CODE2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_CODEBK")]
	public const int SCE_MARKDOWN_CODEBK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_DEFAULT")]
	public const int SCE_MARKDOWN_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_EM1")]
	public const int SCE_MARKDOWN_EM1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_EM2")]
	public const int SCE_MARKDOWN_EM2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_HEADER1")]
	public const int SCE_MARKDOWN_HEADER1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_HEADER2")]
	public const int SCE_MARKDOWN_HEADER2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_HEADER3")]
	public const int SCE_MARKDOWN_HEADER3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_HEADER4")]
	public const int SCE_MARKDOWN_HEADER4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_HEADER5")]
	public const int SCE_MARKDOWN_HEADER5;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_HEADER6")]
	public const int SCE_MARKDOWN_HEADER6;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_HRULE")]
	public const int SCE_MARKDOWN_HRULE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_LINE_BEGIN")]
	public const int SCE_MARKDOWN_LINE_BEGIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_LINK")]
	public const int SCE_MARKDOWN_LINK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_OLIST_ITEM")]
	public const int SCE_MARKDOWN_OLIST_ITEM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_PRECHAR")]
	public const int SCE_MARKDOWN_PRECHAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_STRIKEOUT")]
	public const int SCE_MARKDOWN_STRIKEOUT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_STRONG1")]
	public const int SCE_MARKDOWN_STRONG1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_STRONG2")]
	public const int SCE_MARKDOWN_STRONG2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MARKDOWN_ULIST_ITEM")]
	public const int SCE_MARKDOWN_ULIST_ITEM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MATLAB_COMMAND")]
	public const int SCE_MATLAB_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MATLAB_COMMENT")]
	public const int SCE_MATLAB_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MATLAB_DEFAULT")]
	public const int SCE_MATLAB_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MATLAB_DOUBLEQUOTESTRING")]
	public const int SCE_MATLAB_DOUBLEQUOTESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MATLAB_IDENTIFIER")]
	public const int SCE_MATLAB_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MATLAB_KEYWORD")]
	public const int SCE_MATLAB_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MATLAB_NUMBER")]
	public const int SCE_MATLAB_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MATLAB_OPERATOR")]
	public const int SCE_MATLAB_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MATLAB_STRING")]
	public const int SCE_MATLAB_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAXIMA_COMMAND")]
	public const int SCE_MAXIMA_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAXIMA_COMMANDENDING")]
	public const int SCE_MAXIMA_COMMANDENDING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAXIMA_COMMENT")]
	public const int SCE_MAXIMA_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAXIMA_NUMBER")]
	public const int SCE_MAXIMA_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAXIMA_OPERATOR")]
	public const int SCE_MAXIMA_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAXIMA_STRING")]
	public const int SCE_MAXIMA_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAXIMA_UNKNOWN")]
	public const int SCE_MAXIMA_UNKNOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MAXIMA_VARIABLE")]
	public const int SCE_MAXIMA_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_METAPOST_COMMAND")]
	public const int SCE_METAPOST_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_METAPOST_DEFAULT")]
	public const int SCE_METAPOST_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_METAPOST_EXTRA")]
	public const int SCE_METAPOST_EXTRA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_METAPOST_GROUP")]
	public const int SCE_METAPOST_GROUP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_METAPOST_SPECIAL")]
	public const int SCE_METAPOST_SPECIAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_METAPOST_SYMBOL")]
	public const int SCE_METAPOST_SYMBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_METAPOST_TEXT")]
	public const int SCE_METAPOST_TEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_CHAR")]
	public const int SCE_MMIXAL_CHAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_COMMENT")]
	public const int SCE_MMIXAL_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_HEX")]
	public const int SCE_MMIXAL_HEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_INCLUDE")]
	public const int SCE_MMIXAL_INCLUDE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_LABEL")]
	public const int SCE_MMIXAL_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_LEADWS")]
	public const int SCE_MMIXAL_LEADWS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_NUMBER")]
	public const int SCE_MMIXAL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_OPCODE")]
	public const int SCE_MMIXAL_OPCODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_OPCODE_POST")]
	public const int SCE_MMIXAL_OPCODE_POST;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_OPCODE_PRE")]
	public const int SCE_MMIXAL_OPCODE_PRE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_OPCODE_UNKNOWN")]
	public const int SCE_MMIXAL_OPCODE_UNKNOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_OPCODE_VALID")]
	public const int SCE_MMIXAL_OPCODE_VALID;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_OPERANDS")]
	public const int SCE_MMIXAL_OPERANDS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_OPERATOR")]
	public const int SCE_MMIXAL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_REF")]
	public const int SCE_MMIXAL_REF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_REGISTER")]
	public const int SCE_MMIXAL_REGISTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_STRING")]
	public const int SCE_MMIXAL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MMIXAL_SYMBOL")]
	public const int SCE_MMIXAL_SYMBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_BADSTR")]
	public const int SCE_MODULA_BADSTR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_BASENUM")]
	public const int SCE_MODULA_BASENUM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_CHAR")]
	public const int SCE_MODULA_CHAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_CHARSPEC")]
	public const int SCE_MODULA_CHARSPEC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_COMMENT")]
	public const int SCE_MODULA_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_DEFAULT")]
	public const int SCE_MODULA_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_DOXYCOMM")]
	public const int SCE_MODULA_DOXYCOMM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_DOXYKEY")]
	public const int SCE_MODULA_DOXYKEY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_FLOAT")]
	public const int SCE_MODULA_FLOAT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_KEYWORD")]
	public const int SCE_MODULA_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_NUMBER")]
	public const int SCE_MODULA_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_OPERATOR")]
	public const int SCE_MODULA_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_PRAGMA")]
	public const int SCE_MODULA_PRAGMA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_PRGKEY")]
	public const int SCE_MODULA_PRGKEY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_PROC")]
	public const int SCE_MODULA_PROC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_RESERVED")]
	public const int SCE_MODULA_RESERVED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_STRING")]
	public const int SCE_MODULA_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MODULA_STRSPEC")]
	public const int SCE_MODULA_STRSPEC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_COLUMN_NAME")]
	public const int SCE_MSSQL_COLUMN_NAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_COLUMN_NAME_2")]
	public const int SCE_MSSQL_COLUMN_NAME_2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_COMMENT")]
	public const int SCE_MSSQL_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_DATATYPE")]
	public const int SCE_MSSQL_DATATYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_DEFAULT")]
	public const int SCE_MSSQL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_DEFAULT_PREF_DATATYPE")]
	public const int SCE_MSSQL_DEFAULT_PREF_DATATYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_FUNCTION")]
	public const int SCE_MSSQL_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_GLOBAL_VARIABLE")]
	public const int SCE_MSSQL_GLOBAL_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_IDENTIFIER")]
	public const int SCE_MSSQL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_LINE_COMMENT")]
	public const int SCE_MSSQL_LINE_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_NUMBER")]
	public const int SCE_MSSQL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_OPERATOR")]
	public const int SCE_MSSQL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_STATEMENT")]
	public const int SCE_MSSQL_STATEMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_STORED_PROCEDURE")]
	public const int SCE_MSSQL_STORED_PROCEDURE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_STRING")]
	public const int SCE_MSSQL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_SYSTABLE")]
	public const int SCE_MSSQL_SYSTABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MSSQL_VARIABLE")]
	public const int SCE_MSSQL_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_COMMENT")]
	public const int SCE_MYSQL_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_COMMENTLINE")]
	public const int SCE_MYSQL_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_DATABASEOBJECT")]
	public const int SCE_MYSQL_DATABASEOBJECT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_DEFAULT")]
	public const int SCE_MYSQL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_DQSTRING")]
	public const int SCE_MYSQL_DQSTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_FUNCTION")]
	public const int SCE_MYSQL_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_HIDDENCOMMAND")]
	public const int SCE_MYSQL_HIDDENCOMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_IDENTIFIER")]
	public const int SCE_MYSQL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_KEYWORD")]
	public const int SCE_MYSQL_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_KNOWNSYSTEMVARIABLE")]
	public const int SCE_MYSQL_KNOWNSYSTEMVARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_MAJORKEYWORD")]
	public const int SCE_MYSQL_MAJORKEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_NUMBER")]
	public const int SCE_MYSQL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_OPERATOR")]
	public const int SCE_MYSQL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_PLACEHOLDER")]
	public const int SCE_MYSQL_PLACEHOLDER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_PROCEDUREKEYWORD")]
	public const int SCE_MYSQL_PROCEDUREKEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_QUOTEDIDENTIFIER")]
	public const int SCE_MYSQL_QUOTEDIDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_SQSTRING")]
	public const int SCE_MYSQL_SQSTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_STRING")]
	public const int SCE_MYSQL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_SYSTEMVARIABLE")]
	public const int SCE_MYSQL_SYSTEMVARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_USER1")]
	public const int SCE_MYSQL_USER1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_USER2")]
	public const int SCE_MYSQL_USER2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_USER3")]
	public const int SCE_MYSQL_USER3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_MYSQL_VARIABLE")]
	public const int SCE_MYSQL_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_BACKTICKS")]
	public const int SCE_NIM_BACKTICKS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_CHARACTER")]
	public const int SCE_NIM_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_COMMENT")]
	public const int SCE_NIM_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_COMMENTDOC")]
	public const int SCE_NIM_COMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_COMMENTLINE")]
	public const int SCE_NIM_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_COMMENTLINEDOC")]
	public const int SCE_NIM_COMMENTLINEDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_DEFAULT")]
	public const int SCE_NIM_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_FUNCNAME")]
	public const int SCE_NIM_FUNCNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_IDENTIFIER")]
	public const int SCE_NIM_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_NUMBER")]
	public const int SCE_NIM_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_NUMERROR")]
	public const int SCE_NIM_NUMERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_OPERATOR")]
	public const int SCE_NIM_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_STRING")]
	public const int SCE_NIM_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_STRINGEOL")]
	public const int SCE_NIM_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_TRIPLE")]
	public const int SCE_NIM_TRIPLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_TRIPLEDOUBLE")]
	public const int SCE_NIM_TRIPLEDOUBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NIM_WORD")]
	public const int SCE_NIM_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NNCRONTAB_ASTERISK")]
	public const int SCE_NNCRONTAB_ASTERISK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NNCRONTAB_COMMENT")]
	public const int SCE_NNCRONTAB_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NNCRONTAB_DEFAULT")]
	public const int SCE_NNCRONTAB_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NNCRONTAB_ENVIRONMENT")]
	public const int SCE_NNCRONTAB_ENVIRONMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NNCRONTAB_IDENTIFIER")]
	public const int SCE_NNCRONTAB_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NNCRONTAB_KEYWORD")]
	public const int SCE_NNCRONTAB_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NNCRONTAB_MODIFIER")]
	public const int SCE_NNCRONTAB_MODIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NNCRONTAB_NUMBER")]
	public const int SCE_NNCRONTAB_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NNCRONTAB_SECTION")]
	public const int SCE_NNCRONTAB_SECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NNCRONTAB_STRING")]
	public const int SCE_NNCRONTAB_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NNCRONTAB_TASK")]
	public const int SCE_NNCRONTAB_TASK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_COMMENT")]
	public const int SCE_NSIS_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_COMMENTBOX")]
	public const int SCE_NSIS_COMMENTBOX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_DEFAULT")]
	public const int SCE_NSIS_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_FUNCTION")]
	public const int SCE_NSIS_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_FUNCTIONDEF")]
	public const int SCE_NSIS_FUNCTIONDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_IFDEFINEDEF")]
	public const int SCE_NSIS_IFDEFINEDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_LABEL")]
	public const int SCE_NSIS_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_MACRODEF")]
	public const int SCE_NSIS_MACRODEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_NUMBER")]
	public const int SCE_NSIS_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_PAGEEX")]
	public const int SCE_NSIS_PAGEEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_SECTIONDEF")]
	public const int SCE_NSIS_SECTIONDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_SECTIONGROUP")]
	public const int SCE_NSIS_SECTIONGROUP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_STRINGDQ")]
	public const int SCE_NSIS_STRINGDQ;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_STRINGLQ")]
	public const int SCE_NSIS_STRINGLQ;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_STRINGRQ")]
	public const int SCE_NSIS_STRINGRQ;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_STRINGVAR")]
	public const int SCE_NSIS_STRINGVAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_SUBSECTIONDEF")]
	public const int SCE_NSIS_SUBSECTIONDEF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_USERDEFINED")]
	public const int SCE_NSIS_USERDEFINED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_NSIS_VARIABLE")]
	public const int SCE_NSIS_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OPAL_BOOL_CONST")]
	public const int SCE_OPAL_BOOL_CONST;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OPAL_COMMENT_BLOCK")]
	public const int SCE_OPAL_COMMENT_BLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OPAL_COMMENT_LINE")]
	public const int SCE_OPAL_COMMENT_LINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OPAL_DEFAULT")]
	public const int SCE_OPAL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OPAL_INTEGER")]
	public const int SCE_OPAL_INTEGER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OPAL_KEYWORD")]
	public const int SCE_OPAL_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OPAL_PAR")]
	public const int SCE_OPAL_PAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OPAL_SORT")]
	public const int SCE_OPAL_SORT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OPAL_SPACE")]
	public const int SCE_OPAL_SPACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OPAL_STRING")]
	public const int SCE_OPAL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_BLOCK_COMMENT")]
	public const int SCE_OSCRIPT_BLOCK_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_CONSTANT")]
	public const int SCE_OSCRIPT_CONSTANT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_DEFAULT")]
	public const int SCE_OSCRIPT_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_DOC_COMMENT")]
	public const int SCE_OSCRIPT_DOC_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_DOUBLEQUOTE_STRING")]
	public const int SCE_OSCRIPT_DOUBLEQUOTE_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_FUNCTION")]
	public const int SCE_OSCRIPT_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_GLOBAL")]
	public const int SCE_OSCRIPT_GLOBAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_IDENTIFIER")]
	public const int SCE_OSCRIPT_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_KEYWORD")]
	public const int SCE_OSCRIPT_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_LABEL")]
	public const int SCE_OSCRIPT_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_LINE_COMMENT")]
	public const int SCE_OSCRIPT_LINE_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_METHOD")]
	public const int SCE_OSCRIPT_METHOD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_NUMBER")]
	public const int SCE_OSCRIPT_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_OBJECT")]
	public const int SCE_OSCRIPT_OBJECT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_OPERATOR")]
	public const int SCE_OSCRIPT_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_PREPROCESSOR")]
	public const int SCE_OSCRIPT_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_PROPERTY")]
	public const int SCE_OSCRIPT_PROPERTY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_SINGLEQUOTE_STRING")]
	public const int SCE_OSCRIPT_SINGLEQUOTE_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_OSCRIPT_TYPE")]
	public const int SCE_OSCRIPT_TYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_ASM")]
	public const int SCE_PAS_ASM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_CHARACTER")]
	public const int SCE_PAS_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_COMMENT")]
	public const int SCE_PAS_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_COMMENT2")]
	public const int SCE_PAS_COMMENT2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_COMMENTLINE")]
	public const int SCE_PAS_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_DEFAULT")]
	public const int SCE_PAS_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_HEXNUMBER")]
	public const int SCE_PAS_HEXNUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_IDENTIFIER")]
	public const int SCE_PAS_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_NUMBER")]
	public const int SCE_PAS_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_OPERATOR")]
	public const int SCE_PAS_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_PREPROCESSOR")]
	public const int SCE_PAS_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_PREPROCESSOR2")]
	public const int SCE_PAS_PREPROCESSOR2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_STRING")]
	public const int SCE_PAS_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_STRINGEOL")]
	public const int SCE_PAS_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PAS_WORD")]
	public const int SCE_PAS_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PLM_COMMENT")]
	public const int SCE_PLM_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PLM_CONTROL")]
	public const int SCE_PLM_CONTROL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PLM_DEFAULT")]
	public const int SCE_PLM_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PLM_IDENTIFIER")]
	public const int SCE_PLM_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PLM_KEYWORD")]
	public const int SCE_PLM_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PLM_NUMBER")]
	public const int SCE_PLM_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PLM_OPERATOR")]
	public const int SCE_PLM_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PLM_STRING")]
	public const int SCE_PLM_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_ARRAY")]
	public const int SCE_PL_ARRAY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_BACKTICKS")]
	public const int SCE_PL_BACKTICKS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_BACKTICKS_VAR")]
	public const int SCE_PL_BACKTICKS_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_CHARACTER")]
	public const int SCE_PL_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_COMMENTLINE")]
	public const int SCE_PL_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_DATASECTION")]
	public const int SCE_PL_DATASECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_DEFAULT")]
	public const int SCE_PL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_ERROR")]
	public const int SCE_PL_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_FORMAT")]
	public const int SCE_PL_FORMAT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_FORMAT_IDENT")]
	public const int SCE_PL_FORMAT_IDENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_HASH")]
	public const int SCE_PL_HASH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_HERE_DELIM")]
	public const int SCE_PL_HERE_DELIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_HERE_Q")]
	public const int SCE_PL_HERE_Q;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_HERE_QQ")]
	public const int SCE_PL_HERE_QQ;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_HERE_QQ_VAR")]
	public const int SCE_PL_HERE_QQ_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_HERE_QX")]
	public const int SCE_PL_HERE_QX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_HERE_QX_VAR")]
	public const int SCE_PL_HERE_QX_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_IDENTIFIER")]
	public const int SCE_PL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_LONGQUOTE")]
	public const int SCE_PL_LONGQUOTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_NUMBER")]
	public const int SCE_PL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_OPERATOR")]
	public const int SCE_PL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_POD")]
	public const int SCE_PL_POD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_POD_VERB")]
	public const int SCE_PL_POD_VERB;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_PREPROCESSOR")]
	public const int SCE_PL_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_PUNCTUATION")]
	public const int SCE_PL_PUNCTUATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_REGEX")]
	public const int SCE_PL_REGEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_REGEX_VAR")]
	public const int SCE_PL_REGEX_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_REGSUBST")]
	public const int SCE_PL_REGSUBST;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_REGSUBST_VAR")]
	public const int SCE_PL_REGSUBST_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_SCALAR")]
	public const int SCE_PL_SCALAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_STRING")]
	public const int SCE_PL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_STRING_Q")]
	public const int SCE_PL_STRING_Q;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_STRING_QQ")]
	public const int SCE_PL_STRING_QQ;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_STRING_QQ_VAR")]
	public const int SCE_PL_STRING_QQ_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_STRING_QR")]
	public const int SCE_PL_STRING_QR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_STRING_QR_VAR")]
	public const int SCE_PL_STRING_QR_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_STRING_QW")]
	public const int SCE_PL_STRING_QW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_STRING_QX")]
	public const int SCE_PL_STRING_QX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_STRING_QX_VAR")]
	public const int SCE_PL_STRING_QX_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_STRING_VAR")]
	public const int SCE_PL_STRING_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_SUB_PROTOTYPE")]
	public const int SCE_PL_SUB_PROTOTYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_SYMBOLTABLE")]
	public const int SCE_PL_SYMBOLTABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_VARIABLE_INDEXER")]
	public const int SCE_PL_VARIABLE_INDEXER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_WORD")]
	public const int SCE_PL_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PL_XLAT")]
	public const int SCE_PL_XLAT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_BADDIRECTIVE")]
	public const int SCE_POV_BADDIRECTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_COMMENT")]
	public const int SCE_POV_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_COMMENTLINE")]
	public const int SCE_POV_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_DEFAULT")]
	public const int SCE_POV_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_DIRECTIVE")]
	public const int SCE_POV_DIRECTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_IDENTIFIER")]
	public const int SCE_POV_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_NUMBER")]
	public const int SCE_POV_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_OPERATOR")]
	public const int SCE_POV_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_STRING")]
	public const int SCE_POV_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_STRINGEOL")]
	public const int SCE_POV_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_WORD2")]
	public const int SCE_POV_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_WORD3")]
	public const int SCE_POV_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_WORD4")]
	public const int SCE_POV_WORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_WORD5")]
	public const int SCE_POV_WORD5;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_WORD6")]
	public const int SCE_POV_WORD6;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_WORD7")]
	public const int SCE_POV_WORD7;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POV_WORD8")]
	public const int SCE_POV_WORD8;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_ALTQUOTE")]
	public const int SCE_POWERPRO_ALTQUOTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_COMMENTBLOCK")]
	public const int SCE_POWERPRO_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_COMMENTLINE")]
	public const int SCE_POWERPRO_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_DEFAULT")]
	public const int SCE_POWERPRO_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_DOUBLEQUOTEDSTRING")]
	public const int SCE_POWERPRO_DOUBLEQUOTEDSTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_FUNCTION")]
	public const int SCE_POWERPRO_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_IDENTIFIER")]
	public const int SCE_POWERPRO_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_LINECONTINUE")]
	public const int SCE_POWERPRO_LINECONTINUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_NUMBER")]
	public const int SCE_POWERPRO_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_OPERATOR")]
	public const int SCE_POWERPRO_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_SINGLEQUOTEDSTRING")]
	public const int SCE_POWERPRO_SINGLEQUOTEDSTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_STRINGEOL")]
	public const int SCE_POWERPRO_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_VERBATIM")]
	public const int SCE_POWERPRO_VERBATIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_WORD")]
	public const int SCE_POWERPRO_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_WORD2")]
	public const int SCE_POWERPRO_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_WORD3")]
	public const int SCE_POWERPRO_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERPRO_WORD4")]
	public const int SCE_POWERPRO_WORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_ALIAS")]
	public const int SCE_POWERSHELL_ALIAS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_CHARACTER")]
	public const int SCE_POWERSHELL_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_CMDLET")]
	public const int SCE_POWERSHELL_CMDLET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_COMMENT")]
	public const int SCE_POWERSHELL_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_COMMENTDOCKEYWORD")]
	public const int SCE_POWERSHELL_COMMENTDOCKEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_COMMENTSTREAM")]
	public const int SCE_POWERSHELL_COMMENTSTREAM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_DEFAULT")]
	public const int SCE_POWERSHELL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_FUNCTION")]
	public const int SCE_POWERSHELL_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_HERE_CHARACTER")]
	public const int SCE_POWERSHELL_HERE_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_HERE_STRING")]
	public const int SCE_POWERSHELL_HERE_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_IDENTIFIER")]
	public const int SCE_POWERSHELL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_KEYWORD")]
	public const int SCE_POWERSHELL_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_NUMBER")]
	public const int SCE_POWERSHELL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_OPERATOR")]
	public const int SCE_POWERSHELL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_STRING")]
	public const int SCE_POWERSHELL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_USER1")]
	public const int SCE_POWERSHELL_USER1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_POWERSHELL_VARIABLE")]
	public const int SCE_POWERSHELL_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_COMMENT")]
	public const int SCE_PO_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_DEFAULT")]
	public const int SCE_PO_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_ERROR")]
	public const int SCE_PO_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_FLAGS")]
	public const int SCE_PO_FLAGS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_FUZZY")]
	public const int SCE_PO_FUZZY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_MSGCTXT")]
	public const int SCE_PO_MSGCTXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_MSGCTXT_TEXT")]
	public const int SCE_PO_MSGCTXT_TEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_MSGCTXT_TEXT_EOL")]
	public const int SCE_PO_MSGCTXT_TEXT_EOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_MSGID")]
	public const int SCE_PO_MSGID;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_MSGID_TEXT")]
	public const int SCE_PO_MSGID_TEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_MSGID_TEXT_EOL")]
	public const int SCE_PO_MSGID_TEXT_EOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_MSGSTR")]
	public const int SCE_PO_MSGSTR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_MSGSTR_TEXT")]
	public const int SCE_PO_MSGSTR_TEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_MSGSTR_TEXT_EOL")]
	public const int SCE_PO_MSGSTR_TEXT_EOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_PROGRAMMER_COMMENT")]
	public const int SCE_PO_PROGRAMMER_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PO_REFERENCE")]
	public const int SCE_PO_REFERENCE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PROPS_ASSIGNMENT")]
	public const int SCE_PROPS_ASSIGNMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PROPS_COMMENT")]
	public const int SCE_PROPS_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PROPS_DEFAULT")]
	public const int SCE_PROPS_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PROPS_DEFVAL")]
	public const int SCE_PROPS_DEFVAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PROPS_KEY")]
	public const int SCE_PROPS_KEY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PROPS_SECTION")]
	public const int SCE_PROPS_SECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_BADSTRINGCHAR")]
	public const int SCE_PS_BADSTRINGCHAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_BASE85STRING")]
	public const int SCE_PS_BASE85STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_COMMENT")]
	public const int SCE_PS_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_DEFAULT")]
	public const int SCE_PS_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_DSC_COMMENT")]
	public const int SCE_PS_DSC_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_DSC_VALUE")]
	public const int SCE_PS_DSC_VALUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_HEXSTRING")]
	public const int SCE_PS_HEXSTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_IMMEVAL")]
	public const int SCE_PS_IMMEVAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_KEYWORD")]
	public const int SCE_PS_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_LITERAL")]
	public const int SCE_PS_LITERAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_NAME")]
	public const int SCE_PS_NAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_NUMBER")]
	public const int SCE_PS_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_PAREN_ARRAY")]
	public const int SCE_PS_PAREN_ARRAY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_PAREN_DICT")]
	public const int SCE_PS_PAREN_DICT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_PAREN_PROC")]
	public const int SCE_PS_PAREN_PROC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_PS_TEXT")]
	public const int SCE_PS_TEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_CHARACTER")]
	public const int SCE_P_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_CLASSNAME")]
	public const int SCE_P_CLASSNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_COMMENTBLOCK")]
	public const int SCE_P_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_COMMENTLINE")]
	public const int SCE_P_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_DECORATOR")]
	public const int SCE_P_DECORATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_DEFAULT")]
	public const int SCE_P_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_DEFNAME")]
	public const int SCE_P_DEFNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_FCHARACTER")]
	public const int SCE_P_FCHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_FSTRING")]
	public const int SCE_P_FSTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_FTRIPLE")]
	public const int SCE_P_FTRIPLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_FTRIPLEDOUBLE")]
	public const int SCE_P_FTRIPLEDOUBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_IDENTIFIER")]
	public const int SCE_P_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_NUMBER")]
	public const int SCE_P_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_OPERATOR")]
	public const int SCE_P_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_STRING")]
	public const int SCE_P_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_STRINGEOL")]
	public const int SCE_P_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_TRIPLE")]
	public const int SCE_P_TRIPLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_TRIPLEDOUBLE")]
	public const int SCE_P_TRIPLEDOUBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_WORD")]
	public const int SCE_P_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_P_WORD2")]
	public const int SCE_P_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_BACKTICKS")]
	public const int SCE_RB_BACKTICKS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_CHARACTER")]
	public const int SCE_RB_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_CLASSNAME")]
	public const int SCE_RB_CLASSNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_CLASS_VAR")]
	public const int SCE_RB_CLASS_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_COMMENTLINE")]
	public const int SCE_RB_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_DATASECTION")]
	public const int SCE_RB_DATASECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_DEFAULT")]
	public const int SCE_RB_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_DEFNAME")]
	public const int SCE_RB_DEFNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_ERROR")]
	public const int SCE_RB_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_GLOBAL")]
	public const int SCE_RB_GLOBAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_HERE_DELIM")]
	public const int SCE_RB_HERE_DELIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_HERE_Q")]
	public const int SCE_RB_HERE_Q;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_HERE_QQ")]
	public const int SCE_RB_HERE_QQ;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_HERE_QX")]
	public const int SCE_RB_HERE_QX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_IDENTIFIER")]
	public const int SCE_RB_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_INSTANCE_VAR")]
	public const int SCE_RB_INSTANCE_VAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_MODULE_NAME")]
	public const int SCE_RB_MODULE_NAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_NUMBER")]
	public const int SCE_RB_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_OPERATOR")]
	public const int SCE_RB_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_POD")]
	public const int SCE_RB_POD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_REGEX")]
	public const int SCE_RB_REGEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_STDERR")]
	public const int SCE_RB_STDERR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_STDIN")]
	public const int SCE_RB_STDIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_STDOUT")]
	public const int SCE_RB_STDOUT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_STRING")]
	public const int SCE_RB_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_STRING_Q")]
	public const int SCE_RB_STRING_Q;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_STRING_QQ")]
	public const int SCE_RB_STRING_QQ;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_STRING_QR")]
	public const int SCE_RB_STRING_QR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_STRING_QW")]
	public const int SCE_RB_STRING_QW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_STRING_QX")]
	public const int SCE_RB_STRING_QX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_SYMBOL")]
	public const int SCE_RB_SYMBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_UPPER_BOUND")]
	public const int SCE_RB_UPPER_BOUND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_WORD")]
	public const int SCE_RB_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RB_WORD_DEMOTED")]
	public const int SCE_RB_WORD_DEMOTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_BINARY")]
	public const int SCE_REBOL_BINARY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_BRACEDSTRING")]
	public const int SCE_REBOL_BRACEDSTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_CHARACTER")]
	public const int SCE_REBOL_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_COMMENTBLOCK")]
	public const int SCE_REBOL_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_COMMENTLINE")]
	public const int SCE_REBOL_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_DATE")]
	public const int SCE_REBOL_DATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_DEFAULT")]
	public const int SCE_REBOL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_EMAIL")]
	public const int SCE_REBOL_EMAIL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_FILE")]
	public const int SCE_REBOL_FILE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_IDENTIFIER")]
	public const int SCE_REBOL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_ISSUE")]
	public const int SCE_REBOL_ISSUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_MONEY")]
	public const int SCE_REBOL_MONEY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_NUMBER")]
	public const int SCE_REBOL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_OPERATOR")]
	public const int SCE_REBOL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_PAIR")]
	public const int SCE_REBOL_PAIR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_PREFACE")]
	public const int SCE_REBOL_PREFACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_QUOTEDSTRING")]
	public const int SCE_REBOL_QUOTEDSTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_TAG")]
	public const int SCE_REBOL_TAG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_TIME")]
	public const int SCE_REBOL_TIME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_TUPLE")]
	public const int SCE_REBOL_TUPLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_URL")]
	public const int SCE_REBOL_URL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_WORD")]
	public const int SCE_REBOL_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_WORD2")]
	public const int SCE_REBOL_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_WORD3")]
	public const int SCE_REBOL_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_WORD4")]
	public const int SCE_REBOL_WORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_WORD5")]
	public const int SCE_REBOL_WORD5;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_WORD6")]
	public const int SCE_REBOL_WORD6;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_WORD7")]
	public const int SCE_REBOL_WORD7;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REBOL_WORD8")]
	public const int SCE_REBOL_WORD8;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_ADDEDKEY")]
	public const int SCE_REG_ADDEDKEY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_COMMENT")]
	public const int SCE_REG_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_DEFAULT")]
	public const int SCE_REG_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_DELETEDKEY")]
	public const int SCE_REG_DELETEDKEY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_ESCAPED")]
	public const int SCE_REG_ESCAPED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_HEXDIGIT")]
	public const int SCE_REG_HEXDIGIT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_KEYPATH_GUID")]
	public const int SCE_REG_KEYPATH_GUID;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_OPERATOR")]
	public const int SCE_REG_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_PARAMETER")]
	public const int SCE_REG_PARAMETER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_STRING")]
	public const int SCE_REG_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_STRING_GUID")]
	public const int SCE_REG_STRING_GUID;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_VALUENAME")]
	public const int SCE_REG_VALUENAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_REG_VALUETYPE")]
	public const int SCE_REG_VALUETYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_BYTECHARACTER")]
	public const int SCE_RUST_BYTECHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_BYTESTRING")]
	public const int SCE_RUST_BYTESTRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_BYTESTRINGR")]
	public const int SCE_RUST_BYTESTRINGR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_CHARACTER")]
	public const int SCE_RUST_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_COMMENTBLOCK")]
	public const int SCE_RUST_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_COMMENTBLOCKDOC")]
	public const int SCE_RUST_COMMENTBLOCKDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_COMMENTLINE")]
	public const int SCE_RUST_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_COMMENTLINEDOC")]
	public const int SCE_RUST_COMMENTLINEDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_DEFAULT")]
	public const int SCE_RUST_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_IDENTIFIER")]
	public const int SCE_RUST_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_LEXERROR")]
	public const int SCE_RUST_LEXERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_LIFETIME")]
	public const int SCE_RUST_LIFETIME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_MACRO")]
	public const int SCE_RUST_MACRO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_NUMBER")]
	public const int SCE_RUST_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_OPERATOR")]
	public const int SCE_RUST_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_STRING")]
	public const int SCE_RUST_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_STRINGR")]
	public const int SCE_RUST_STRINGR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_WORD")]
	public const int SCE_RUST_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_WORD2")]
	public const int SCE_RUST_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_WORD3")]
	public const int SCE_RUST_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_WORD4")]
	public const int SCE_RUST_WORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_WORD5")]
	public const int SCE_RUST_WORD5;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_WORD6")]
	public const int SCE_RUST_WORD6;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_RUST_WORD7")]
	public const int SCE_RUST_WORD7;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_R_BASEKWORD")]
	public const int SCE_R_BASEKWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_R_COMMENT")]
	public const int SCE_R_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_R_DEFAULT")]
	public const int SCE_R_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_R_IDENTIFIER")]
	public const int SCE_R_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_R_INFIX")]
	public const int SCE_R_INFIX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_R_INFIXEOL")]
	public const int SCE_R_INFIXEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_R_KWORD")]
	public const int SCE_R_KWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_R_NUMBER")]
	public const int SCE_R_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_R_OPERATOR")]
	public const int SCE_R_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_R_OTHERKWORD")]
	public const int SCE_R_OTHERKWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_R_STRING")]
	public const int SCE_R_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_R_STRING2")]
	public const int SCE_R_STRING2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_BLOCK_KEYWORD")]
	public const int SCE_SAS_BLOCK_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_COMMENT")]
	public const int SCE_SAS_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_COMMENTBLOCK")]
	public const int SCE_SAS_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_COMMENTLINE")]
	public const int SCE_SAS_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_DEFAULT")]
	public const int SCE_SAS_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_GLOBAL_MACRO")]
	public const int SCE_SAS_GLOBAL_MACRO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_IDENTIFIER")]
	public const int SCE_SAS_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_MACRO")]
	public const int SCE_SAS_MACRO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_MACRO_FUNCTION")]
	public const int SCE_SAS_MACRO_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_MACRO_KEYWORD")]
	public const int SCE_SAS_MACRO_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_NUMBER")]
	public const int SCE_SAS_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_OPERATOR")]
	public const int SCE_SAS_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_STATEMENT")]
	public const int SCE_SAS_STATEMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_STRING")]
	public const int SCE_SAS_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_TYPE")]
	public const int SCE_SAS_TYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SAS_WORD")]
	public const int SCE_SAS_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_CHARACTER")]
	public const int SCE_SCRIPTOL_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_CLASSNAME")]
	public const int SCE_SCRIPTOL_CLASSNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_COMMENTBLOCK")]
	public const int SCE_SCRIPTOL_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_COMMENTLINE")]
	public const int SCE_SCRIPTOL_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_CSTYLE")]
	public const int SCE_SCRIPTOL_CSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_DEFAULT")]
	public const int SCE_SCRIPTOL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_IDENTIFIER")]
	public const int SCE_SCRIPTOL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_KEYWORD")]
	public const int SCE_SCRIPTOL_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_NUMBER")]
	public const int SCE_SCRIPTOL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_OPERATOR")]
	public const int SCE_SCRIPTOL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_PERSISTENT")]
	public const int SCE_SCRIPTOL_PERSISTENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_PREPROCESSOR")]
	public const int SCE_SCRIPTOL_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_STRING")]
	public const int SCE_SCRIPTOL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_STRINGEOL")]
	public const int SCE_SCRIPTOL_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_TRIPLE")]
	public const int SCE_SCRIPTOL_TRIPLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SCRIPTOL_WHITE")]
	public const int SCE_SCRIPTOL_WHITE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_BACKTICKS")]
	public const int SCE_SH_BACKTICKS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_CHARACTER")]
	public const int SCE_SH_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_COMMENTLINE")]
	public const int SCE_SH_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_DEFAULT")]
	public const int SCE_SH_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_ERROR")]
	public const int SCE_SH_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_HERE_DELIM")]
	public const int SCE_SH_HERE_DELIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_HERE_Q")]
	public const int SCE_SH_HERE_Q;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_IDENTIFIER")]
	public const int SCE_SH_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_NUMBER")]
	public const int SCE_SH_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_OPERATOR")]
	public const int SCE_SH_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_PARAM")]
	public const int SCE_SH_PARAM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_SCALAR")]
	public const int SCE_SH_SCALAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_STRING")]
	public const int SCE_SH_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SH_WORD")]
	public const int SCE_SH_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_CHAR")]
	public const int SCE_SML_CHAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_COMMENT")]
	public const int SCE_SML_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_COMMENT1")]
	public const int SCE_SML_COMMENT1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_COMMENT2")]
	public const int SCE_SML_COMMENT2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_COMMENT3")]
	public const int SCE_SML_COMMENT3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_DEFAULT")]
	public const int SCE_SML_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_IDENTIFIER")]
	public const int SCE_SML_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_KEYWORD")]
	public const int SCE_SML_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_KEYWORD2")]
	public const int SCE_SML_KEYWORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_KEYWORD3")]
	public const int SCE_SML_KEYWORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_LINENUM")]
	public const int SCE_SML_LINENUM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_NUMBER")]
	public const int SCE_SML_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_OPERATOR")]
	public const int SCE_SML_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_STRING")]
	public const int SCE_SML_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SML_TAGNAME")]
	public const int SCE_SML_TAGNAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_CODE")]
	public const int SCE_SN_CODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_COMMENTLINE")]
	public const int SCE_SN_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_COMMENTLINEBANG")]
	public const int SCE_SN_COMMENTLINEBANG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_DEFAULT")]
	public const int SCE_SN_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_IDENTIFIER")]
	public const int SCE_SN_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_NUMBER")]
	public const int SCE_SN_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_OPERATOR")]
	public const int SCE_SN_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_PREPROCESSOR")]
	public const int SCE_SN_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_REGEXTAG")]
	public const int SCE_SN_REGEXTAG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_SIGNAL")]
	public const int SCE_SN_SIGNAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_STRING")]
	public const int SCE_SN_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_STRINGEOL")]
	public const int SCE_SN_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_USER")]
	public const int SCE_SN_USER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_WORD")]
	public const int SCE_SN_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_WORD2")]
	public const int SCE_SN_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SN_WORD3")]
	public const int SCE_SN_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SORCUS_COMMAND")]
	public const int SCE_SORCUS_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SORCUS_COMMENTLINE")]
	public const int SCE_SORCUS_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SORCUS_CONSTANT")]
	public const int SCE_SORCUS_CONSTANT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SORCUS_DEFAULT")]
	public const int SCE_SORCUS_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SORCUS_IDENTIFIER")]
	public const int SCE_SORCUS_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SORCUS_NUMBER")]
	public const int SCE_SORCUS_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SORCUS_OPERATOR")]
	public const int SCE_SORCUS_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SORCUS_PARAMETER")]
	public const int SCE_SORCUS_PARAMETER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SORCUS_STRING")]
	public const int SCE_SORCUS_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SORCUS_STRINGEOL")]
	public const int SCE_SORCUS_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SPICE_COMMENTLINE")]
	public const int SCE_SPICE_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SPICE_DEFAULT")]
	public const int SCE_SPICE_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SPICE_DELIMITER")]
	public const int SCE_SPICE_DELIMITER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SPICE_IDENTIFIER")]
	public const int SCE_SPICE_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SPICE_KEYWORD")]
	public const int SCE_SPICE_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SPICE_KEYWORD2")]
	public const int SCE_SPICE_KEYWORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SPICE_KEYWORD3")]
	public const int SCE_SPICE_KEYWORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SPICE_NUMBER")]
	public const int SCE_SPICE_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SPICE_VALUE")]
	public const int SCE_SPICE_VALUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_CHARACTER")]
	public const int SCE_SQL_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_COMMENT")]
	public const int SCE_SQL_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_COMMENTDOC")]
	public const int SCE_SQL_COMMENTDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_COMMENTDOCKEYWORD")]
	public const int SCE_SQL_COMMENTDOCKEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_COMMENTDOCKEYWORDERROR")]
	public const int SCE_SQL_COMMENTDOCKEYWORDERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_COMMENTLINE")]
	public const int SCE_SQL_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_COMMENTLINEDOC")]
	public const int SCE_SQL_COMMENTLINEDOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_DEFAULT")]
	public const int SCE_SQL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_IDENTIFIER")]
	public const int SCE_SQL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_NUMBER")]
	public const int SCE_SQL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_OPERATOR")]
	public const int SCE_SQL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_QOPERATOR")]
	public const int SCE_SQL_QOPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_QUOTEDIDENTIFIER")]
	public const int SCE_SQL_QUOTEDIDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_SQLPLUS")]
	public const int SCE_SQL_SQLPLUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_SQLPLUS_COMMENT")]
	public const int SCE_SQL_SQLPLUS_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_SQLPLUS_PROMPT")]
	public const int SCE_SQL_SQLPLUS_PROMPT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_STRING")]
	public const int SCE_SQL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_USER1")]
	public const int SCE_SQL_USER1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_USER2")]
	public const int SCE_SQL_USER2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_USER3")]
	public const int SCE_SQL_USER3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_USER4")]
	public const int SCE_SQL_USER4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_WORD")]
	public const int SCE_SQL_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_SQL_WORD2")]
	public const int SCE_SQL_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STATA_COMMENT")]
	public const int SCE_STATA_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STATA_COMMENTBLOCK")]
	public const int SCE_STATA_COMMENTBLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STATA_COMMENTLINE")]
	public const int SCE_STATA_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STATA_DEFAULT")]
	public const int SCE_STATA_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STATA_GLOBAL_MACRO")]
	public const int SCE_STATA_GLOBAL_MACRO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STATA_IDENTIFIER")]
	public const int SCE_STATA_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STATA_MACRO")]
	public const int SCE_STATA_MACRO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STATA_NUMBER")]
	public const int SCE_STATA_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STATA_OPERATOR")]
	public const int SCE_STATA_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STATA_STRING")]
	public const int SCE_STATA_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STATA_TYPE")]
	public const int SCE_STATA_TYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STATA_WORD")]
	public const int SCE_STATA_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_CHARACTER")]
	public const int SCE_STTXT_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_COMMENT")]
	public const int SCE_STTXT_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_COMMENTLINE")]
	public const int SCE_STTXT_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_DATETIME")]
	public const int SCE_STTXT_DATETIME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_DEFAULT")]
	public const int SCE_STTXT_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_FB")]
	public const int SCE_STTXT_FB;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_FUNCTION")]
	public const int SCE_STTXT_FUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_HEXNUMBER")]
	public const int SCE_STTXT_HEXNUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_IDENTIFIER")]
	public const int SCE_STTXT_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_KEYWORD")]
	public const int SCE_STTXT_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_NUMBER")]
	public const int SCE_STTXT_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_OPERATOR")]
	public const int SCE_STTXT_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_PRAGMA")]
	public const int SCE_STTXT_PRAGMA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_PRAGMAS")]
	public const int SCE_STTXT_PRAGMAS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_STRING1")]
	public const int SCE_STTXT_STRING1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_STRING2")]
	public const int SCE_STTXT_STRING2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_STRINGEOL")]
	public const int SCE_STTXT_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_TYPE")]
	public const int SCE_STTXT_TYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_STTXT_VARS")]
	public const int SCE_STTXT_VARS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_ASSIGN")]
	public const int SCE_ST_ASSIGN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_BINARY")]
	public const int SCE_ST_BINARY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_BOOL")]
	public const int SCE_ST_BOOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_CHARACTER")]
	public const int SCE_ST_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_COMMENT")]
	public const int SCE_ST_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_DEFAULT")]
	public const int SCE_ST_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_GLOBAL")]
	public const int SCE_ST_GLOBAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_KWSEND")]
	public const int SCE_ST_KWSEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_NIL")]
	public const int SCE_ST_NIL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_NUMBER")]
	public const int SCE_ST_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_RETURN")]
	public const int SCE_ST_RETURN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_SELF")]
	public const int SCE_ST_SELF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_SPECIAL")]
	public const int SCE_ST_SPECIAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_SPEC_SEL")]
	public const int SCE_ST_SPEC_SEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_STRING")]
	public const int SCE_ST_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_SUPER")]
	public const int SCE_ST_SUPER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_ST_SYMBOL")]
	public const int SCE_ST_SYMBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_BLOCK_COMMENT")]
	public const int SCE_T3_BLOCK_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_BRACE")]
	public const int SCE_T3_BRACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_DEFAULT")]
	public const int SCE_T3_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_D_STRING")]
	public const int SCE_T3_D_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_HTML_DEFAULT")]
	public const int SCE_T3_HTML_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_HTML_STRING")]
	public const int SCE_T3_HTML_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_HTML_TAG")]
	public const int SCE_T3_HTML_TAG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_IDENTIFIER")]
	public const int SCE_T3_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_KEYWORD")]
	public const int SCE_T3_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_LIB_DIRECTIVE")]
	public const int SCE_T3_LIB_DIRECTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_LINE_COMMENT")]
	public const int SCE_T3_LINE_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_MSG_PARAM")]
	public const int SCE_T3_MSG_PARAM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_NUMBER")]
	public const int SCE_T3_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_OPERATOR")]
	public const int SCE_T3_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_PREPROCESSOR")]
	public const int SCE_T3_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_S_STRING")]
	public const int SCE_T3_S_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_USER1")]
	public const int SCE_T3_USER1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_USER2")]
	public const int SCE_T3_USER2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_USER3")]
	public const int SCE_T3_USER3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_X_DEFAULT")]
	public const int SCE_T3_X_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_T3_X_STRING")]
	public const int SCE_T3_X_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_BLOCK_COMMENT")]
	public const int SCE_TCL_BLOCK_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_COMMENT")]
	public const int SCE_TCL_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_COMMENTLINE")]
	public const int SCE_TCL_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_COMMENT_BOX")]
	public const int SCE_TCL_COMMENT_BOX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_DEFAULT")]
	public const int SCE_TCL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_EXPAND")]
	public const int SCE_TCL_EXPAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_IDENTIFIER")]
	public const int SCE_TCL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_IN_QUOTE")]
	public const int SCE_TCL_IN_QUOTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_MODIFIER")]
	public const int SCE_TCL_MODIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_NUMBER")]
	public const int SCE_TCL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_OPERATOR")]
	public const int SCE_TCL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_SUBSTITUTION")]
	public const int SCE_TCL_SUBSTITUTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_SUB_BRACE")]
	public const int SCE_TCL_SUB_BRACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_WORD")]
	public const int SCE_TCL_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_WORD2")]
	public const int SCE_TCL_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_WORD3")]
	public const int SCE_TCL_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_WORD4")]
	public const int SCE_TCL_WORD4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_WORD5")]
	public const int SCE_TCL_WORD5;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_WORD6")]
	public const int SCE_TCL_WORD6;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_WORD7")]
	public const int SCE_TCL_WORD7;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_WORD8")]
	public const int SCE_TCL_WORD8;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCL_WORD_IN_QUOTE")]
	public const int SCE_TCL_WORD_IN_QUOTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCMD_CLABEL")]
	public const int SCE_TCMD_CLABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCMD_COMMAND")]
	public const int SCE_TCMD_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCMD_COMMENT")]
	public const int SCE_TCMD_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCMD_DEFAULT")]
	public const int SCE_TCMD_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCMD_ENVIRONMENT")]
	public const int SCE_TCMD_ENVIRONMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCMD_EXPANSION")]
	public const int SCE_TCMD_EXPANSION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCMD_HIDE")]
	public const int SCE_TCMD_HIDE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCMD_IDENTIFIER")]
	public const int SCE_TCMD_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCMD_LABEL")]
	public const int SCE_TCMD_LABEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCMD_OPERATOR")]
	public const int SCE_TCMD_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TCMD_WORD")]
	public const int SCE_TCMD_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TEX_COMMAND")]
	public const int SCE_TEX_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TEX_DEFAULT")]
	public const int SCE_TEX_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TEX_GROUP")]
	public const int SCE_TEX_GROUP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TEX_SPECIAL")]
	public const int SCE_TEX_SPECIAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TEX_SYMBOL")]
	public const int SCE_TEX_SYMBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TEX_TEXT")]
	public const int SCE_TEX_TEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_BLOCKQUOTE")]
	public const int SCE_TXT2TAGS_BLOCKQUOTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_CODE")]
	public const int SCE_TXT2TAGS_CODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_CODE2")]
	public const int SCE_TXT2TAGS_CODE2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_CODEBK")]
	public const int SCE_TXT2TAGS_CODEBK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_COMMENT")]
	public const int SCE_TXT2TAGS_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_DEFAULT")]
	public const int SCE_TXT2TAGS_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_EM1")]
	public const int SCE_TXT2TAGS_EM1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_EM2")]
	public const int SCE_TXT2TAGS_EM2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_HEADER1")]
	public const int SCE_TXT2TAGS_HEADER1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_HEADER2")]
	public const int SCE_TXT2TAGS_HEADER2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_HEADER3")]
	public const int SCE_TXT2TAGS_HEADER3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_HEADER4")]
	public const int SCE_TXT2TAGS_HEADER4;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_HEADER5")]
	public const int SCE_TXT2TAGS_HEADER5;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_HEADER6")]
	public const int SCE_TXT2TAGS_HEADER6;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_HRULE")]
	public const int SCE_TXT2TAGS_HRULE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_LINE_BEGIN")]
	public const int SCE_TXT2TAGS_LINE_BEGIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_LINK")]
	public const int SCE_TXT2TAGS_LINK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_OLIST_ITEM")]
	public const int SCE_TXT2TAGS_OLIST_ITEM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_OPTION")]
	public const int SCE_TXT2TAGS_OPTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_POSTPROC")]
	public const int SCE_TXT2TAGS_POSTPROC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_PRECHAR")]
	public const int SCE_TXT2TAGS_PRECHAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_PREPROC")]
	public const int SCE_TXT2TAGS_PREPROC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_STRIKEOUT")]
	public const int SCE_TXT2TAGS_STRIKEOUT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_STRONG1")]
	public const int SCE_TXT2TAGS_STRONG1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_STRONG2")]
	public const int SCE_TXT2TAGS_STRONG2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_TXT2TAGS_ULIST_ITEM")]
	public const int SCE_TXT2TAGS_ULIST_ITEM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_ATTRIBUTE")]
	public const int SCE_VHDL_ATTRIBUTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_BLOCK_COMMENT")]
	public const int SCE_VHDL_BLOCK_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_COMMENT")]
	public const int SCE_VHDL_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_COMMENTLINEBANG")]
	public const int SCE_VHDL_COMMENTLINEBANG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_DEFAULT")]
	public const int SCE_VHDL_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_IDENTIFIER")]
	public const int SCE_VHDL_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_KEYWORD")]
	public const int SCE_VHDL_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_NUMBER")]
	public const int SCE_VHDL_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_OPERATOR")]
	public const int SCE_VHDL_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_STDFUNCTION")]
	public const int SCE_VHDL_STDFUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_STDOPERATOR")]
	public const int SCE_VHDL_STDOPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_STDPACKAGE")]
	public const int SCE_VHDL_STDPACKAGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_STDTYPE")]
	public const int SCE_VHDL_STDTYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_STRING")]
	public const int SCE_VHDL_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_STRINGEOL")]
	public const int SCE_VHDL_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VHDL_USERWORD")]
	public const int SCE_VHDL_USERWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_ANONYMOUS")]
	public const int SCE_VISUALPROLOG_ANONYMOUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_CHARACTER")]
	public const int SCE_VISUALPROLOG_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_CHARACTER_ESCAPE_ERROR")]
	public const int SCE_VISUALPROLOG_CHARACTER_ESCAPE_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_CHARACTER_TOO_MANY")]
	public const int SCE_VISUALPROLOG_CHARACTER_TOO_MANY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_COMMENT_BLOCK")]
	public const int SCE_VISUALPROLOG_COMMENT_BLOCK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_COMMENT_KEY")]
	public const int SCE_VISUALPROLOG_COMMENT_KEY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_COMMENT_KEY_ERROR")]
	public const int SCE_VISUALPROLOG_COMMENT_KEY_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_COMMENT_LINE")]
	public const int SCE_VISUALPROLOG_COMMENT_LINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_DEFAULT")]
	public const int SCE_VISUALPROLOG_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_IDENTIFIER")]
	public const int SCE_VISUALPROLOG_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_KEY_DIRECTIVE")]
	public const int SCE_VISUALPROLOG_KEY_DIRECTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_KEY_MAJOR")]
	public const int SCE_VISUALPROLOG_KEY_MAJOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_KEY_MINOR")]
	public const int SCE_VISUALPROLOG_KEY_MINOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_NUMBER")]
	public const int SCE_VISUALPROLOG_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_OPERATOR")]
	public const int SCE_VISUALPROLOG_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_STRING")]
	public const int SCE_VISUALPROLOG_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_STRING_EOL_OPEN")]
	public const int SCE_VISUALPROLOG_STRING_EOL_OPEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_STRING_ESCAPE")]
	public const int SCE_VISUALPROLOG_STRING_ESCAPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_STRING_ESCAPE_ERROR")]
	public const int SCE_VISUALPROLOG_STRING_ESCAPE_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_STRING_VERBATIM")]
	public const int SCE_VISUALPROLOG_STRING_VERBATIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_STRING_VERBATIM_EOL")]
	public const int SCE_VISUALPROLOG_STRING_VERBATIM_EOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_STRING_VERBATIM_SPECIAL")]
	public const int SCE_VISUALPROLOG_STRING_VERBATIM_SPECIAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_VISUALPROLOG_VARIABLE")]
	public const int SCE_VISUALPROLOG_VARIABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_COMMENT")]
	public const int SCE_V_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_COMMENTLINE")]
	public const int SCE_V_COMMENTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_COMMENTLINEBANG")]
	public const int SCE_V_COMMENTLINEBANG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_COMMENT_WORD")]
	public const int SCE_V_COMMENT_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_DEFAULT")]
	public const int SCE_V_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_IDENTIFIER")]
	public const int SCE_V_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_INOUT")]
	public const int SCE_V_INOUT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_INPUT")]
	public const int SCE_V_INPUT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_NUMBER")]
	public const int SCE_V_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_OPERATOR")]
	public const int SCE_V_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_OUTPUT")]
	public const int SCE_V_OUTPUT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_PORT_CONNECT")]
	public const int SCE_V_PORT_CONNECT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_PREPROCESSOR")]
	public const int SCE_V_PREPROCESSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_STRING")]
	public const int SCE_V_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_STRINGEOL")]
	public const int SCE_V_STRINGEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_USER")]
	public const int SCE_V_USER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_WORD")]
	public const int SCE_V_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_WORD2")]
	public const int SCE_V_WORD2;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_V_WORD3")]
	public const int SCE_V_WORD3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_YAML_COMMENT")]
	public const int SCE_YAML_COMMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_YAML_DEFAULT")]
	public const int SCE_YAML_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_YAML_DOCUMENT")]
	public const int SCE_YAML_DOCUMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_YAML_ERROR")]
	public const int SCE_YAML_ERROR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_YAML_IDENTIFIER")]
	public const int SCE_YAML_IDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_YAML_KEYWORD")]
	public const int SCE_YAML_KEYWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_YAML_NUMBER")]
	public const int SCE_YAML_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_YAML_OPERATOR")]
	public const int SCE_YAML_OPERATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_YAML_REFERENCE")]
	public const int SCE_YAML_REFERENCE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCE_YAML_TEXT")]
	public const int SCE_YAML_TEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCFIND_CXX11REGEX")]
	public const int SCFIND_CXX11REGEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCFIND_MATCHCASE")]
	public const int SCFIND_MATCHCASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCFIND_POSIX")]
	public const int SCFIND_POSIX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCFIND_REGEXP")]
	public const int SCFIND_REGEXP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCFIND_WHOLEWORD")]
	public const int SCFIND_WHOLEWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCFIND_WORDSTART")]
	public const int SCFIND_WORDSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCINTILLA_NOTIFY")]
	public const string SCINTILLA_NOTIFY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ADDREFDOCUMENT")]
	public const int SCI_ADDREFDOCUMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ADDSELECTION")]
	public const int SCI_ADDSELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ADDSTYLEDTEXT")]
	public const int SCI_ADDSTYLEDTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ADDTABSTOP")]
	public const int SCI_ADDTABSTOP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ADDTEXT")]
	public const int SCI_ADDTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ADDUNDOACTION")]
	public const int SCI_ADDUNDOACTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ALLOCATE")]
	public const int SCI_ALLOCATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ALLOCATEEXTENDEDSTYLES")]
	public const int SCI_ALLOCATEEXTENDEDSTYLES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ALLOCATELINECHARACTERINDEX")]
	public const int SCI_ALLOCATELINECHARACTERINDEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ALLOCATESUBSTYLES")]
	public const int SCI_ALLOCATESUBSTYLES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ANNOTATIONCLEARALL")]
	public const int SCI_ANNOTATIONCLEARALL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ANNOTATIONGETLINES")]
	public const int SCI_ANNOTATIONGETLINES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ANNOTATIONGETSTYLE")]
	public const int SCI_ANNOTATIONGETSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ANNOTATIONGETSTYLEOFFSET")]
	public const int SCI_ANNOTATIONGETSTYLEOFFSET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ANNOTATIONGETSTYLES")]
	public const int SCI_ANNOTATIONGETSTYLES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ANNOTATIONGETTEXT")]
	public const int SCI_ANNOTATIONGETTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ANNOTATIONGETVISIBLE")]
	public const int SCI_ANNOTATIONGETVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ANNOTATIONSETSTYLE")]
	public const int SCI_ANNOTATIONSETSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ANNOTATIONSETSTYLEOFFSET")]
	public const int SCI_ANNOTATIONSETSTYLEOFFSET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ANNOTATIONSETSTYLES")]
	public const int SCI_ANNOTATIONSETSTYLES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ANNOTATIONSETTEXT")]
	public const int SCI_ANNOTATIONSETTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ANNOTATIONSETVISIBLE")]
	public const int SCI_ANNOTATIONSETVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_APPENDTEXT")]
	public const int SCI_APPENDTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ASSIGNCMDKEY")]
	public const int SCI_ASSIGNCMDKEY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCACTIVE")]
	public const int SCI_AUTOCACTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCCANCEL")]
	public const int SCI_AUTOCCANCEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCCOMPLETE")]
	public const int SCI_AUTOCCOMPLETE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETAUTOHIDE")]
	public const int SCI_AUTOCGETAUTOHIDE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETCANCELATSTART")]
	public const int SCI_AUTOCGETCANCELATSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETCASEINSENSITIVEBEHAVIOUR")]
	public const int SCI_AUTOCGETCASEINSENSITIVEBEHAVIOUR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETCHOOSESINGLE")]
	public const int SCI_AUTOCGETCHOOSESINGLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETCURRENT")]
	public const int SCI_AUTOCGETCURRENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETCURRENTTEXT")]
	public const int SCI_AUTOCGETCURRENTTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETDROPRESTOFWORD")]
	public const int SCI_AUTOCGETDROPRESTOFWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETIGNORECASE")]
	public const int SCI_AUTOCGETIGNORECASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETMAXHEIGHT")]
	public const int SCI_AUTOCGETMAXHEIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETMAXWIDTH")]
	public const int SCI_AUTOCGETMAXWIDTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETMULTI")]
	public const int SCI_AUTOCGETMULTI;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETORDER")]
	public const int SCI_AUTOCGETORDER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETSEPARATOR")]
	public const int SCI_AUTOCGETSEPARATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCGETTYPESEPARATOR")]
	public const int SCI_AUTOCGETTYPESEPARATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCPOSSTART")]
	public const int SCI_AUTOCPOSSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSELECT")]
	public const int SCI_AUTOCSELECT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETAUTOHIDE")]
	public const int SCI_AUTOCSETAUTOHIDE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETCANCELATSTART")]
	public const int SCI_AUTOCSETCANCELATSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETCASEINSENSITIVEBEHAVIOUR")]
	public const int SCI_AUTOCSETCASEINSENSITIVEBEHAVIOUR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETCHOOSESINGLE")]
	public const int SCI_AUTOCSETCHOOSESINGLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETDROPRESTOFWORD")]
	public const int SCI_AUTOCSETDROPRESTOFWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETFILLUPS")]
	public const int SCI_AUTOCSETFILLUPS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETIGNORECASE")]
	public const int SCI_AUTOCSETIGNORECASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETMAXHEIGHT")]
	public const int SCI_AUTOCSETMAXHEIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETMAXWIDTH")]
	public const int SCI_AUTOCSETMAXWIDTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETMULTI")]
	public const int SCI_AUTOCSETMULTI;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETORDER")]
	public const int SCI_AUTOCSETORDER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETSEPARATOR")]
	public const int SCI_AUTOCSETSEPARATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSETTYPESEPARATOR")]
	public const int SCI_AUTOCSETTYPESEPARATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSHOW")]
	public const int SCI_AUTOCSHOW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_AUTOCSTOPS")]
	public const int SCI_AUTOCSTOPS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_BACKTAB")]
	public const int SCI_BACKTAB;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_BEGINUNDOACTION")]
	public const int SCI_BEGINUNDOACTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_BRACEBADLIGHT")]
	public const int SCI_BRACEBADLIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_BRACEBADLIGHTINDICATOR")]
	public const int SCI_BRACEBADLIGHTINDICATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_BRACEHIGHLIGHT")]
	public const int SCI_BRACEHIGHLIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_BRACEHIGHLIGHTINDICATOR")]
	public const int SCI_BRACEHIGHLIGHTINDICATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_BRACEMATCH")]
	public const int SCI_BRACEMATCH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CALLTIPACTIVE")]
	public const int SCI_CALLTIPACTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CALLTIPCANCEL")]
	public const int SCI_CALLTIPCANCEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CALLTIPPOSSTART")]
	public const int SCI_CALLTIPPOSSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CALLTIPSETBACK")]
	public const int SCI_CALLTIPSETBACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CALLTIPSETFORE")]
	public const int SCI_CALLTIPSETFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CALLTIPSETFOREHLT")]
	public const int SCI_CALLTIPSETFOREHLT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CALLTIPSETHLT")]
	public const int SCI_CALLTIPSETHLT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CALLTIPSETPOSITION")]
	public const int SCI_CALLTIPSETPOSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CALLTIPSETPOSSTART")]
	public const int SCI_CALLTIPSETPOSSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CALLTIPSHOW")]
	public const int SCI_CALLTIPSHOW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CALLTIPUSESTYLE")]
	public const int SCI_CALLTIPUSESTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CANCEL")]
	public const int SCI_CANCEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CANPASTE")]
	public const int SCI_CANPASTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CANREDO")]
	public const int SCI_CANREDO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CANUNDO")]
	public const int SCI_CANUNDO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CHANGEINSERTION")]
	public const int SCI_CHANGEINSERTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CHANGELEXERSTATE")]
	public const int SCI_CHANGELEXERSTATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CHARLEFT")]
	public const int SCI_CHARLEFT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CHARLEFTEXTEND")]
	public const int SCI_CHARLEFTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CHARLEFTRECTEXTEND")]
	public const int SCI_CHARLEFTRECTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CHARPOSITIONFROMPOINT")]
	public const int SCI_CHARPOSITIONFROMPOINT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CHARPOSITIONFROMPOINTCLOSE")]
	public const int SCI_CHARPOSITIONFROMPOINTCLOSE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CHARRIGHT")]
	public const int SCI_CHARRIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CHARRIGHTEXTEND")]
	public const int SCI_CHARRIGHTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CHARRIGHTRECTEXTEND")]
	public const int SCI_CHARRIGHTRECTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CHOOSECARETX")]
	public const int SCI_CHOOSECARETX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CLEAR")]
	public const int SCI_CLEAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CLEARALL")]
	public const int SCI_CLEARALL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CLEARALLCMDKEYS")]
	public const int SCI_CLEARALLCMDKEYS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CLEARCMDKEY")]
	public const int SCI_CLEARCMDKEY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CLEARDOCUMENTSTYLE")]
	public const int SCI_CLEARDOCUMENTSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CLEARREGISTEREDIMAGES")]
	public const int SCI_CLEARREGISTEREDIMAGES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CLEARREPRESENTATION")]
	public const int SCI_CLEARREPRESENTATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CLEARSELECTIONS")]
	public const int SCI_CLEARSELECTIONS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CLEARTABSTOPS")]
	public const int SCI_CLEARTABSTOPS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_COLOURISE")]
	public const int SCI_COLOURISE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CONTRACTEDFOLDNEXT")]
	public const int SCI_CONTRACTEDFOLDNEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CONVERTEOLS")]
	public const int SCI_CONVERTEOLS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_COPY")]
	public const int SCI_COPY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_COPYALLOWLINE")]
	public const int SCI_COPYALLOWLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_COPYRANGE")]
	public const int SCI_COPYRANGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_COPYTEXT")]
	public const int SCI_COPYTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_COUNTCHARACTERS")]
	public const int SCI_COUNTCHARACTERS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_COUNTCODEUNITS")]
	public const int SCI_COUNTCODEUNITS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CREATEDOCUMENT")]
	public const int SCI_CREATEDOCUMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CREATELOADER")]
	public const int SCI_CREATELOADER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_CUT")]
	public const int SCI_CUT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DELETEBACK")]
	public const int SCI_DELETEBACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DELETEBACKNOTLINE")]
	public const int SCI_DELETEBACKNOTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DELETERANGE")]
	public const int SCI_DELETERANGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DELLINELEFT")]
	public const int SCI_DELLINELEFT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DELLINERIGHT")]
	public const int SCI_DELLINERIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DELWORDLEFT")]
	public const int SCI_DELWORDLEFT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DELWORDRIGHT")]
	public const int SCI_DELWORDRIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DELWORDRIGHTEND")]
	public const int SCI_DELWORDRIGHTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DESCRIBEKEYWORDSETS")]
	public const int SCI_DESCRIBEKEYWORDSETS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DESCRIBEPROPERTY")]
	public const int SCI_DESCRIBEPROPERTY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DESCRIPTIONOFSTYLE")]
	public const int SCI_DESCRIPTIONOFSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DISTANCETOSECONDARYSTYLES")]
	public const int SCI_DISTANCETOSECONDARYSTYLES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DOCLINEFROMVISIBLE")]
	public const int SCI_DOCLINEFROMVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DOCUMENTEND")]
	public const int SCI_DOCUMENTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DOCUMENTENDEXTEND")]
	public const int SCI_DOCUMENTENDEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DOCUMENTSTART")]
	public const int SCI_DOCUMENTSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DOCUMENTSTARTEXTEND")]
	public const int SCI_DOCUMENTSTARTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_DROPSELECTIONN")]
	public const int SCI_DROPSELECTIONN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_EDITTOGGLEOVERTYPE")]
	public const int SCI_EDITTOGGLEOVERTYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_EMPTYUNDOBUFFER")]
	public const int SCI_EMPTYUNDOBUFFER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ENCODEDFROMUTF8")]
	public const int SCI_ENCODEDFROMUTF8;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ENDUNDOACTION")]
	public const int SCI_ENDUNDOACTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ENSUREVISIBLE")]
	public const int SCI_ENSUREVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ENSUREVISIBLEENFORCEPOLICY")]
	public const int SCI_ENSUREVISIBLEENFORCEPOLICY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_EXPANDCHILDREN")]
	public const int SCI_EXPANDCHILDREN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FINDCOLUMN")]
	public const int SCI_FINDCOLUMN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FINDINDICATORFLASH")]
	public const int SCI_FINDINDICATORFLASH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FINDINDICATORHIDE")]
	public const int SCI_FINDINDICATORHIDE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FINDINDICATORSHOW")]
	public const int SCI_FINDINDICATORSHOW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FINDTEXT")]
	public const int SCI_FINDTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FOLDALL")]
	public const int SCI_FOLDALL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FOLDCHILDREN")]
	public const int SCI_FOLDCHILDREN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FOLDDISPLAYTEXTGETSTYLE")]
	public const int SCI_FOLDDISPLAYTEXTGETSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FOLDDISPLAYTEXTSETSTYLE")]
	public const int SCI_FOLDDISPLAYTEXTSETSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FOLDLINE")]
	public const int SCI_FOLDLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FORMATRANGE")]
	public const int SCI_FORMATRANGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FORMFEED")]
	public const int SCI_FORMFEED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_FREESUBSTYLES")]
	public const int SCI_FREESUBSTYLES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETACCESSIBILITY")]
	public const int SCI_GETACCESSIBILITY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETADDITIONALCARETFORE")]
	public const int SCI_GETADDITIONALCARETFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETADDITIONALCARETSBLINK")]
	public const int SCI_GETADDITIONALCARETSBLINK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETADDITIONALCARETSVISIBLE")]
	public const int SCI_GETADDITIONALCARETSVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETADDITIONALSELALPHA")]
	public const int SCI_GETADDITIONALSELALPHA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETADDITIONALSELECTIONTYPING")]
	public const int SCI_GETADDITIONALSELECTIONTYPING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETALLLINESVISIBLE")]
	public const int SCI_GETALLLINESVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETANCHOR")]
	public const int SCI_GETANCHOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETAUTOMATICFOLD")]
	public const int SCI_GETAUTOMATICFOLD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETBACKSPACEUNINDENTS")]
	public const int SCI_GETBACKSPACEUNINDENTS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETBUFFEREDDRAW")]
	public const int SCI_GETBUFFEREDDRAW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCARETFORE")]
	public const int SCI_GETCARETFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCARETLINEBACK")]
	public const int SCI_GETCARETLINEBACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCARETLINEBACKALPHA")]
	public const int SCI_GETCARETLINEBACKALPHA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCARETLINEFRAME")]
	public const int SCI_GETCARETLINEFRAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCARETLINEVISIBLE")]
	public const int SCI_GETCARETLINEVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCARETLINEVISIBLEALWAYS")]
	public const int SCI_GETCARETLINEVISIBLEALWAYS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCARETPERIOD")]
	public const int SCI_GETCARETPERIOD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCARETSTICKY")]
	public const int SCI_GETCARETSTICKY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCARETSTYLE")]
	public const int SCI_GETCARETSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCARETWIDTH")]
	public const int SCI_GETCARETWIDTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCHARACTERCATEGORYOPTIMIZATION")]
	public const int SCI_GETCHARACTERCATEGORYOPTIMIZATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCHARACTERPOINTER")]
	public const int SCI_GETCHARACTERPOINTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCHARAT")]
	public const int SCI_GETCHARAT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCODEPAGE")]
	public const int SCI_GETCODEPAGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCOLUMN")]
	public const int SCI_GETCOLUMN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCOMMANDEVENTS")]
	public const int SCI_GETCOMMANDEVENTS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCONTROLCHARSYMBOL")]
	public const int SCI_GETCONTROLCHARSYMBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCURLINE")]
	public const int SCI_GETCURLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCURRENTPOS")]
	public const int SCI_GETCURRENTPOS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETCURSOR")]
	public const int SCI_GETCURSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETDEFAULTFOLDDISPLAYTEXT")]
	public const int SCI_GETDEFAULTFOLDDISPLAYTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETDIRECTFUNCTION")]
	public const int SCI_GETDIRECTFUNCTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETDIRECTPOINTER")]
	public const int SCI_GETDIRECTPOINTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETDOCPOINTER")]
	public const int SCI_GETDOCPOINTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETDOCUMENTOPTIONS")]
	public const int SCI_GETDOCUMENTOPTIONS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETEDGECOLOUR")]
	public const int SCI_GETEDGECOLOUR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETEDGECOLUMN")]
	public const int SCI_GETEDGECOLUMN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETEDGEMODE")]
	public const int SCI_GETEDGEMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETENDATLASTLINE")]
	public const int SCI_GETENDATLASTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETENDSTYLED")]
	public const int SCI_GETENDSTYLED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETEOLMODE")]
	public const int SCI_GETEOLMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETEXTRAASCENT")]
	public const int SCI_GETEXTRAASCENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETEXTRADESCENT")]
	public const int SCI_GETEXTRADESCENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETFIRSTVISIBLELINE")]
	public const int SCI_GETFIRSTVISIBLELINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETFOCUS")]
	public const int SCI_GETFOCUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETFOLDEXPANDED")]
	public const int SCI_GETFOLDEXPANDED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETFOLDLEVEL")]
	public const int SCI_GETFOLDLEVEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETFOLDPARENT")]
	public const int SCI_GETFOLDPARENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETFONTQUALITY")]
	public const int SCI_GETFONTQUALITY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETGAPPOSITION")]
	public const int SCI_GETGAPPOSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETHIGHLIGHTGUIDE")]
	public const int SCI_GETHIGHLIGHTGUIDE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETHOTSPOTACTIVEBACK")]
	public const int SCI_GETHOTSPOTACTIVEBACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETHOTSPOTACTIVEFORE")]
	public const int SCI_GETHOTSPOTACTIVEFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETHOTSPOTACTIVEUNDERLINE")]
	public const int SCI_GETHOTSPOTACTIVEUNDERLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETHOTSPOTSINGLELINE")]
	public const int SCI_GETHOTSPOTSINGLELINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETHSCROLLBAR")]
	public const int SCI_GETHSCROLLBAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETIDENTIFIER")]
	public const int SCI_GETIDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETIDLESTYLING")]
	public const int SCI_GETIDLESTYLING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETIMEINTERACTION")]
	public const int SCI_GETIMEINTERACTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETINDENT")]
	public const int SCI_GETINDENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETINDENTATIONGUIDES")]
	public const int SCI_GETINDENTATIONGUIDES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETINDICATORCURRENT")]
	public const int SCI_GETINDICATORCURRENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETINDICATORVALUE")]
	public const int SCI_GETINDICATORVALUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETKEYSUNICODE")]
	public const int SCI_GETKEYSUNICODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLASTCHILD")]
	public const int SCI_GETLASTCHILD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLAYOUTCACHE")]
	public const int SCI_GETLAYOUTCACHE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLENGTH")]
	public const int SCI_GETLENGTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLEXER")]
	public const int SCI_GETLEXER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLEXERLANGUAGE")]
	public const int SCI_GETLEXERLANGUAGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINE")]
	public const int SCI_GETLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINECHARACTERINDEX")]
	public const int SCI_GETLINECHARACTERINDEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINECOUNT")]
	public const int SCI_GETLINECOUNT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINEENDPOSITION")]
	public const int SCI_GETLINEENDPOSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINEENDTYPESACTIVE")]
	public const int SCI_GETLINEENDTYPESACTIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINEENDTYPESALLOWED")]
	public const int SCI_GETLINEENDTYPESALLOWED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINEENDTYPESSUPPORTED")]
	public const int SCI_GETLINEENDTYPESSUPPORTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINEINDENTATION")]
	public const int SCI_GETLINEINDENTATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINEINDENTPOSITION")]
	public const int SCI_GETLINEINDENTPOSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINESELENDPOSITION")]
	public const int SCI_GETLINESELENDPOSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINESELSTARTPOSITION")]
	public const int SCI_GETLINESELSTARTPOSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINESTATE")]
	public const int SCI_GETLINESTATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETLINEVISIBLE")]
	public const int SCI_GETLINEVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMAINSELECTION")]
	public const int SCI_GETMAINSELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMARGINBACKN")]
	public const int SCI_GETMARGINBACKN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMARGINCURSORN")]
	public const int SCI_GETMARGINCURSORN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMARGINLEFT")]
	public const int SCI_GETMARGINLEFT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMARGINMASKN")]
	public const int SCI_GETMARGINMASKN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMARGINOPTIONS")]
	public const int SCI_GETMARGINOPTIONS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMARGINRIGHT")]
	public const int SCI_GETMARGINRIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMARGINS")]
	public const int SCI_GETMARGINS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMARGINSENSITIVEN")]
	public const int SCI_GETMARGINSENSITIVEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMARGINTYPEN")]
	public const int SCI_GETMARGINTYPEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMARGINWIDTHN")]
	public const int SCI_GETMARGINWIDTHN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMAXLINESTATE")]
	public const int SCI_GETMAXLINESTATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMODEVENTMASK")]
	public const int SCI_GETMODEVENTMASK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMODIFY")]
	public const int SCI_GETMODIFY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMOUSEDOWNCAPTURES")]
	public const int SCI_GETMOUSEDOWNCAPTURES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMOUSEDWELLTIME")]
	public const int SCI_GETMOUSEDWELLTIME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMOUSESELECTIONRECTANGULARSWITCH")]
	public const int SCI_GETMOUSESELECTIONRECTANGULARSWITCH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMOUSEWHEELCAPTURES")]
	public const int SCI_GETMOUSEWHEELCAPTURES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMOVEEXTENDSSELECTION")]
	public const int SCI_GETMOVEEXTENDSSELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMULTIPASTE")]
	public const int SCI_GETMULTIPASTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETMULTIPLESELECTION")]
	public const int SCI_GETMULTIPLESELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETNAMEDSTYLES")]
	public const int SCI_GETNAMEDSTYLES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETNEXTTABSTOP")]
	public const int SCI_GETNEXTTABSTOP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETOVERTYPE")]
	public const int SCI_GETOVERTYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETPASTECONVERTENDINGS")]
	public const int SCI_GETPASTECONVERTENDINGS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETPHASESDRAW")]
	public const int SCI_GETPHASESDRAW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETPOSITIONCACHE")]
	public const int SCI_GETPOSITIONCACHE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETPRIMARYSTYLEFROMSTYLE")]
	public const int SCI_GETPRIMARYSTYLEFROMSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETPRINTCOLOURMODE")]
	public const int SCI_GETPRINTCOLOURMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETPRINTMAGNIFICATION")]
	public const int SCI_GETPRINTMAGNIFICATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETPRINTWRAPMODE")]
	public const int SCI_GETPRINTWRAPMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETPROPERTY")]
	public const int SCI_GETPROPERTY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETPROPERTYEXPANDED")]
	public const int SCI_GETPROPERTYEXPANDED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETPROPERTYINT")]
	public const int SCI_GETPROPERTYINT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETPUNCTUATIONCHARS")]
	public const int SCI_GETPUNCTUATIONCHARS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETRANGEPOINTER")]
	public const int SCI_GETRANGEPOINTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETREADONLY")]
	public const int SCI_GETREADONLY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETRECTANGULARSELECTIONANCHOR")]
	public const int SCI_GETRECTANGULARSELECTIONANCHOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETRECTANGULARSELECTIONANCHORVIRTUALSPACE")]
	public const int SCI_GETRECTANGULARSELECTIONANCHORVIRTUALSPACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETRECTANGULARSELECTIONCARET")]
	public const int SCI_GETRECTANGULARSELECTIONCARET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETRECTANGULARSELECTIONCARETVIRTUALSPACE")]
	public const int SCI_GETRECTANGULARSELECTIONCARETVIRTUALSPACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETRECTANGULARSELECTIONMODIFIER")]
	public const int SCI_GETRECTANGULARSELECTIONMODIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETREPRESENTATION")]
	public const int SCI_GETREPRESENTATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSCROLLWIDTH")]
	public const int SCI_GETSCROLLWIDTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSCROLLWIDTHTRACKING")]
	public const int SCI_GETSCROLLWIDTHTRACKING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSEARCHFLAGS")]
	public const int SCI_GETSEARCHFLAGS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELALPHA")]
	public const int SCI_GETSELALPHA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELECTIONEMPTY")]
	public const int SCI_GETSELECTIONEMPTY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELECTIONEND")]
	public const int SCI_GETSELECTIONEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELECTIONMODE")]
	public const int SCI_GETSELECTIONMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELECTIONNANCHOR")]
	public const int SCI_GETSELECTIONNANCHOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELECTIONNANCHORVIRTUALSPACE")]
	public const int SCI_GETSELECTIONNANCHORVIRTUALSPACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELECTIONNCARET")]
	public const int SCI_GETSELECTIONNCARET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELECTIONNCARETVIRTUALSPACE")]
	public const int SCI_GETSELECTIONNCARETVIRTUALSPACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELECTIONNEND")]
	public const int SCI_GETSELECTIONNEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELECTIONNSTART")]
	public const int SCI_GETSELECTIONNSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELECTIONS")]
	public const int SCI_GETSELECTIONS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELECTIONSTART")]
	public const int SCI_GETSELECTIONSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELEOLFILLED")]
	public const int SCI_GETSELEOLFILLED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSELTEXT")]
	public const int SCI_GETSELTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSTATUS")]
	public const int SCI_GETSTATUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSTYLEAT")]
	public const int SCI_GETSTYLEAT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSTYLEBITS")]
	public const int SCI_GETSTYLEBITS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSTYLEBITSNEEDED")]
	public const int SCI_GETSTYLEBITSNEEDED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSTYLEDTEXT")]
	public const int SCI_GETSTYLEDTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSTYLEFROMSUBSTYLE")]
	public const int SCI_GETSTYLEFROMSUBSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSUBSTYLEBASES")]
	public const int SCI_GETSUBSTYLEBASES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSUBSTYLESLENGTH")]
	public const int SCI_GETSUBSTYLESLENGTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETSUBSTYLESSTART")]
	public const int SCI_GETSUBSTYLESSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETTABDRAWMODE")]
	public const int SCI_GETTABDRAWMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETTABINDENTS")]
	public const int SCI_GETTABINDENTS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETTABWIDTH")]
	public const int SCI_GETTABWIDTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETTAG")]
	public const int SCI_GETTAG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETTARGETEND")]
	public const int SCI_GETTARGETEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETTARGETSTART")]
	public const int SCI_GETTARGETSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETTARGETTEXT")]
	public const int SCI_GETTARGETTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETTECHNOLOGY")]
	public const int SCI_GETTECHNOLOGY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETTEXT")]
	public const int SCI_GETTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETTEXTLENGTH")]
	public const int SCI_GETTEXTLENGTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETTEXTRANGE")]
	public const int SCI_GETTEXTRANGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETTWOPHASEDRAW")]
	public const int SCI_GETTWOPHASEDRAW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETUNDOCOLLECTION")]
	public const int SCI_GETUNDOCOLLECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETUSETABS")]
	public const int SCI_GETUSETABS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETVIEWEOL")]
	public const int SCI_GETVIEWEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETVIEWWS")]
	public const int SCI_GETVIEWWS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETVIRTUALSPACEOPTIONS")]
	public const int SCI_GETVIRTUALSPACEOPTIONS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETVSCROLLBAR")]
	public const int SCI_GETVSCROLLBAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETWHITESPACECHARS")]
	public const int SCI_GETWHITESPACECHARS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETWHITESPACESIZE")]
	public const int SCI_GETWHITESPACESIZE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETWORDCHARS")]
	public const int SCI_GETWORDCHARS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETWRAPINDENTMODE")]
	public const int SCI_GETWRAPINDENTMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETWRAPMODE")]
	public const int SCI_GETWRAPMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETWRAPSTARTINDENT")]
	public const int SCI_GETWRAPSTARTINDENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETWRAPVISUALFLAGS")]
	public const int SCI_GETWRAPVISUALFLAGS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETWRAPVISUALFLAGSLOCATION")]
	public const int SCI_GETWRAPVISUALFLAGSLOCATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETXOFFSET")]
	public const int SCI_GETXOFFSET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GETZOOM")]
	public const int SCI_GETZOOM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GOTOLINE")]
	public const int SCI_GOTOLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GOTOPOS")]
	public const int SCI_GOTOPOS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_GRABFOCUS")]
	public const int SCI_GRABFOCUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_HIDELINES")]
	public const int SCI_HIDELINES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_HIDESELECTION")]
	public const int SCI_HIDESELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_HOME")]
	public const int SCI_HOME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_HOMEDISPLAY")]
	public const int SCI_HOMEDISPLAY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_HOMEDISPLAYEXTEND")]
	public const int SCI_HOMEDISPLAYEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_HOMEEXTEND")]
	public const int SCI_HOMEEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_HOMERECTEXTEND")]
	public const int SCI_HOMERECTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_HOMEWRAP")]
	public const int SCI_HOMEWRAP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_HOMEWRAPEXTEND")]
	public const int SCI_HOMEWRAPEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDEXPOSITIONFROMLINE")]
	public const int SCI_INDEXPOSITIONFROMLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICATORALLONFOR")]
	public const int SCI_INDICATORALLONFOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICATORCLEARRANGE")]
	public const int SCI_INDICATORCLEARRANGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICATOREND")]
	public const int SCI_INDICATOREND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICATORFILLRANGE")]
	public const int SCI_INDICATORFILLRANGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICATORSTART")]
	public const int SCI_INDICATORSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICATORVALUEAT")]
	public const int SCI_INDICATORVALUEAT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICGETALPHA")]
	public const int SCI_INDICGETALPHA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICGETFLAGS")]
	public const int SCI_INDICGETFLAGS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICGETFORE")]
	public const int SCI_INDICGETFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICGETHOVERFORE")]
	public const int SCI_INDICGETHOVERFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICGETHOVERSTYLE")]
	public const int SCI_INDICGETHOVERSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICGETOUTLINEALPHA")]
	public const int SCI_INDICGETOUTLINEALPHA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICGETSTYLE")]
	public const int SCI_INDICGETSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICGETUNDER")]
	public const int SCI_INDICGETUNDER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICSETALPHA")]
	public const int SCI_INDICSETALPHA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICSETFLAGS")]
	public const int SCI_INDICSETFLAGS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICSETFORE")]
	public const int SCI_INDICSETFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICSETHOVERFORE")]
	public const int SCI_INDICSETHOVERFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICSETHOVERSTYLE")]
	public const int SCI_INDICSETHOVERSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICSETOUTLINEALPHA")]
	public const int SCI_INDICSETOUTLINEALPHA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICSETSTYLE")]
	public const int SCI_INDICSETSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INDICSETUNDER")]
	public const int SCI_INDICSETUNDER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_INSERTTEXT")]
	public const int SCI_INSERTTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ISRANGEWORD")]
	public const int SCI_ISRANGEWORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LEXER_START")]
	public const int SCI_LEXER_START;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINECOPY")]
	public const int SCI_LINECOPY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINECUT")]
	public const int SCI_LINECUT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEDELETE")]
	public const int SCI_LINEDELETE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEDOWN")]
	public const int SCI_LINEDOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEDOWNEXTEND")]
	public const int SCI_LINEDOWNEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEDOWNRECTEXTEND")]
	public const int SCI_LINEDOWNRECTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEDUPLICATE")]
	public const int SCI_LINEDUPLICATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEEND")]
	public const int SCI_LINEEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEENDDISPLAY")]
	public const int SCI_LINEENDDISPLAY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEENDDISPLAYEXTEND")]
	public const int SCI_LINEENDDISPLAYEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEENDEXTEND")]
	public const int SCI_LINEENDEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEENDRECTEXTEND")]
	public const int SCI_LINEENDRECTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEENDWRAP")]
	public const int SCI_LINEENDWRAP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEENDWRAPEXTEND")]
	public const int SCI_LINEENDWRAPEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEFROMINDEXPOSITION")]
	public const int SCI_LINEFROMINDEXPOSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEFROMPOSITION")]
	public const int SCI_LINEFROMPOSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINELENGTH")]
	public const int SCI_LINELENGTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEREVERSE")]
	public const int SCI_LINEREVERSE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINESCROLL")]
	public const int SCI_LINESCROLL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINESCROLLDOWN")]
	public const int SCI_LINESCROLLDOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINESCROLLUP")]
	public const int SCI_LINESCROLLUP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINESJOIN")]
	public const int SCI_LINESJOIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINESONSCREEN")]
	public const int SCI_LINESONSCREEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINESSPLIT")]
	public const int SCI_LINESSPLIT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINETRANSPOSE")]
	public const int SCI_LINETRANSPOSE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEUP")]
	public const int SCI_LINEUP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEUPEXTEND")]
	public const int SCI_LINEUPEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LINEUPRECTEXTEND")]
	public const int SCI_LINEUPRECTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LOADLEXERLIBRARY")]
	public const int SCI_LOADLEXERLIBRARY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_LOWERCASE")]
	public const int SCI_LOWERCASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARGINGETSTYLE")]
	public const int SCI_MARGINGETSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARGINGETSTYLEOFFSET")]
	public const int SCI_MARGINGETSTYLEOFFSET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARGINGETSTYLES")]
	public const int SCI_MARGINGETSTYLES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARGINGETTEXT")]
	public const int SCI_MARGINGETTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARGINSETSTYLE")]
	public const int SCI_MARGINSETSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARGINSETSTYLEOFFSET")]
	public const int SCI_MARGINSETSTYLEOFFSET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARGINSETSTYLES")]
	public const int SCI_MARGINSETSTYLES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARGINSETTEXT")]
	public const int SCI_MARGINSETTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARGINTEXTCLEARALL")]
	public const int SCI_MARGINTEXTCLEARALL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERADD")]
	public const int SCI_MARKERADD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERADDSET")]
	public const int SCI_MARKERADDSET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERDEFINE")]
	public const int SCI_MARKERDEFINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERDEFINEPIXMAP")]
	public const int SCI_MARKERDEFINEPIXMAP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERDEFINERGBAIMAGE")]
	public const int SCI_MARKERDEFINERGBAIMAGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERDELETE")]
	public const int SCI_MARKERDELETE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERDELETEALL")]
	public const int SCI_MARKERDELETEALL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERDELETEHANDLE")]
	public const int SCI_MARKERDELETEHANDLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERENABLEHIGHLIGHT")]
	public const int SCI_MARKERENABLEHIGHLIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERGET")]
	public const int SCI_MARKERGET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERLINEFROMHANDLE")]
	public const int SCI_MARKERLINEFROMHANDLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERNEXT")]
	public const int SCI_MARKERNEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERPREVIOUS")]
	public const int SCI_MARKERPREVIOUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERSETALPHA")]
	public const int SCI_MARKERSETALPHA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERSETBACK")]
	public const int SCI_MARKERSETBACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERSETBACKSELECTED")]
	public const int SCI_MARKERSETBACKSELECTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERSETFORE")]
	public const int SCI_MARKERSETFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MARKERSYMBOLDEFINED")]
	public const int SCI_MARKERSYMBOLDEFINED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MOVECARETINSIDEVIEW")]
	public const int SCI_MOVECARETINSIDEVIEW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MOVESELECTEDLINESDOWN")]
	public const int SCI_MOVESELECTEDLINESDOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MOVESELECTEDLINESUP")]
	public const int SCI_MOVESELECTEDLINESUP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MULTIEDGEADDLINE")]
	public const int SCI_MULTIEDGEADDLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MULTIEDGECLEARALL")]
	public const int SCI_MULTIEDGECLEARALL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MULTIPLESELECTADDEACH")]
	public const int SCI_MULTIPLESELECTADDEACH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_MULTIPLESELECTADDNEXT")]
	public const int SCI_MULTIPLESELECTADDNEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_NAMEOFSTYLE")]
	public const int SCI_NAMEOFSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_NEWLINE")]
	public const int SCI_NEWLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_NULL")]
	public const int SCI_NULL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_OPTIONAL_START")]
	public const int SCI_OPTIONAL_START;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PAGEDOWN")]
	public const int SCI_PAGEDOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PAGEDOWNEXTEND")]
	public const int SCI_PAGEDOWNEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PAGEDOWNRECTEXTEND")]
	public const int SCI_PAGEDOWNRECTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PAGEUP")]
	public const int SCI_PAGEUP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PAGEUPEXTEND")]
	public const int SCI_PAGEUPEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PAGEUPRECTEXTEND")]
	public const int SCI_PAGEUPRECTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PARADOWN")]
	public const int SCI_PARADOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PARADOWNEXTEND")]
	public const int SCI_PARADOWNEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PARAUP")]
	public const int SCI_PARAUP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PARAUPEXTEND")]
	public const int SCI_PARAUPEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PASTE")]
	public const int SCI_PASTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_POINTXFROMPOSITION")]
	public const int SCI_POINTXFROMPOSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_POINTYFROMPOSITION")]
	public const int SCI_POINTYFROMPOSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_POSITIONAFTER")]
	public const int SCI_POSITIONAFTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_POSITIONBEFORE")]
	public const int SCI_POSITIONBEFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_POSITIONFROMLINE")]
	public const int SCI_POSITIONFROMLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_POSITIONFROMPOINT")]
	public const int SCI_POSITIONFROMPOINT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_POSITIONFROMPOINTCLOSE")]
	public const int SCI_POSITIONFROMPOINTCLOSE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_POSITIONRELATIVE")]
	public const int SCI_POSITIONRELATIVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_POSITIONRELATIVECODEUNITS")]
	public const int SCI_POSITIONRELATIVECODEUNITS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PRIVATELEXERCALL")]
	public const int SCI_PRIVATELEXERCALL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PROPERTYNAMES")]
	public const int SCI_PROPERTYNAMES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_PROPERTYTYPE")]
	public const int SCI_PROPERTYTYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_REDO")]
	public const int SCI_REDO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_REGISTERIMAGE")]
	public const int SCI_REGISTERIMAGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_REGISTERRGBAIMAGE")]
	public const int SCI_REGISTERRGBAIMAGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_RELEASEALLEXTENDEDSTYLES")]
	public const int SCI_RELEASEALLEXTENDEDSTYLES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_RELEASEDOCUMENT")]
	public const int SCI_RELEASEDOCUMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_RELEASELINECHARACTERINDEX")]
	public const int SCI_RELEASELINECHARACTERINDEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_REPLACESEL")]
	public const int SCI_REPLACESEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_REPLACETARGET")]
	public const int SCI_REPLACETARGET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_REPLACETARGETRE")]
	public const int SCI_REPLACETARGETRE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_RGBAIMAGESETHEIGHT")]
	public const int SCI_RGBAIMAGESETHEIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_RGBAIMAGESETSCALE")]
	public const int SCI_RGBAIMAGESETSCALE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_RGBAIMAGESETWIDTH")]
	public const int SCI_RGBAIMAGESETWIDTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ROTATESELECTION")]
	public const int SCI_ROTATESELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SCROLLCARET")]
	public const int SCI_SCROLLCARET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SCROLLRANGE")]
	public const int SCI_SCROLLRANGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SCROLLTOEND")]
	public const int SCI_SCROLLTOEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SCROLLTOSTART")]
	public const int SCI_SCROLLTOSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SEARCHANCHOR")]
	public const int SCI_SEARCHANCHOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SEARCHINTARGET")]
	public const int SCI_SEARCHINTARGET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SEARCHNEXT")]
	public const int SCI_SEARCHNEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SEARCHPREV")]
	public const int SCI_SEARCHPREV;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SELECTALL")]
	public const int SCI_SELECTALL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SELECTIONDUPLICATE")]
	public const int SCI_SELECTIONDUPLICATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SELECTIONISRECTANGLE")]
	public const int SCI_SELECTIONISRECTANGLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETACCESSIBILITY")]
	public const int SCI_SETACCESSIBILITY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETADDITIONALCARETFORE")]
	public const int SCI_SETADDITIONALCARETFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETADDITIONALCARETSBLINK")]
	public const int SCI_SETADDITIONALCARETSBLINK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETADDITIONALCARETSVISIBLE")]
	public const int SCI_SETADDITIONALCARETSVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETADDITIONALSELALPHA")]
	public const int SCI_SETADDITIONALSELALPHA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETADDITIONALSELBACK")]
	public const int SCI_SETADDITIONALSELBACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETADDITIONALSELECTIONTYPING")]
	public const int SCI_SETADDITIONALSELECTIONTYPING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETADDITIONALSELFORE")]
	public const int SCI_SETADDITIONALSELFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETANCHOR")]
	public const int SCI_SETANCHOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETAUTOMATICFOLD")]
	public const int SCI_SETAUTOMATICFOLD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETBACKSPACEUNINDENTS")]
	public const int SCI_SETBACKSPACEUNINDENTS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETBUFFEREDDRAW")]
	public const int SCI_SETBUFFEREDDRAW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCARETFORE")]
	public const int SCI_SETCARETFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCARETLINEBACK")]
	public const int SCI_SETCARETLINEBACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCARETLINEBACKALPHA")]
	public const int SCI_SETCARETLINEBACKALPHA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCARETLINEFRAME")]
	public const int SCI_SETCARETLINEFRAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCARETLINEVISIBLE")]
	public const int SCI_SETCARETLINEVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCARETLINEVISIBLEALWAYS")]
	public const int SCI_SETCARETLINEVISIBLEALWAYS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCARETPERIOD")]
	public const int SCI_SETCARETPERIOD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCARETSTICKY")]
	public const int SCI_SETCARETSTICKY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCARETSTYLE")]
	public const int SCI_SETCARETSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCARETWIDTH")]
	public const int SCI_SETCARETWIDTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCHARACTERCATEGORYOPTIMIZATION")]
	public const int SCI_SETCHARACTERCATEGORYOPTIMIZATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCHARSDEFAULT")]
	public const int SCI_SETCHARSDEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCODEPAGE")]
	public const int SCI_SETCODEPAGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCOMMANDEVENTS")]
	public const int SCI_SETCOMMANDEVENTS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCONTROLCHARSYMBOL")]
	public const int SCI_SETCONTROLCHARSYMBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCURRENTPOS")]
	public const int SCI_SETCURRENTPOS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETCURSOR")]
	public const int SCI_SETCURSOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETDEFAULTFOLDDISPLAYTEXT")]
	public const int SCI_SETDEFAULTFOLDDISPLAYTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETDOCPOINTER")]
	public const int SCI_SETDOCPOINTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETEDGECOLOUR")]
	public const int SCI_SETEDGECOLOUR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETEDGECOLUMN")]
	public const int SCI_SETEDGECOLUMN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETEDGEMODE")]
	public const int SCI_SETEDGEMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETEMPTYSELECTION")]
	public const int SCI_SETEMPTYSELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETENDATLASTLINE")]
	public const int SCI_SETENDATLASTLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETEOLMODE")]
	public const int SCI_SETEOLMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETEXTRAASCENT")]
	public const int SCI_SETEXTRAASCENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETEXTRADESCENT")]
	public const int SCI_SETEXTRADESCENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETFIRSTVISIBLELINE")]
	public const int SCI_SETFIRSTVISIBLELINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETFOCUS")]
	public const int SCI_SETFOCUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETFOLDEXPANDED")]
	public const int SCI_SETFOLDEXPANDED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETFOLDFLAGS")]
	public const int SCI_SETFOLDFLAGS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETFOLDLEVEL")]
	public const int SCI_SETFOLDLEVEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETFOLDMARGINCOLOUR")]
	public const int SCI_SETFOLDMARGINCOLOUR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETFOLDMARGINHICOLOUR")]
	public const int SCI_SETFOLDMARGINHICOLOUR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETFONTQUALITY")]
	public const int SCI_SETFONTQUALITY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETHIGHLIGHTGUIDE")]
	public const int SCI_SETHIGHLIGHTGUIDE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETHOTSPOTACTIVEBACK")]
	public const int SCI_SETHOTSPOTACTIVEBACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETHOTSPOTACTIVEFORE")]
	public const int SCI_SETHOTSPOTACTIVEFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETHOTSPOTACTIVEUNDERLINE")]
	public const int SCI_SETHOTSPOTACTIVEUNDERLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETHOTSPOTSINGLELINE")]
	public const int SCI_SETHOTSPOTSINGLELINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETHSCROLLBAR")]
	public const int SCI_SETHSCROLLBAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETIDENTIFIER")]
	public const int SCI_SETIDENTIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETIDENTIFIERS")]
	public const int SCI_SETIDENTIFIERS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETIDLESTYLING")]
	public const int SCI_SETIDLESTYLING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETIMEINTERACTION")]
	public const int SCI_SETIMEINTERACTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETINDENT")]
	public const int SCI_SETINDENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETINDENTATIONGUIDES")]
	public const int SCI_SETINDENTATIONGUIDES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETINDICATORCURRENT")]
	public const int SCI_SETINDICATORCURRENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETINDICATORVALUE")]
	public const int SCI_SETINDICATORVALUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETKEYSUNICODE")]
	public const int SCI_SETKEYSUNICODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETKEYWORDS")]
	public const int SCI_SETKEYWORDS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETLAYOUTCACHE")]
	public const int SCI_SETLAYOUTCACHE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETLENGTHFORENCODE")]
	public const int SCI_SETLENGTHFORENCODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETLEXER")]
	public const int SCI_SETLEXER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETLEXERLANGUAGE")]
	public const int SCI_SETLEXERLANGUAGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETLINEENDTYPESALLOWED")]
	public const int SCI_SETLINEENDTYPESALLOWED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETLINEINDENTATION")]
	public const int SCI_SETLINEINDENTATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETLINESTATE")]
	public const int SCI_SETLINESTATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMAINSELECTION")]
	public const int SCI_SETMAINSELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMARGINBACKN")]
	public const int SCI_SETMARGINBACKN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMARGINCURSORN")]
	public const int SCI_SETMARGINCURSORN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMARGINLEFT")]
	public const int SCI_SETMARGINLEFT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMARGINMASKN")]
	public const int SCI_SETMARGINMASKN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMARGINOPTIONS")]
	public const int SCI_SETMARGINOPTIONS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMARGINRIGHT")]
	public const int SCI_SETMARGINRIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMARGINS")]
	public const int SCI_SETMARGINS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMARGINSENSITIVEN")]
	public const int SCI_SETMARGINSENSITIVEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMARGINTYPEN")]
	public const int SCI_SETMARGINTYPEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMARGINWIDTHN")]
	public const int SCI_SETMARGINWIDTHN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMODEVENTMASK")]
	public const int SCI_SETMODEVENTMASK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMOUSEDOWNCAPTURES")]
	public const int SCI_SETMOUSEDOWNCAPTURES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMOUSEDWELLTIME")]
	public const int SCI_SETMOUSEDWELLTIME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMOUSESELECTIONRECTANGULARSWITCH")]
	public const int SCI_SETMOUSESELECTIONRECTANGULARSWITCH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMOUSEWHEELCAPTURES")]
	public const int SCI_SETMOUSEWHEELCAPTURES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMULTIPASTE")]
	public const int SCI_SETMULTIPASTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETMULTIPLESELECTION")]
	public const int SCI_SETMULTIPLESELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETOVERTYPE")]
	public const int SCI_SETOVERTYPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETPASTECONVERTENDINGS")]
	public const int SCI_SETPASTECONVERTENDINGS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETPHASESDRAW")]
	public const int SCI_SETPHASESDRAW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETPOSITIONCACHE")]
	public const int SCI_SETPOSITIONCACHE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETPRINTCOLOURMODE")]
	public const int SCI_SETPRINTCOLOURMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETPRINTMAGNIFICATION")]
	public const int SCI_SETPRINTMAGNIFICATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETPRINTWRAPMODE")]
	public const int SCI_SETPRINTWRAPMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETPROPERTY")]
	public const int SCI_SETPROPERTY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETPUNCTUATIONCHARS")]
	public const int SCI_SETPUNCTUATIONCHARS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETREADONLY")]
	public const int SCI_SETREADONLY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETRECTANGULARSELECTIONANCHOR")]
	public const int SCI_SETRECTANGULARSELECTIONANCHOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETRECTANGULARSELECTIONANCHORVIRTUALSPACE")]
	public const int SCI_SETRECTANGULARSELECTIONANCHORVIRTUALSPACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETRECTANGULARSELECTIONCARET")]
	public const int SCI_SETRECTANGULARSELECTIONCARET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETRECTANGULARSELECTIONCARETVIRTUALSPACE")]
	public const int SCI_SETRECTANGULARSELECTIONCARETVIRTUALSPACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETRECTANGULARSELECTIONMODIFIER")]
	public const int SCI_SETRECTANGULARSELECTIONMODIFIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETREPRESENTATION")]
	public const int SCI_SETREPRESENTATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSAVEPOINT")]
	public const int SCI_SETSAVEPOINT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSCROLLWIDTH")]
	public const int SCI_SETSCROLLWIDTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSCROLLWIDTHTRACKING")]
	public const int SCI_SETSCROLLWIDTHTRACKING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSEARCHFLAGS")]
	public const int SCI_SETSEARCHFLAGS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSEL")]
	public const int SCI_SETSEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELALPHA")]
	public const int SCI_SETSELALPHA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELBACK")]
	public const int SCI_SETSELBACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELECTION")]
	public const int SCI_SETSELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELECTIONEND")]
	public const int SCI_SETSELECTIONEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELECTIONMODE")]
	public const int SCI_SETSELECTIONMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELECTIONNANCHOR")]
	public const int SCI_SETSELECTIONNANCHOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELECTIONNANCHORVIRTUALSPACE")]
	public const int SCI_SETSELECTIONNANCHORVIRTUALSPACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELECTIONNCARET")]
	public const int SCI_SETSELECTIONNCARET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELECTIONNCARETVIRTUALSPACE")]
	public const int SCI_SETSELECTIONNCARETVIRTUALSPACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELECTIONNEND")]
	public const int SCI_SETSELECTIONNEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELECTIONNSTART")]
	public const int SCI_SETSELECTIONNSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELECTIONSTART")]
	public const int SCI_SETSELECTIONSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELEOLFILLED")]
	public const int SCI_SETSELEOLFILLED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSELFORE")]
	public const int SCI_SETSELFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSTATUS")]
	public const int SCI_SETSTATUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSTYLEBITS")]
	public const int SCI_SETSTYLEBITS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSTYLING")]
	public const int SCI_SETSTYLING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETSTYLINGEX")]
	public const int SCI_SETSTYLINGEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETTABDRAWMODE")]
	public const int SCI_SETTABDRAWMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETTABINDENTS")]
	public const int SCI_SETTABINDENTS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETTABWIDTH")]
	public const int SCI_SETTABWIDTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETTARGETEND")]
	public const int SCI_SETTARGETEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETTARGETRANGE")]
	public const int SCI_SETTARGETRANGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETTARGETSTART")]
	public const int SCI_SETTARGETSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETTECHNOLOGY")]
	public const int SCI_SETTECHNOLOGY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETTEXT")]
	public const int SCI_SETTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETTWOPHASEDRAW")]
	public const int SCI_SETTWOPHASEDRAW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETUNDOCOLLECTION")]
	public const int SCI_SETUNDOCOLLECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETUSETABS")]
	public const int SCI_SETUSETABS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETVIEWEOL")]
	public const int SCI_SETVIEWEOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETVIEWWS")]
	public const int SCI_SETVIEWWS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETVIRTUALSPACEOPTIONS")]
	public const int SCI_SETVIRTUALSPACEOPTIONS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETVISIBLEPOLICY")]
	public const int SCI_SETVISIBLEPOLICY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETVSCROLLBAR")]
	public const int SCI_SETVSCROLLBAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETWHITESPACEBACK")]
	public const int SCI_SETWHITESPACEBACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETWHITESPACECHARS")]
	public const int SCI_SETWHITESPACECHARS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETWHITESPACEFORE")]
	public const int SCI_SETWHITESPACEFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETWHITESPACESIZE")]
	public const int SCI_SETWHITESPACESIZE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETWORDCHARS")]
	public const int SCI_SETWORDCHARS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETWRAPINDENTMODE")]
	public const int SCI_SETWRAPINDENTMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETWRAPMODE")]
	public const int SCI_SETWRAPMODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETWRAPSTARTINDENT")]
	public const int SCI_SETWRAPSTARTINDENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETWRAPVISUALFLAGS")]
	public const int SCI_SETWRAPVISUALFLAGS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETWRAPVISUALFLAGSLOCATION")]
	public const int SCI_SETWRAPVISUALFLAGSLOCATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETXCARETPOLICY")]
	public const int SCI_SETXCARETPOLICY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETXOFFSET")]
	public const int SCI_SETXOFFSET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETYCARETPOLICY")]
	public const int SCI_SETYCARETPOLICY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SETZOOM")]
	public const int SCI_SETZOOM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SHOWLINES")]
	public const int SCI_SHOWLINES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_START")]
	public const int SCI_START;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STARTRECORD")]
	public const int SCI_STARTRECORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STARTSTYLING")]
	public const int SCI_STARTSTYLING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STOPRECORD")]
	public const int SCI_STOPRECORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STUTTEREDPAGEDOWN")]
	public const int SCI_STUTTEREDPAGEDOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STUTTEREDPAGEDOWNEXTEND")]
	public const int SCI_STUTTEREDPAGEDOWNEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STUTTEREDPAGEUP")]
	public const int SCI_STUTTEREDPAGEUP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STUTTEREDPAGEUPEXTEND")]
	public const int SCI_STUTTEREDPAGEUPEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLECLEARALL")]
	public const int SCI_STYLECLEARALL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETBACK")]
	public const int SCI_STYLEGETBACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETBOLD")]
	public const int SCI_STYLEGETBOLD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETCASE")]
	public const int SCI_STYLEGETCASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETCHANGEABLE")]
	public const int SCI_STYLEGETCHANGEABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETCHARACTERSET")]
	public const int SCI_STYLEGETCHARACTERSET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETEOLFILLED")]
	public const int SCI_STYLEGETEOLFILLED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETFONT")]
	public const int SCI_STYLEGETFONT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETFORE")]
	public const int SCI_STYLEGETFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETHOTSPOT")]
	public const int SCI_STYLEGETHOTSPOT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETITALIC")]
	public const int SCI_STYLEGETITALIC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETSIZE")]
	public const int SCI_STYLEGETSIZE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETSIZEFRACTIONAL")]
	public const int SCI_STYLEGETSIZEFRACTIONAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETUNDERLINE")]
	public const int SCI_STYLEGETUNDERLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETVISIBLE")]
	public const int SCI_STYLEGETVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLEGETWEIGHT")]
	public const int SCI_STYLEGETWEIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLERESETDEFAULT")]
	public const int SCI_STYLERESETDEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETBACK")]
	public const int SCI_STYLESETBACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETBOLD")]
	public const int SCI_STYLESETBOLD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETCASE")]
	public const int SCI_STYLESETCASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETCHANGEABLE")]
	public const int SCI_STYLESETCHANGEABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETCHARACTERSET")]
	public const int SCI_STYLESETCHARACTERSET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETEOLFILLED")]
	public const int SCI_STYLESETEOLFILLED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETFONT")]
	public const int SCI_STYLESETFONT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETFORE")]
	public const int SCI_STYLESETFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETHOTSPOT")]
	public const int SCI_STYLESETHOTSPOT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETITALIC")]
	public const int SCI_STYLESETITALIC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETSIZE")]
	public const int SCI_STYLESETSIZE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETSIZEFRACTIONAL")]
	public const int SCI_STYLESETSIZEFRACTIONAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETUNDERLINE")]
	public const int SCI_STYLESETUNDERLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETVISIBLE")]
	public const int SCI_STYLESETVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_STYLESETWEIGHT")]
	public const int SCI_STYLESETWEIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_SWAPMAINANCHORCARET")]
	public const int SCI_SWAPMAINANCHORCARET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_TAB")]
	public const int SCI_TAB;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_TAGSOFSTYLE")]
	public const int SCI_TAGSOFSTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_TARGETASUTF8")]
	public const int SCI_TARGETASUTF8;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_TARGETFROMSELECTION")]
	public const int SCI_TARGETFROMSELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_TARGETWHOLEDOCUMENT")]
	public const int SCI_TARGETWHOLEDOCUMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_TEXTHEIGHT")]
	public const int SCI_TEXTHEIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_TEXTWIDTH")]
	public const int SCI_TEXTWIDTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_TOGGLECARETSTICKY")]
	public const int SCI_TOGGLECARETSTICKY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_TOGGLEFOLD")]
	public const int SCI_TOGGLEFOLD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_TOGGLEFOLDSHOWTEXT")]
	public const int SCI_TOGGLEFOLDSHOWTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_UNDO")]
	public const int SCI_UNDO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_UPPERCASE")]
	public const int SCI_UPPERCASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_USEPOPUP")]
	public const int SCI_USEPOPUP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_USERLISTSHOW")]
	public const int SCI_USERLISTSHOW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_VCHOME")]
	public const int SCI_VCHOME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_VCHOMEDISPLAY")]
	public const int SCI_VCHOMEDISPLAY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_VCHOMEDISPLAYEXTEND")]
	public const int SCI_VCHOMEDISPLAYEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_VCHOMEEXTEND")]
	public const int SCI_VCHOMEEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_VCHOMERECTEXTEND")]
	public const int SCI_VCHOMERECTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_VCHOMEWRAP")]
	public const int SCI_VCHOMEWRAP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_VCHOMEWRAPEXTEND")]
	public const int SCI_VCHOMEWRAPEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_VERTICALCENTRECARET")]
	public const int SCI_VERTICALCENTRECARET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_VISIBLEFROMDOCLINE")]
	public const int SCI_VISIBLEFROMDOCLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDENDPOSITION")]
	public const int SCI_WORDENDPOSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDLEFT")]
	public const int SCI_WORDLEFT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDLEFTEND")]
	public const int SCI_WORDLEFTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDLEFTENDEXTEND")]
	public const int SCI_WORDLEFTENDEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDLEFTEXTEND")]
	public const int SCI_WORDLEFTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDPARTLEFT")]
	public const int SCI_WORDPARTLEFT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDPARTLEFTEXTEND")]
	public const int SCI_WORDPARTLEFTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDPARTRIGHT")]
	public const int SCI_WORDPARTRIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDPARTRIGHTEXTEND")]
	public const int SCI_WORDPARTRIGHTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDRIGHT")]
	public const int SCI_WORDRIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDRIGHTEND")]
	public const int SCI_WORDRIGHTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDRIGHTENDEXTEND")]
	public const int SCI_WORDRIGHTENDEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDRIGHTEXTEND")]
	public const int SCI_WORDRIGHTEXTEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WORDSTARTPOSITION")]
	public const int SCI_WORDSTARTPOSITION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_WRAPCOUNT")]
	public const int SCI_WRAPCOUNT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ZOOMIN")]
	public const int SCI_ZOOMIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCI_ZOOMOUT")]
	public const int SCI_ZOOMOUT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_ADD")]
	public const int SCK_ADD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_BACK")]
	public const int SCK_BACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_DELETE")]
	public const int SCK_DELETE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_DIVIDE")]
	public const int SCK_DIVIDE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_DOWN")]
	public const int SCK_DOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_END")]
	public const int SCK_END;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_ESCAPE")]
	public const int SCK_ESCAPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_HOME")]
	public const int SCK_HOME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_INSERT")]
	public const int SCK_INSERT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_LEFT")]
	public const int SCK_LEFT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_MENU")]
	public const int SCK_MENU;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_NEXT")]
	public const int SCK_NEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_PRIOR")]
	public const int SCK_PRIOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_RETURN")]
	public const int SCK_RETURN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_RIGHT")]
	public const int SCK_RIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_RWIN")]
	public const int SCK_RWIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_SUBTRACT")]
	public const int SCK_SUBTRACT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_TAB")]
	public const int SCK_TAB;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_UP")]
	public const int SCK_UP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCK_WIN")]
	public const int SCK_WIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_A68K")]
	public const int SCLEX_A68K;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_ABAQUS")]
	public const int SCLEX_ABAQUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_ADA")]
	public const int SCLEX_ADA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_APDL")]
	public const int SCLEX_APDL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_AS")]
	public const int SCLEX_AS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_ASM")]
	public const int SCLEX_ASM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_ASN1")]
	public const int SCLEX_ASN1;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_ASYMPTOTE")]
	public const int SCLEX_ASYMPTOTE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_AU3")]
	public const int SCLEX_AU3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_AUTOMATIC")]
	public const int SCLEX_AUTOMATIC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_AVE")]
	public const int SCLEX_AVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_AVS")]
	public const int SCLEX_AVS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_BAAN")]
	public const int SCLEX_BAAN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_BASH")]
	public const int SCLEX_BASH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_BATCH")]
	public const int SCLEX_BATCH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_BIBTEX")]
	public const int SCLEX_BIBTEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_BLITZBASIC")]
	public const int SCLEX_BLITZBASIC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_BULLANT")]
	public const int SCLEX_BULLANT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_CAML")]
	public const int SCLEX_CAML;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_CIL")]
	public const int SCLEX_CIL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_CLW")]
	public const int SCLEX_CLW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_CLWNOCASE")]
	public const int SCLEX_CLWNOCASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_CMAKE")]
	public const int SCLEX_CMAKE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_COBOL")]
	public const int SCLEX_COBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_COFFEESCRIPT")]
	public const int SCLEX_COFFEESCRIPT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_CONF")]
	public const int SCLEX_CONF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_CONTAINER")]
	public const int SCLEX_CONTAINER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_CPP")]
	public const int SCLEX_CPP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_CPPNOCASE")]
	public const int SCLEX_CPPNOCASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_CSOUND")]
	public const int SCLEX_CSOUND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_CSS")]
	public const int SCLEX_CSS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_D")]
	public const int SCLEX_D;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_DIFF")]
	public const int SCLEX_DIFF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_DMAP")]
	public const int SCLEX_DMAP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_DMIS")]
	public const int SCLEX_DMIS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_ECL")]
	public const int SCLEX_ECL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_EDIFACT")]
	public const int SCLEX_EDIFACT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_EIFFEL")]
	public const int SCLEX_EIFFEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_EIFFELKW")]
	public const int SCLEX_EIFFELKW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_ERLANG")]
	public const int SCLEX_ERLANG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_ERRORLIST")]
	public const int SCLEX_ERRORLIST;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_ESCRIPT")]
	public const int SCLEX_ESCRIPT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_F77")]
	public const int SCLEX_F77;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_FLAGSHIP")]
	public const int SCLEX_FLAGSHIP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_FORTH")]
	public const int SCLEX_FORTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_FORTRAN")]
	public const int SCLEX_FORTRAN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_FREEBASIC")]
	public const int SCLEX_FREEBASIC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_GAP")]
	public const int SCLEX_GAP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_GUI4CLI")]
	public const int SCLEX_GUI4CLI;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_HASKELL")]
	public const int SCLEX_HASKELL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_HTML")]
	public const int SCLEX_HTML;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_IHEX")]
	public const int SCLEX_IHEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_INDENT")]
	public const int SCLEX_INDENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_INNOSETUP")]
	public const int SCLEX_INNOSETUP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_JSON")]
	public const int SCLEX_JSON;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_KIX")]
	public const int SCLEX_KIX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_KVIRC")]
	public const int SCLEX_KVIRC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_LATEX")]
	public const int SCLEX_LATEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_LISP")]
	public const int SCLEX_LISP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_LITERATEHASKELL")]
	public const int SCLEX_LITERATEHASKELL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_LOT")]
	public const int SCLEX_LOT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_LOUT")]
	public const int SCLEX_LOUT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_LPEG")]
	public const int SCLEX_LPEG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_LUA")]
	public const int SCLEX_LUA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_MAGIK")]
	public const int SCLEX_MAGIK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_MAKEFILE")]
	public const int SCLEX_MAKEFILE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_MARKDOWN")]
	public const int SCLEX_MARKDOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_MATLAB")]
	public const int SCLEX_MATLAB;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_MAXIMA")]
	public const int SCLEX_MAXIMA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_METAPOST")]
	public const int SCLEX_METAPOST;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_MMIXAL")]
	public const int SCLEX_MMIXAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_MODULA")]
	public const int SCLEX_MODULA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_MSSQL")]
	public const int SCLEX_MSSQL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_MYSQL")]
	public const int SCLEX_MYSQL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_NIM")]
	public const int SCLEX_NIM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_NIMROD")]
	public const int SCLEX_NIMROD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_NNCRONTAB")]
	public const int SCLEX_NNCRONTAB;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_NSIS")]
	public const int SCLEX_NSIS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_NULL")]
	public const int SCLEX_NULL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_OCTAVE")]
	public const int SCLEX_OCTAVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_OPAL")]
	public const int SCLEX_OPAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_OSCRIPT")]
	public const int SCLEX_OSCRIPT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_PASCAL")]
	public const int SCLEX_PASCAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_PERL")]
	public const int SCLEX_PERL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_PHPSCRIPT")]
	public const int SCLEX_PHPSCRIPT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_PLM")]
	public const int SCLEX_PLM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_PO")]
	public const int SCLEX_PO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_POV")]
	public const int SCLEX_POV;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_POWERBASIC")]
	public const int SCLEX_POWERBASIC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_POWERPRO")]
	public const int SCLEX_POWERPRO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_POWERSHELL")]
	public const int SCLEX_POWERSHELL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_PROGRESS")]
	public const int SCLEX_PROGRESS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_PROPERTIES")]
	public const int SCLEX_PROPERTIES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_PS")]
	public const int SCLEX_PS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_PUREBASIC")]
	public const int SCLEX_PUREBASIC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_PYTHON")]
	public const int SCLEX_PYTHON;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_R")]
	public const int SCLEX_R;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_REBOL")]
	public const int SCLEX_REBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_REGISTRY")]
	public const int SCLEX_REGISTRY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_RUBY")]
	public const int SCLEX_RUBY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_RUST")]
	public const int SCLEX_RUST;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_SAS")]
	public const int SCLEX_SAS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_SCRIPTOL")]
	public const int SCLEX_SCRIPTOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_SMALLTALK")]
	public const int SCLEX_SMALLTALK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_SML")]
	public const int SCLEX_SML;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_SORCUS")]
	public const int SCLEX_SORCUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_SPECMAN")]
	public const int SCLEX_SPECMAN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_SPICE")]
	public const int SCLEX_SPICE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_SQL")]
	public const int SCLEX_SQL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_SREC")]
	public const int SCLEX_SREC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_STATA")]
	public const int SCLEX_STATA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_STTXT")]
	public const int SCLEX_STTXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_TACL")]
	public const int SCLEX_TACL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_TADS3")]
	public const int SCLEX_TADS3;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_TAL")]
	public const int SCLEX_TAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_TCL")]
	public const int SCLEX_TCL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_TCMD")]
	public const int SCLEX_TCMD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_TEHEX")]
	public const int SCLEX_TEHEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_TEX")]
	public const int SCLEX_TEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_TXT2TAGS")]
	public const int SCLEX_TXT2TAGS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_VB")]
	public const int SCLEX_VB;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_VBSCRIPT")]
	public const int SCLEX_VBSCRIPT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_VERILOG")]
	public const int SCLEX_VERILOG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_VHDL")]
	public const int SCLEX_VHDL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_VISUALPROLOG")]
	public const int SCLEX_VISUALPROLOG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_XCODE")]
	public const int SCLEX_XCODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_XML")]
	public const int SCLEX_XML;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCLEX_YAML")]
	public const int SCLEX_YAML;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCMOD_ALT")]
	public const int SCMOD_ALT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCMOD_CTRL")]
	public const int SCMOD_CTRL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCMOD_META")]
	public const int SCMOD_META;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCMOD_NORM")]
	public const int SCMOD_NORM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCMOD_SHIFT")]
	public const int SCMOD_SHIFT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCMOD_SUPER")]
	public const int SCMOD_SUPER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_AUTOCCANCELLED")]
	public const int SCN_AUTOCCANCELLED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_AUTOCCHARDELETED")]
	public const int SCN_AUTOCCHARDELETED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_AUTOCCOMPLETED")]
	public const int SCN_AUTOCCOMPLETED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_AUTOCSELECTION")]
	public const int SCN_AUTOCSELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_AUTOCSELECTIONCHANGE")]
	public const int SCN_AUTOCSELECTIONCHANGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_CALLTIPCLICK")]
	public const int SCN_CALLTIPCLICK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_CHARADDED")]
	public const int SCN_CHARADDED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_DOUBLECLICK")]
	public const int SCN_DOUBLECLICK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_DWELLEND")]
	public const int SCN_DWELLEND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_DWELLSTART")]
	public const int SCN_DWELLSTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_FOCUSIN")]
	public const int SCN_FOCUSIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_FOCUSOUT")]
	public const int SCN_FOCUSOUT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_HOTSPOTCLICK")]
	public const int SCN_HOTSPOTCLICK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_HOTSPOTDOUBLECLICK")]
	public const int SCN_HOTSPOTDOUBLECLICK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_HOTSPOTRELEASECLICK")]
	public const int SCN_HOTSPOTRELEASECLICK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_INDICATORCLICK")]
	public const int SCN_INDICATORCLICK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_INDICATORRELEASE")]
	public const int SCN_INDICATORRELEASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_KEY")]
	public const int SCN_KEY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_MACRORECORD")]
	public const int SCN_MACRORECORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_MARGINCLICK")]
	public const int SCN_MARGINCLICK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_MARGINRIGHTCLICK")]
	public const int SCN_MARGINRIGHTCLICK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_MODIFIED")]
	public const int SCN_MODIFIED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_MODIFYATTEMPTRO")]
	public const int SCN_MODIFYATTEMPTRO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_NEEDSHOWN")]
	public const int SCN_NEEDSHOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_PAINTED")]
	public const int SCN_PAINTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_SAVEPOINTLEFT")]
	public const int SCN_SAVEPOINTLEFT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_SAVEPOINTREACHED")]
	public const int SCN_SAVEPOINTREACHED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_STYLENEEDED")]
	public const int SCN_STYLENEEDED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_UPDATEUI")]
	public const int SCN_UPDATEUI;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_URIDROPPED")]
	public const int SCN_URIDROPPED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_USERLISTSELECTION")]
	public const int SCN_USERLISTSELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCN_ZOOM")]
	public const int SCN_ZOOM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCTD_LONGARROW")]
	public const int SCTD_LONGARROW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCTD_STRIKEOUT")]
	public const int SCTD_STRIKEOUT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCVS_NONE")]
	public const int SCVS_NONE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCVS_NOWRAPLINESTART")]
	public const int SCVS_NOWRAPLINESTART;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCVS_RECTANGULARSELECTION")]
	public const int SCVS_RECTANGULARSELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCVS_USERACCESSIBLE")]
	public const int SCVS_USERACCESSIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCWS_INVISIBLE")]
	public const int SCWS_INVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCWS_VISIBLEAFTERINDENT")]
	public const int SCWS_VISIBLEAFTERINDENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCWS_VISIBLEALWAYS")]
	public const int SCWS_VISIBLEALWAYS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SCWS_VISIBLEONLYININDENT")]
	public const int SCWS_VISIBLEONLYININDENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_ACCESSIBILITY_DISABLED")]
	public const int SC_ACCESSIBILITY_DISABLED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_ACCESSIBILITY_ENABLED")]
	public const int SC_ACCESSIBILITY_ENABLED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_AC_COMMAND")]
	public const int SC_AC_COMMAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_AC_DOUBLECLICK")]
	public const int SC_AC_DOUBLECLICK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_AC_FILLUP")]
	public const int SC_AC_FILLUP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_AC_NEWLINE")]
	public const int SC_AC_NEWLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_AC_TAB")]
	public const int SC_AC_TAB;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_ALPHA_NOALPHA")]
	public const int SC_ALPHA_NOALPHA;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_ALPHA_OPAQUE")]
	public const int SC_ALPHA_OPAQUE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_ALPHA_TRANSPARENT")]
	public const int SC_ALPHA_TRANSPARENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_AUTOMATICFOLD_CHANGE")]
	public const int SC_AUTOMATICFOLD_CHANGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_AUTOMATICFOLD_CLICK")]
	public const int SC_AUTOMATICFOLD_CLICK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_AUTOMATICFOLD_SHOW")]
	public const int SC_AUTOMATICFOLD_SHOW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CACHE_CARET")]
	public const int SC_CACHE_CARET;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CACHE_DOCUMENT")]
	public const int SC_CACHE_DOCUMENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CACHE_NONE")]
	public const int SC_CACHE_NONE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CACHE_PAGE")]
	public const int SC_CACHE_PAGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CARETSTICKY_OFF")]
	public const int SC_CARETSTICKY_OFF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CARETSTICKY_ON")]
	public const int SC_CARETSTICKY_ON;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CARETSTICKY_WHITESPACE")]
	public const int SC_CARETSTICKY_WHITESPACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CASEINSENSITIVEBEHAVIOUR_IGNORECASE")]
	public const int SC_CASEINSENSITIVEBEHAVIOUR_IGNORECASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CASEINSENSITIVEBEHAVIOUR_RESPECTCASE")]
	public const int SC_CASEINSENSITIVEBEHAVIOUR_RESPECTCASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CASE_CAMEL")]
	public const int SC_CASE_CAMEL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CASE_LOWER")]
	public const int SC_CASE_LOWER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CASE_MIXED")]
	public const int SC_CASE_MIXED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CASE_UPPER")]
	public const int SC_CASE_UPPER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_8859_15")]
	public const int SC_CHARSET_8859_15;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_ANSI")]
	public const int SC_CHARSET_ANSI;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_ARABIC")]
	public const int SC_CHARSET_ARABIC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_BALTIC")]
	public const int SC_CHARSET_BALTIC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_CHINESEBIG5")]
	public const int SC_CHARSET_CHINESEBIG5;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_CYRILLIC")]
	public const int SC_CHARSET_CYRILLIC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_DEFAULT")]
	public const int SC_CHARSET_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_EASTEUROPE")]
	public const int SC_CHARSET_EASTEUROPE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_GB2312")]
	public const int SC_CHARSET_GB2312;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_GREEK")]
	public const int SC_CHARSET_GREEK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_HANGUL")]
	public const int SC_CHARSET_HANGUL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_HEBREW")]
	public const int SC_CHARSET_HEBREW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_JOHAB")]
	public const int SC_CHARSET_JOHAB;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_MAC")]
	public const int SC_CHARSET_MAC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_OEM")]
	public const int SC_CHARSET_OEM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_OEM866")]
	public const int SC_CHARSET_OEM866;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_RUSSIAN")]
	public const int SC_CHARSET_RUSSIAN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_SHIFTJIS")]
	public const int SC_CHARSET_SHIFTJIS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_SYMBOL")]
	public const int SC_CHARSET_SYMBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_THAI")]
	public const int SC_CHARSET_THAI;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_TURKISH")]
	public const int SC_CHARSET_TURKISH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CHARSET_VIETNAMESE")]
	public const int SC_CHARSET_VIETNAMESE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CP_UTF8")]
	public const int SC_CP_UTF8;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CURSORARROW")]
	public const int SC_CURSORARROW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CURSORNORMAL")]
	public const int SC_CURSORNORMAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CURSORREVERSEARROW")]
	public const int SC_CURSORREVERSEARROW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_CURSORWAIT")]
	public const int SC_CURSORWAIT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_DOCUMENTOPTION_DEFAULT")]
	public const int SC_DOCUMENTOPTION_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_DOCUMENTOPTION_STYLES_NONE")]
	public const int SC_DOCUMENTOPTION_STYLES_NONE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_DOCUMENTOPTION_TEXT_LARGE")]
	public const int SC_DOCUMENTOPTION_TEXT_LARGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_EFF_QUALITY_ANTIALIASED")]
	public const int SC_EFF_QUALITY_ANTIALIASED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_EFF_QUALITY_DEFAULT")]
	public const int SC_EFF_QUALITY_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_EFF_QUALITY_LCD_OPTIMIZED")]
	public const int SC_EFF_QUALITY_LCD_OPTIMIZED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_EFF_QUALITY_MASK")]
	public const int SC_EFF_QUALITY_MASK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_EFF_QUALITY_NON_ANTIALIASED")]
	public const int SC_EFF_QUALITY_NON_ANTIALIASED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_EOL_CR")]
	public const int SC_EOL_CR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_EOL_CRLF")]
	public const int SC_EOL_CRLF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_EOL_LF")]
	public const int SC_EOL_LF;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDACTION_CONTRACT")]
	public const int SC_FOLDACTION_CONTRACT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDACTION_EXPAND")]
	public const int SC_FOLDACTION_EXPAND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDACTION_TOGGLE")]
	public const int SC_FOLDACTION_TOGGLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDDISPLAYTEXT_BOXED")]
	public const int SC_FOLDDISPLAYTEXT_BOXED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDDISPLAYTEXT_HIDDEN")]
	public const int SC_FOLDDISPLAYTEXT_HIDDEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDDISPLAYTEXT_STANDARD")]
	public const int SC_FOLDDISPLAYTEXT_STANDARD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDFLAG_LEVELNUMBERS")]
	public const int SC_FOLDFLAG_LEVELNUMBERS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDFLAG_LINEAFTER_CONTRACTED")]
	public const int SC_FOLDFLAG_LINEAFTER_CONTRACTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDFLAG_LINEAFTER_EXPANDED")]
	public const int SC_FOLDFLAG_LINEAFTER_EXPANDED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDFLAG_LINEBEFORE_CONTRACTED")]
	public const int SC_FOLDFLAG_LINEBEFORE_CONTRACTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDFLAG_LINEBEFORE_EXPANDED")]
	public const int SC_FOLDFLAG_LINEBEFORE_EXPANDED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDFLAG_LINESTATE")]
	public const int SC_FOLDFLAG_LINESTATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDLEVELBASE")]
	public const int SC_FOLDLEVELBASE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDLEVELHEADERFLAG")]
	public const int SC_FOLDLEVELHEADERFLAG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDLEVELNUMBERMASK")]
	public const int SC_FOLDLEVELNUMBERMASK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FOLDLEVELWHITEFLAG")]
	public const int SC_FOLDLEVELWHITEFLAG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_FONT_SIZE_MULTIPLIER")]
	public const int SC_FONT_SIZE_MULTIPLIER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_IDLESTYLING_AFTERVISIBLE")]
	public const int SC_IDLESTYLING_AFTERVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_IDLESTYLING_ALL")]
	public const int SC_IDLESTYLING_ALL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_IDLESTYLING_NONE")]
	public const int SC_IDLESTYLING_NONE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_IDLESTYLING_TOVISIBLE")]
	public const int SC_IDLESTYLING_TOVISIBLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_IME_INLINE")]
	public const int SC_IME_INLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_IME_WINDOWED")]
	public const int SC_IME_WINDOWED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_INDICFLAG_VALUEFORE")]
	public const int SC_INDICFLAG_VALUEFORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_INDICVALUEBIT")]
	public const int SC_INDICVALUEBIT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_INDICVALUEMASK")]
	public const int SC_INDICVALUEMASK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_IV_LOOKBOTH")]
	public const int SC_IV_LOOKBOTH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_IV_LOOKFORWARD")]
	public const int SC_IV_LOOKFORWARD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_IV_NONE")]
	public const int SC_IV_NONE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_IV_REAL")]
	public const int SC_IV_REAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_LASTSTEPINUNDOREDO")]
	public const int SC_LASTSTEPINUNDOREDO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_LINECHARACTERINDEX_NONE")]
	public const int SC_LINECHARACTERINDEX_NONE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_LINECHARACTERINDEX_UTF16")]
	public const int SC_LINECHARACTERINDEX_UTF16;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_LINECHARACTERINDEX_UTF32")]
	public const int SC_LINECHARACTERINDEX_UTF32;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_LINE_END_TYPE_DEFAULT")]
	public const int SC_LINE_END_TYPE_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_LINE_END_TYPE_UNICODE")]
	public const int SC_LINE_END_TYPE_UNICODE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARGINOPTION_NONE")]
	public const int SC_MARGINOPTION_NONE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARGINOPTION_SUBLINESELECT")]
	public const int SC_MARGINOPTION_SUBLINESELECT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARGIN_BACK")]
	public const int SC_MARGIN_BACK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARGIN_COLOUR")]
	public const int SC_MARGIN_COLOUR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARGIN_FORE")]
	public const int SC_MARGIN_FORE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARGIN_NUMBER")]
	public const int SC_MARGIN_NUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARGIN_RTEXT")]
	public const int SC_MARGIN_RTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARGIN_SYMBOL")]
	public const int SC_MARGIN_SYMBOL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARGIN_TEXT")]
	public const int SC_MARGIN_TEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARKNUM_FOLDER")]
	public const int SC_MARKNUM_FOLDER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARKNUM_FOLDEREND")]
	public const int SC_MARKNUM_FOLDEREND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARKNUM_FOLDERMIDTAIL")]
	public const int SC_MARKNUM_FOLDERMIDTAIL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARKNUM_FOLDEROPEN")]
	public const int SC_MARKNUM_FOLDEROPEN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARKNUM_FOLDEROPENMID")]
	public const int SC_MARKNUM_FOLDEROPENMID;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARKNUM_FOLDERSUB")]
	public const int SC_MARKNUM_FOLDERSUB;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARKNUM_FOLDERTAIL")]
	public const int SC_MARKNUM_FOLDERTAIL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_ARROW")]
	public const int SC_MARK_ARROW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_ARROWDOWN")]
	public const int SC_MARK_ARROWDOWN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_ARROWS")]
	public const int SC_MARK_ARROWS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_AVAILABLE")]
	public const int SC_MARK_AVAILABLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_BACKGROUND")]
	public const int SC_MARK_BACKGROUND;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_BOOKMARK")]
	public const int SC_MARK_BOOKMARK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_BOXMINUS")]
	public const int SC_MARK_BOXMINUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_BOXMINUSCONNECTED")]
	public const int SC_MARK_BOXMINUSCONNECTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_BOXPLUS")]
	public const int SC_MARK_BOXPLUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_BOXPLUSCONNECTED")]
	public const int SC_MARK_BOXPLUSCONNECTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_CHARACTER")]
	public const int SC_MARK_CHARACTER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_CIRCLE")]
	public const int SC_MARK_CIRCLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_CIRCLEMINUS")]
	public const int SC_MARK_CIRCLEMINUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_CIRCLEMINUSCONNECTED")]
	public const int SC_MARK_CIRCLEMINUSCONNECTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_CIRCLEPLUS")]
	public const int SC_MARK_CIRCLEPLUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_CIRCLEPLUSCONNECTED")]
	public const int SC_MARK_CIRCLEPLUSCONNECTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_DOTDOTDOT")]
	public const int SC_MARK_DOTDOTDOT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_EMPTY")]
	public const int SC_MARK_EMPTY;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_FULLRECT")]
	public const int SC_MARK_FULLRECT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_LCORNER")]
	public const int SC_MARK_LCORNER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_LCORNERCURVE")]
	public const int SC_MARK_LCORNERCURVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_LEFTRECT")]
	public const int SC_MARK_LEFTRECT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_MINUS")]
	public const int SC_MARK_MINUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_PIXMAP")]
	public const int SC_MARK_PIXMAP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_PLUS")]
	public const int SC_MARK_PLUS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_RGBAIMAGE")]
	public const int SC_MARK_RGBAIMAGE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_ROUNDRECT")]
	public const int SC_MARK_ROUNDRECT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_SHORTARROW")]
	public const int SC_MARK_SHORTARROW;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_SMALLRECT")]
	public const int SC_MARK_SMALLRECT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_TCORNER")]
	public const int SC_MARK_TCORNER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_TCORNERCURVE")]
	public const int SC_MARK_TCORNERCURVE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_UNDERLINE")]
	public const int SC_MARK_UNDERLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_VERTICALBOOKMARK")]
	public const int SC_MARK_VERTICALBOOKMARK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MARK_VLINE")]
	public const int SC_MARK_VLINE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MASK_FOLDERS")]
	public const int SC_MASK_FOLDERS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MAX_MARGIN")]
	public const int SC_MAX_MARGIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MODEVENTMASKALL")]
	public const int SC_MODEVENTMASKALL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_BEFOREDELETE")]
	public const int SC_MOD_BEFOREDELETE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_BEFOREINSERT")]
	public const int SC_MOD_BEFOREINSERT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_CHANGEANNOTATION")]
	public const int SC_MOD_CHANGEANNOTATION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_CHANGEFOLD")]
	public const int SC_MOD_CHANGEFOLD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_CHANGEINDICATOR")]
	public const int SC_MOD_CHANGEINDICATOR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_CHANGELINESTATE")]
	public const int SC_MOD_CHANGELINESTATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_CHANGEMARGIN")]
	public const int SC_MOD_CHANGEMARGIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_CHANGEMARKER")]
	public const int SC_MOD_CHANGEMARKER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_CHANGESTYLE")]
	public const int SC_MOD_CHANGESTYLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_CHANGETABSTOPS")]
	public const int SC_MOD_CHANGETABSTOPS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_CONTAINER")]
	public const int SC_MOD_CONTAINER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_DELETETEXT")]
	public const int SC_MOD_DELETETEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_INSERTCHECK")]
	public const int SC_MOD_INSERTCHECK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_INSERTTEXT")]
	public const int SC_MOD_INSERTTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MOD_LEXERSTATE")]
	public const int SC_MOD_LEXERSTATE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MULTIAUTOC_EACH")]
	public const int SC_MULTIAUTOC_EACH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MULTIAUTOC_ONCE")]
	public const int SC_MULTIAUTOC_ONCE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MULTILINEUNDOREDO")]
	public const int SC_MULTILINEUNDOREDO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MULTIPASTE_EACH")]
	public const int SC_MULTIPASTE_EACH;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MULTIPASTE_ONCE")]
	public const int SC_MULTIPASTE_ONCE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_MULTISTEPUNDOREDO")]
	public const int SC_MULTISTEPUNDOREDO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_ORDER_CUSTOM")]
	public const int SC_ORDER_CUSTOM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_ORDER_PERFORMSORT")]
	public const int SC_ORDER_PERFORMSORT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_ORDER_PRESORTED")]
	public const int SC_ORDER_PRESORTED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_PERFORMED_REDO")]
	public const int SC_PERFORMED_REDO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_PERFORMED_UNDO")]
	public const int SC_PERFORMED_UNDO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_PERFORMED_USER")]
	public const int SC_PERFORMED_USER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_PHASES_MULTIPLE")]
	public const int SC_PHASES_MULTIPLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_PHASES_ONE")]
	public const int SC_PHASES_ONE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_PHASES_TWO")]
	public const int SC_PHASES_TWO;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_POPUP_ALL")]
	public const int SC_POPUP_ALL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_POPUP_NEVER")]
	public const int SC_POPUP_NEVER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_POPUP_TEXT")]
	public const int SC_POPUP_TEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_PRINT_BLACKONWHITE")]
	public const int SC_PRINT_BLACKONWHITE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_PRINT_COLOURONWHITE")]
	public const int SC_PRINT_COLOURONWHITE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_PRINT_COLOURONWHITEDEFAULTBG")]
	public const int SC_PRINT_COLOURONWHITEDEFAULTBG;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_PRINT_INVERTLIGHT")]
	public const int SC_PRINT_INVERTLIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_PRINT_NORMAL")]
	public const int SC_PRINT_NORMAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_PRINT_SCREENCOLOURS")]
	public const int SC_PRINT_SCREENCOLOURS;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_SEL_LINES")]
	public const int SC_SEL_LINES;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_SEL_RECTANGLE")]
	public const int SC_SEL_RECTANGLE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_SEL_STREAM")]
	public const int SC_SEL_STREAM;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_SEL_THIN")]
	public const int SC_SEL_THIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_STARTACTION")]
	public const int SC_STARTACTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_STATUS_BADALLOC")]
	public const int SC_STATUS_BADALLOC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_STATUS_FAILURE")]
	public const int SC_STATUS_FAILURE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_STATUS_OK")]
	public const int SC_STATUS_OK;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_STATUS_WARN_REGEX")]
	public const int SC_STATUS_WARN_REGEX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_STATUS_WARN_START")]
	public const int SC_STATUS_WARN_START;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_TECHNOLOGY_DEFAULT")]
	public const int SC_TECHNOLOGY_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_TECHNOLOGY_DIRECTWRITE")]
	public const int SC_TECHNOLOGY_DIRECTWRITE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_TECHNOLOGY_DIRECTWRITEDC")]
	public const int SC_TECHNOLOGY_DIRECTWRITEDC;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_TECHNOLOGY_DIRECTWRITERETAIN")]
	public const int SC_TECHNOLOGY_DIRECTWRITERETAIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_TIME_FOREVER")]
	public const int SC_TIME_FOREVER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_TYPE_BOOLEAN")]
	public const int SC_TYPE_BOOLEAN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_TYPE_INTEGER")]
	public const int SC_TYPE_INTEGER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_TYPE_STRING")]
	public const int SC_TYPE_STRING;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_UPDATE_CONTENT")]
	public const int SC_UPDATE_CONTENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_UPDATE_H_SCROLL")]
	public const int SC_UPDATE_H_SCROLL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_UPDATE_SELECTION")]
	public const int SC_UPDATE_SELECTION;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_UPDATE_V_SCROLL")]
	public const int SC_UPDATE_V_SCROLL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WEIGHT_BOLD")]
	public const int SC_WEIGHT_BOLD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WEIGHT_NORMAL")]
	public const int SC_WEIGHT_NORMAL;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WEIGHT_SEMIBOLD")]
	public const int SC_WEIGHT_SEMIBOLD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAPINDENT_DEEPINDENT")]
	public const int SC_WRAPINDENT_DEEPINDENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAPINDENT_FIXED")]
	public const int SC_WRAPINDENT_FIXED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAPINDENT_INDENT")]
	public const int SC_WRAPINDENT_INDENT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAPINDENT_SAME")]
	public const int SC_WRAPINDENT_SAME;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAPVISUALFLAGLOC_DEFAULT")]
	public const int SC_WRAPVISUALFLAGLOC_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAPVISUALFLAGLOC_END_BY_TEXT")]
	public const int SC_WRAPVISUALFLAGLOC_END_BY_TEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAPVISUALFLAGLOC_START_BY_TEXT")]
	public const int SC_WRAPVISUALFLAGLOC_START_BY_TEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAPVISUALFLAG_END")]
	public const int SC_WRAPVISUALFLAG_END;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAPVISUALFLAG_MARGIN")]
	public const int SC_WRAPVISUALFLAG_MARGIN;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAPVISUALFLAG_NONE")]
	public const int SC_WRAPVISUALFLAG_NONE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAPVISUALFLAG_START")]
	public const int SC_WRAPVISUALFLAG_START;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAP_CHAR")]
	public const int SC_WRAP_CHAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAP_NONE")]
	public const int SC_WRAP_NONE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAP_WHITESPACE")]
	public const int SC_WRAP_WHITESPACE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "SC_WRAP_WORD")]
	public const int SC_WRAP_WORD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "STYLE_BRACEBAD")]
	public const int STYLE_BRACEBAD;
	[CCode (cheader_filename = "geanyplugin.h", cname = "STYLE_BRACELIGHT")]
	public const int STYLE_BRACELIGHT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "STYLE_CALLTIP")]
	public const int STYLE_CALLTIP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "STYLE_CONTROLCHAR")]
	public const int STYLE_CONTROLCHAR;
	[CCode (cheader_filename = "geanyplugin.h", cname = "STYLE_DEFAULT")]
	public const int STYLE_DEFAULT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "STYLE_FOLDDISPLAYTEXT")]
	public const int STYLE_FOLDDISPLAYTEXT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "STYLE_INDENTGUIDE")]
	public const int STYLE_INDENTGUIDE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "STYLE_LASTPREDEFINED")]
	public const int STYLE_LASTPREDEFINED;
	[CCode (cheader_filename = "geanyplugin.h", cname = "STYLE_LINENUMBER")]
	public const int STYLE_LINENUMBER;
	[CCode (cheader_filename = "geanyplugin.h", cname = "STYLE_MAX")]
	public const int STYLE_MAX;
	[CCode (cheader_filename = "geanyplugin.h", cname = "UNDO_MAY_COALESCE")]
	public const int UNDO_MAY_COALESCE;
	[CCode (cheader_filename = "geanyplugin.h", cname = "VISIBLE_SLOP")]
	public const int VISIBLE_SLOP;
	[CCode (cheader_filename = "geanyplugin.h", cname = "VISIBLE_STRICT")]
	public const int VISIBLE_STRICT;
	[CCode (cheader_filename = "geanyplugin.h", cname = "Scintilla_LinkLexers")]
	public static int Scintilla_LinkLexers ();
}
